****************************
* File: districtfacdatasheets.do 
* Questionnaire type: District Facility Data Sheets
* Country: Uganda 2000
*****************************

version 10.1
cd "Source\Uganda 2000 Q H\Data\4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "districtfacdatasheets.dta"



**************************************************
***  Ensure all variables are present and labeled
**************************************************

label 	variable 	sno	"SAMPLE NUMBER"
label 	variable 	i	"NAME OF FACILITY"
label 	variable 	ii	"REGION"
label 	variable 	iii	"DISTRICT"
label 	variable 	iv	"MUNICIPALITY/COUNTY"
label 	variable 	v	"SUBCOUNTY/TOWNCOUCIL/DIVISION"
label 	variable 	vi	"PARISH"
label 	variable 	vii	"VILLAGE"
label 	variable 	viii	"POSTAL ADDRESS"
label 	variable 	dsno	"DATASHEET NO"
label 	variable 	dd	"DAY OF INTERVIEW"
label 	variable 	dm	"MONTHS OF INTERVIEW"
label 	variable 	dy	"YEAR OF INTERVIEW"
label 	variable 	t1b1	"NAME"
label 	variable 	t1b2	"POSITION"
label 	variable 	t1b3	"SALARY"
label 	variable 	t1b4	"SCALE"
label 	variable 	t1b5	"SOURCE"
label 	variable 	t1b6	"LUNCH ALLOWANCE"
label 	variable 	t1b7	"PART/FULL  TIME"
label 	variable 	t1c1	"NAME"
label 	variable 	t1c2	"POSITION"
label 	variable 	t1c3	"SALARY"
label 	variable 	t1c4	"SCALE"
label 	variable 	t1c5	"SOURCE"
label 	variable 	t1c6	"LUNCH ALLOWANCE"
label 	variable 	t1c7	"PART/FULL  TIME"
label 	variable 	t1d1	"NAME"
label 	variable 	t1d2	"POSITION"
label 	variable 	t1d3	"SALARY"
label 	variable 	t1d4	"SCALE"
label 	variable 	t1d5	"SOURCE"
label 	variable 	t1d6	"LUNCH ALLOWANCE"
label 	variable 	t1d7	"PART/FULL  TIME"
label 	variable 	t1e1	"NAME"
label 	variable 	t1e2	"POSITION"
label 	variable 	t1e3	"SALARY"
label 	variable 	t1e4	"SCALE"
label 	variable 	t1e5	"SOURCE"
label 	variable 	t1e6	"LUNCH ALLOWANCE"
label 	variable 	t1e7	"PART/FULL  TIME"
label 	variable 	t1f1	"NAME"
label 	variable 	t1f2	"POSITION"
label 	variable 	t1f3	"SALARY"
label 	variable 	t1f4	"SCALE"
label 	variable 	t1f5	"SOURCE"
label 	variable 	t1f6	"LUNCH ALLOWANCE"
label 	variable 	t1f7	"PART/FULL  TIME"
label 	variable 	t1g1	"NAME"
label 	variable 	t1g2	"POSITION"
label 	variable 	t1g3	"SALARY"
label 	variable 	t1g4	"SCALE"
label 	variable 	t1g5	"SOURCE"
label 	variable 	t1g6	"LUNCH ALLOWANCE"
label 	variable 	t1g7	"PART/FULL  TIME"
label 	variable 	t1h1	"NAME"
label 	variable 	t1h2	"POSITION"
label 	variable 	t1h3	"SALARY"
label 	variable 	t1h4	"SCALE"
label 	variable 	t1h5	"SOURCE"
label 	variable 	t1h6	"LUNCH ALLOWANCE"
label 	variable 	t1h7	"PART/FULL  TIME"
label 	variable 	t1i1	"NAME"
label 	variable 	t1i2	"POSITION"
label 	variable 	t1i3	"SALARY"
label 	variable 	t1i4	"SCALE"
label 	variable 	t1i5	"SOURCE"
label 	variable 	t1i6	"LUNCH ALLOWANCE"
label 	variable 	t1i7	"PART/FULL  TIME"
label 	variable 	t1j1	"NAME"
label 	variable 	t1j2	"POSITION"
label 	variable 	t1j3	"SALARY"
label 	variable 	t1j4	"SCALE"
label 	variable 	t1j5	"SOURCE"
label 	variable 	t1j6	"LUNCH ALLOWANCE"
label 	variable 	t1j7	"PART/FULL  TIME"
label 	variable 	t1k1	"NAME"
label 	variable 	t1k2	"POSITION"
label 	variable 	t1k3	"SALARY"
label 	variable 	t1k4	"SCALE"
label 	variable 	t1k5	"SOURCE"
label 	variable 	t1k6	"LUNCH ALLOWANCE"
label 	variable 	t1k7	"PART/FULL  TIME"
label 	variable 	t1l1	"NAME"
label 	variable 	t1l2	"POSITION"
label 	variable 	t1l3	"SALARY"
label 	variable 	t1l4	"SCALE"
label 	variable 	t1l5	"SOURCE"
label 	variable 	t1l6	"LUNCH ALLOWANCE"
label 	variable 	t1l7	"PART/FULL  TIME"
label 	variable 	t1m1	"NAME"
label 	variable 	t1m2	"POSITION"
label 	variable 	t1m3	"SALARY"
label 	variable 	t1m4	"SCALE"
label 	variable 	t1m5	"SOURCE"
label 	variable 	t1m6	"LUNCH ALLOWANCE"
label 	variable 	t1m7	"PART/FULL  TIME"
label 	variable 	t1n1	"NAME"
label 	variable 	t1n2	"POSITION"
label 	variable 	t1n3	"SALARY"
label 	variable 	t1n4	"SCALE"
label 	variable 	t1n5	"SOURCE"
label 	variable 	t1n6	"LUNCH ALLOWANCE"
label 	variable 	t1n7	"PART/FULL  TIME"
label 	variable 	t1o1	"NAME"
label 	variable 	t1o2	"POSITION"
label 	variable 	t1o3	"SALARY"
label 	variable 	t1o4	"SCALE"
label 	variable 	t1o5	"SOURCE"
label 	variable 	t1o6	"LUNCH ALLOWANCE"
label 	variable 	t1o7	"PART/FULL  TIME"
label 	variable 	t1p1	"NAME"
label 	variable 	t1p2	"POSITION"
label 	variable 	t1p3	"SALARY"
label 	variable 	t1p4	"SCALE"
label 	variable 	t1p5	"SOURCE"
label 	variable 	t1p6	"LUNCH ALLOWANCE"
label 	variable 	t1p7	"PART/FULL  TIME"
label 	variable 	t2b1	"NAME"
label 	variable 	t2b2	"POSITION"
label 	variable 	t2b3	"SALARY"
label 	variable 	t2b4	"SOURCE"
label 	variable 	t2b5	"LUNCH ALLOWANCE"
label 	variable 	t2b6	"PART/FULL  TIME"
label 	variable 	t2c1	"NAME"
label 	variable 	t2c2	"POSITION"
label 	variable 	t2c3	"SALARY"
label 	variable 	t2c4	"SOURCE"
label 	variable 	t2c5	"LUNCH ALLOWANCE"
label 	variable 	t2c6	"PART/FULL  TIME"
label 	variable 	t2d1	"NAME"
label 	variable 	t2d2	"POSITION"
label 	variable 	t2d3	"SALARY"
label 	variable 	t2d4	"SOURCE"
label 	variable 	t2d5	"LUNCH ALLOWANCE"
label 	variable 	t2d6	"PART/FULL  TIME"
label 	variable 	t2e1	"NAME"
label 	variable 	t2e2	"POSITION"
label 	variable 	t2e3	"SALARY"
label 	variable 	t2e4	"SOURCE"
label 	variable 	t2e5	"LUNCH ALLOWANCE"
label 	variable 	t2e6	"PART/FULL  TIME"
label 	variable 	t2f1	"NAME"
label 	variable 	t2f2	"POSITION"
label 	variable 	t2f3	"SALARY"
label 	variable 	t2f4	"SOURCE"
label 	variable 	t2f5	"LUNCH ALLOWANCE"
label 	variable 	t2f6	"PART/FULL  TIME"
label 	variable 	t2g1	"NAME"
label 	variable 	t2g2	"POSITION"
label 	variable 	t2g3	"SALARY"
label 	variable 	t2g4	"SOURCE"
label 	variable 	t2g5	"LUNCH ALLOWANCE"
label 	variable 	t2g6	"PART/FULL  TIME"
label 	variable 	t2h1	"NAME"
label 	variable 	t2h2	"POSITION"
label 	variable 	t2h3	"SALARY"
label 	variable 	t2h4	"SOURCE"
label 	variable 	t2h5	"LUNCH ALLOWANCE"
label 	variable 	t2h6	"PART/FULL  TIME"
label 	variable 	t2i1	"NAME"
label 	variable 	t2i2	"POSITION"
label 	variable 	t2i3	"SALARY"
label 	variable 	t2i4	"SOURCE"
label 	variable 	t2i5	"LUNCH ALLOWANCE"
label 	variable 	t2i6	"PART/FULL  TIME"
label 	variable 	t2j1	"NAME"
label 	variable 	t2j2	"POSITION"
label 	variable 	t2j3	"SALARY"
label 	variable 	t2j4	"SOURCE"
label 	variable 	t2j5	"LUNCH ALLOWANCE"
label 	variable 	t2j6	"PART/FULL  TIME"
label 	variable 	t2k1	"NAME"
label 	variable 	t2k2	"POSITION"
label 	variable 	t2k3	"SALARY"
label 	variable 	t2k4	"SOURCE"
label 	variable 	t2k5	"LUNCH ALLOWANCE"
label 	variable 	t2k6	"PART/FULL  TIME"
label 	variable 	t2l1	"NAME"
label 	variable 	t2l2	"POSITION"
label 	variable 	t2l3	"SALARY"
label 	variable 	t2l4	"SOURCE"
label 	variable 	t2l5	"LUNCH ALLOWANCE"
label 	variable 	t2l6	"PART/FULL  TIME"
label 	variable 	t2m1	"NAME"
label 	variable 	t2m2	"POSITION"
label 	variable 	t2m3	"SALARY"
label 	variable 	t2m4	"SOURCE"
label 	variable 	t2m5	"LUNCH ALLOWANCE"
label 	variable 	t2m6	"PART/FULL  TIME"
label 	variable 	t2n1	"NAME"
label 	variable 	t2n2	"POSITION"
label 	variable 	t2n3	"SALARY"
label 	variable 	t2n4	"SOURCE"
label 	variable 	t2n5	"LUNCH ALLOWANCE"
label 	variable 	t2n6	"PART/FULL  TIME"
label 	variable 	t2o1	"NAME"
label 	variable 	t2o2	"POSITION"
label 	variable 	t2o3	"SALARY"
label 	variable 	t2o4	"SOURCE"
label 	variable 	t2o5	"LUNCH ALLOWANCE"
label 	variable 	t2o6	"PART/FULL  TIME"
label 	variable 	t2p1	"NAME"
label 	variable 	t2p2	"POSITION"
label 	variable 	t2p3	"SALARY"
label 	variable 	t2p4	"SOURCE"
label 	variable 	t2p5	"LUNCH ALLOWANCE"
label 	variable 	t2p6	"PART/FULL  TIME"
label 	variable 	t3b1	"DATE"
label 	variable 	t3b2	"SUPPLY"
label 	variable 	t3b3	"TYPE OF SUPPLY"
label 	variable 	t3c1	"DATE"
label 	variable 	t3c2	"SUPPLY"
label 	variable 	t3c3	"TYPE OF SUPPLY"
label 	variable 	t3d1	"DATE"
label 	variable 	t3d2	"SUPPLY"
label 	variable 	t3d3	"TYPE OF SUPPLY"
label 	variable 	t3e1	"DATE"
label 	variable 	t3e2	"SUPPLY"
label 	variable 	t3e3	"TYPE OF SUPPLY"
label 	variable 	t3f1	"DATE"
label 	variable 	t3f2	"SUPPLY"
label 	variable 	t3f3	"TYPE OF SUPPLY"
label 	variable 	t3g1	"DATE"
label 	variable 	t3g2	"SUPPLY"
label 	variable 	t3g3	"TYPE OF SUPPLY"
label 	variable 	t3h1	"DATE"
label 	variable 	t3h2	"SUPPLY"
label 	variable 	t3h3	"TYPE OF SUPPLY"
label 	variable 	t3i1	"DATE"
label 	variable 	t3i2	"SUPPLY"
label 	variable 	t3i3	"TYPE OF SUPPLY"
label 	variable 	t3j1	"DATE"
label 	variable 	t3j2	"SUPPLY"
label 	variable 	t3j3	"TYPE OF SUPPLY"
label 	variable 	t3k1	"DATE"
label 	variable 	t3k2	"SUPPLY"
label 	variable 	t3k3	"TYPE OF SUPPLY"
label 	variable 	t3l1	"DATE"
label 	variable 	t3l2	"SUPPLY"
label 	variable 	t3l3	"TYPE OF SUPPLY"
label 	variable 	t3m1	"DATE"
label 	variable 	t3m2	"SUPPLY"
label 	variable 	t3m3	"TYPE OF SUPPLY"
label 	variable 	t3n1	"DATE"
label 	variable 	t3n2	"SUPPLY"
label 	variable 	t3n3	"TYPE OF SUPPLY"
label 	variable 	t3o1	"DATE"
label 	variable 	t3o2	"SUPPLY"
label 	variable 	t3o3	"TYPE OF SUPPLY"
label 	variable 	t3p1	"DATE"
label 	variable 	t3p2	"SUPPLY"
label 	variable 	t3p3	"TYPE OF SUPPLY"
label 	variable 	t3q1	"DATE"
label 	variable 	t3q2	"SUPPLY"
label 	variable 	t3q3	"TYPE OF SUPPLY"
label 	variable 	t4b1	"DATE"
label 	variable 	t4b2	"SUPPLY"
label 	variable 	t4b3	"UNITS OF SUPPLY"
label 	variable 	t4b4	"TYPE OF SUPPLY"
label 	variable 	t4c1	"DATE"
label 	variable 	t4c2	"SUPPLY"
label 	variable 	t4c3	"UNITS OF SUPPLY"
label 	variable 	t4c4	"TYPE OF SUPPLY"
label 	variable 	t4d1	"DATE"
label 	variable 	t4d2	"SUPPLY"
label 	variable 	t4d3	"UNITS OF SUPPLY"
label 	variable 	t4d4	"TYPE OF SUPPLY"
label 	variable 	t4e1	"DATE"
label 	variable 	t4e2	"SUPPLY"
label 	variable 	t4e3	"UNITS OF SUPPLY"
label 	variable 	t4e4	"TYPE OF SUPPLY"
label 	variable 	t4f1	"DATE"
label 	variable 	t4f2	"SUPPLY"
label 	variable 	t4f3	"UNITS OF SUPPLY"
label 	variable 	t4f4	"TYPE OF SUPPLY"
label 	variable 	t4g1	"DATE"
label 	variable 	t4g2	"SUPPLY"
label 	variable 	t4g3	"UNITS OF SUPPLY"
label 	variable 	t4g4	"TYPE OF SUPPLY"
label 	variable 	t4h1	"DATE"
label 	variable 	t4h2	"SUPPLY"
label 	variable 	t4h3	"UNITS OF SUPPLY"
label 	variable 	t4h4	"TYPE OF SUPPLY"
label 	variable 	t4i1	"DATE"
label 	variable 	t4i2	"SUPPLY"
label 	variable 	t4i3	"UNITS OF SUPPLY"
label 	variable 	t4i4	"TYPE OF SUPPLY"
label 	variable 	t4j1	"DATE"
label 	variable 	t4j2	"SUPPLY"
label 	variable 	t4j3	"UNITS OF SUPPLY"
label 	variable 	t4j4	"TYPE OF SUPPLY"
label 	variable 	t4k1	"DATE"
label 	variable 	t4k2	"SUPPLY"
label 	variable 	t4k3	"UNITS OF SUPPLY"
label 	variable 	t4k4	"TYPE OF SUPPLY"
label 	variable 	t4l1	"DATE"
label 	variable 	t4l2	"SUPPLY"
label 	variable 	t4l3	"UNITS OF SUPPLY"
label 	variable 	t4l4	"TYPE OF SUPPLY"
label 	variable 	t4m1	"DATE"
label 	variable 	t4m2	"SUPPLY"
label 	variable 	t4m3	"UNITS OF SUPPLY"
label 	variable 	t4m4	"TYPE OF SUPPLY"
label 	variable 	t4n1	"DATE"
label 	variable 	t4n2	"SUPPLY"
label 	variable 	t4n3	"UNITS OF SUPPLY"
label 	variable 	t4n4	"TYPE OF SUPPLY"
label 	variable 	t4o1	"DATE"
label 	variable 	t4o2	"SUPPLY"
label 	variable 	t4o3	"UNITS OF SUPPLY"
label 	variable 	t4o4	"TYPE OF SUPPLY"
label 	variable 	t4p1	"DATE"
label 	variable 	t4p2	"SUPPLY"
label 	variable 	t4p3	"UNITS OF SUPPLY"
label 	variable 	t4p4	"TYPE OF SUPPLY"
label 	variable 	t4q1	"DATE"
label 	variable 	t4q2	"SUPPLY"
label 	variable 	t4q3	"UNITS OF SUPPLY"
label 	variable 	t4q4	"TYPE OF SUPPLY"
label 	variable 	t4r1	"DATE"
label 	variable 	t4r2	"SUPPLY"
label 	variable 	t4r3	"UNITS OF SUPPLY"
label 	variable 	t4r4	"TYPE OF SUPPLY"
label 	variable 	t4s1	"DATE"
label 	variable 	t4s2	"SUPPLY"
label 	variable 	t4s3	"UNITS OF SUPPLY"
label 	variable 	t4s4	"TYPE OF SUPPLY"
label 	variable 	t4bb1	"DATE"
label 	variable 	t4bb2	"SUPPLY"
label 	variable 	t4bb3	"UNITS OF SUPPLY"
label 	variable 	t4bb4	"TYPE OF SUPPLY"
label 	variable 	t4bc1	"DATE"
label 	variable 	t4bc2	"SUPPLY"
label 	variable 	t4bc3	"UNITS OF SUPPLY"
label 	variable 	t4bc4	"TYPE OF SUPPLY"
label 	variable 	t4bd1	"DATE"
label 	variable 	t4bd2	"SUPPLY"
label 	variable 	t4bd3	"UNITS OF SUPPLY"
label 	variable 	t4bd4	"TYPE OF SUPPLY"
label 	variable 	t4be1	"DATE"
label 	variable 	t4be2	"SUPPLY"
label 	variable 	t4be3	"UNITS OF SUPPLY"
label 	variable 	t4be4	"TYPE OF SUPPLY"
label 	variable 	t4bf1	"DATE"
label 	variable 	t4bf2	"SUPPLY"
label 	variable 	t4bf3	"UNITS OF SUPPLY"
label 	variable 	t4bf4	"TYPE OF SUPPLY"
label 	variable 	t4bg1	"DATE"
label 	variable 	t4bg2	"SUPPLY"
label 	variable 	t4bg3	"UNITS OF SUPPLY"
label 	variable 	t4bg4	"TYPE OF SUPPLY"
label 	variable 	t4bh1	"DATE"
label 	variable 	t4bh2	"SUPPLY"
label 	variable 	t4bh3	"UNITS OF SUPPLY"
label 	variable 	t4bh4	"TYPE OF SUPPLY"
label 	variable 	t4bi1	"DATE"
label 	variable 	t4bi2	"SUPPLY"
label 	variable 	t4bi3	"UNITS OF SUPPLY"
label 	variable 	t4bi4	"TYPE OF SUPPLY"
label 	variable 	t4bj1	"DATE"
label 	variable 	t4bj2	"SUPPLY"
label 	variable 	t4bj3	"UNITS OF SUPPLY"
label 	variable 	t4bj4	"TYPE OF SUPPLY"
label 	variable 	t4bk1	"DATE"
label 	variable 	t4bk2	"SUPPLY"
label 	variable 	t4bk3	"UNITS OF SUPPLY"
label 	variable 	t4bk4	"TYPE OF SUPPLY"
label 	variable 	t4bl1	"DATE"
label 	variable 	t4bl2	"SUPPLY"
label 	variable 	t4bl3	"UNITS OF SUPPLY"
label 	variable 	t4bl4	"TYPE OF SUPPLY"
label 	variable 	t4bm1	"DATE"
label 	variable 	t4bm2	"SUPPLY"
label 	variable 	t4bm3	"UNITS OF SUPPLY"
label 	variable 	t4bm4	"TYPE OF SUPPLY"
label 	variable 	t4bn1	"DATE"
label 	variable 	t4bn2	"SUPPLY"
label 	variable 	t4bn3	"UNITS OF SUPPLY"
label 	variable 	t4bn4	"TYPE OF SUPPLY"
label 	variable 	t4bo1	"DATE"
label 	variable 	t4bo2	"SUPPLY"
label 	variable 	t4bo3	"UNITS OF SUPPLY"
label 	variable 	t4bo4	"TYPE OF SUPPLY"
label 	variable 	t4bp1	"DATE"
label 	variable 	t4bp2	"SUPPLY"
label 	variable 	t4bp3	"UNITS OF SUPPLY"
label 	variable 	t4bp4	"TYPE OF SUPPLY"
label 	variable 	t4bq1	"DATE"
label 	variable 	t4bq2	"SUPPLY"
label 	variable 	t4bq3	"UNITS OF SUPPLY"
label 	variable 	t4bq4	"TYPE OF SUPPLY"
label 	variable 	t4br1	"DATE"
label 	variable 	t4br2	"SUPPLY"
label 	variable 	t4br3	"UNITS OF SUPPLY"
label 	variable 	t4br4	"TYPE OF SUPPLY"
label 	variable 	t4bs1	"DATE"
label 	variable 	t4bs2	"SUPPLY"
label 	variable 	t4bs3	"UNITS OF SUPPLY"
label 	variable 	t4bs4	"TYPE OF SUPPLY"
label 	variable 	t5b1	"BCG-NID-JAN2000"
label 	variable 	t5b2	"BCG-REGULAR-JAN2000"
label 	variable 	t5b3	"BCG-NID-FEB2000"
label 	variable 	t5b4	"BCG-REGULAR-FEB2000"
label 	variable 	t5b5	"BCG-NID-MAR2000"
label 	variable 	t5b6	"BCG-REGULAR-MAR2000"
label 	variable 	t5c1	"POLIO-NID-JAN2000"
label 	variable 	t5c2	"POLIO-REGULAR-JAN2000"
label 	variable 	t5c3	"POLIO-NID-FEB2000"
label 	variable 	t5c4	"POLIO-REGULAR-FEB2000"
label 	variable 	t5c5	"POLIO-NID-MAR2000"
label 	variable 	t5c6	"POLIO-REGULAR-MAR2000"
label 	variable 	t5d1	"MEASLES-NID-JAN2000"
label 	variable 	t5d2	"MEASLES-REGULAR-JAN2000"
label 	variable 	t5d3	"MEASLES-NID-FEB2000"
label 	variable 	t5d4	"MEASLES-REGULAR-FEB2000"
label 	variable 	t5d5	"MEASLES-NID-MAR2000"
label 	variable 	t5d6	"MEASLES-REGULAR-MAR2000"
label 	variable 	t5e1	"TETANUS-NID-JAN2000"
label 	variable 	t5e2	"TETANUS-REGULAR-JAN2000"
label 	variable 	t5e3	"TETANUS-NID-FEB2000"
label 	variable 	t5e4	"TETANUS-REGULAR-FEB2000"
label 	variable 	t5e5	"TETANUS-NID-MAR2000"
label 	variable 	t5e6	"TETANUS-REGULAR-MAR2000"
label 	variable 	t5f1	"DPT-NID-JAN2000"
label 	variable 	t5f2	"DPT-REGULAR-JAN2000"
label 	variable 	t5f3	"DPT-NID-FEB2000"
label 	variable 	t5f4	"DPT-REGULAR-FEB2000"
label 	variable 	t5f5	"DPT-NID-MAR2000"
label 	variable 	t5f6	"DPT-REGULAR-MAR2000"
label 	variable 	t5g1	"BCG-NID-APR2000"
label 	variable 	t5g2	"BCG-REGULAR-APR2000"
label 	variable 	t5g3	"BCG-NID-MAY2000"
label 	variable 	t5g4	"BCG-REGULAR-MAY2000"
label 	variable 	t5g5	"BCG-NID-JUN2000"
label 	variable 	t5g6	"BCG-REGULAR-JUN2000"
label 	variable 	t5h1	"POLIO-NID-APR2000"
label 	variable 	t5h2	"POLIO-REGULAR-APR2000"
label 	variable 	t5h3	"POLIO-NID-MAY2000"
label 	variable 	t5h4	"POLIO-REGULAR-MAY2000"
label 	variable 	t5h5	"POLIO-NID-JUN2000"
label 	variable 	t5h6	"POLIO-REGULAR-JUN2000"
label 	variable 	t5i1	"MEASLES-NID-APR2000"
label 	variable 	t5i2	"MEASLES-REGULAR-APR2000"
label 	variable 	t5i3	"MEASLES-NID-MAY2000"
label 	variable 	t5i4	"MEASLES-REGULAR-MAY2000"
label 	variable 	t5i5	"MEASLES-NID-JUN2000"
label 	variable 	t5i6	"MEASLES-REGULAR-JUN2000"
label 	variable 	t5j1	"TETANUS-NID-APR2000"
label 	variable 	t5j2	"TETANUS-REGULAR-APR2000"
label 	variable 	t5j3	"TETANUS-NID-MAY2000"
label 	variable 	t5j4	"TETANUS-REGULAR-MAY2000"
label 	variable 	t5j5	"TETANUS-NID-JUN2000"
label 	variable 	t5j6	"TETANUS-REGULAR-JUNE"
label 	variable 	t5k1	"DPT-NID-APR2000"
label 	variable 	t5k2	"DPT-REGULAR-APR2000"
label 	variable 	t5k3	"DPT-NID-MAY2000"
label 	variable 	t5k4	"DPT-REGULAR-MAY2000"
label 	variable 	t5k5	"DPT-NID-JUN2000"
label 	variable 	t5k6	"DPT-REGULAR-JUN2000"
label 	variable 	t61	"OPD APR00"
label 	variable 	t62	"OPD MAY00"
label 	variable 	t63	"OPD JUN00"
label 	variable 	t6b1	"CHILDREN APR00"
label 	variable 	t6b2	"CHILDREN MAY00"
label 	variable 	t6b3	"CHILDREN JUN00"
label 	variable 	t6c1	"ADULTS APR00"
label 	variable 	t6c2	"ADULTS MAY00"
label 	variable 	t6c3	"ADULTS JUN00"
label 	variable 	t6d1	"RE-ATTENDANCE APR00"
label 	variable 	t6d2	"RE-ATTENDANCE MAY00"
label 	variable 	t6d3	"RE-ATTENDANCE JUN00"
label 	variable 	t6e1	"DELIVERIES APR00"
label 	variable 	t6e2	"DELIVERIES MAY00"
label 	variable 	t6e3	"DELIVERIES JUN00"
label 	variable 	t6f1	"IN-PATIENT DAYS APR00"
label 	variable 	t6f2	"IN-PATIENT DAYS MAY00"
label 	variable 	t6f3	"IN-PATIENT DAYS JUN00"
label 	variable 	t7b1	"BCG APR00"
label 	variable 	t7b2	"BCG MAY00"
label 	variable 	t7b3	"BCG JUN00"
label 	variable 	t7c1	"POLIO APR00"
label 	variable 	t7c2	"POLIO MAY00"
label 	variable 	t7c3	"POLIO JUN00"
label 	variable 	t7d1	"MEASLES APR00"
label 	variable 	t7d2	"MEASLES MAY00"
label 	variable 	t7d3	"MEASLES JUN00"
label 	variable 	t7e1	"TETANUS APR00"
label 	variable 	t7e2	"TETANUS MAY00"
label 	variable 	t7e3	"TETANUS JUN00"
label 	variable 	t7f1	"DPT APR00"
label 	variable 	t7f2	"DPT MAY00"
label 	variable 	t7f3	"DPT JUN00"

rename 	t3b1	 	t3bb1
rename 	t3b2	 	t3bb2
rename 	t3b3	 	t3bb3
rename 	t3c1	 	t3bc1
rename 	t3c2	 	t3bc2
rename 	t3c3	 	t3bc3
rename 	t3d1	 	t3bd1
rename 	t3d2	 	t3bd2
rename 	t3d3	 	t3bd3
rename 	t3e1	 	t3be1
rename 	t3e2	 	t3be2
rename 	t3e3	 	t3be3
rename 	t3f1	 	t3bf1
rename 	t3f2	 	t3bf2
rename 	t3f3	 	t3bf3
rename 	t3g1	 	t3bg1
rename 	t3g2	 	t3bg2
rename 	t3g3	 	t3bg3
rename 	t3h1	 	t3bh1
rename 	t3h2	 	t3bh2
rename 	t3h3	 	t3bh3
rename 	t3i1	 	t3bi1
rename 	t3i2	 	t3bi2
rename 	t3i3	 	t3bi3
rename 	t3j1	 	t3bj1
rename 	t3j2	 	t3bj2
rename 	t3j3	 	t3bj3
rename 	t3k1	 	t3bk1
rename 	t3k2	 	t3bk2
rename 	t3k3	 	t3bk3
rename 	t3l1	 	t3bl1
rename 	t3l2	 	t3bl2
rename 	t3l3	 	t3bl3
rename 	t3m1	 	t3bm1
rename 	t3m2	 	t3bm2
rename 	t3m3	 	t3bm3
rename 	t3n1	 	t3bn1
rename 	t3n2	 	t3bn2
rename 	t3n3	 	t3bn3
rename 	t3o1	 	t3bo1
rename 	t3o2	 	t3bo2

rename 	t4bb1	 	t4cb1
rename 	t4bb2	 	t4cb2
rename 	t4bb3	 	t4cb3
rename 	t4bb4	 	t4cb4
rename 	t4bc1	 	t4cc1
rename 	t4bc2	 	t4cc2
rename 	t4bc3	 	t4cc3
rename 	t4bc4	 	t4cc4
rename 	t4bd1	 	t4cd1
rename 	t4bd2	 	t4cd2
rename 	t4bd3	 	t4cd3
rename 	t4bd4	 	t4cd4
rename 	t4be1	 	t4ce1
rename 	t4be2	 	t4ce2
rename 	t4be3	 	t4ce3
rename 	t4be4	 	t4ce4
rename 	t4bf1	 	t4cf1
rename 	t4bf2	 	t4cf2
rename 	t4bf3	 	t4cf3
rename 	t4bf4	 	t4cf4
rename 	t4bg1	 	t4cg1
rename 	t4bg2	 	t4cg2
rename 	t4bg3	 	t4cg3
rename 	t4bg4	 	t4cg4
rename 	t4bh1	 	t4ch1
rename 	t4bh2	 	t4ch2
rename 	t4bh3	 	t4ch3
rename 	t4bh4	 	t4ch4
rename 	t4bi1	 	t4ci1
rename 	t4bi2	 	t4ci2
rename 	t4bi3	 	t4ci3
rename 	t4bi4	 	t4ci4
rename 	t4bj1	 	t4cj1
rename 	t4bj2	 	t4cj2
rename 	t4bj3	 	t4cj3
rename 	t4bj4	 	t4cj4
rename 	t4bk1	 	t4ck1
rename 	t4bk2	 	t4ck2
rename 	t4bk3	 	t4ck3
rename 	t4bk4	 	t4ck4
rename 	t4bl1	 	t4cl1
rename 	t4bl2	 	t4cl2
rename 	t4bl3	 	t4cl3
rename 	t4bl4	 	t4cl4
rename 	t4bm1	 	t4cm1
rename 	t4bm2	 	t4cm2
rename 	t4bm3	 	t4cm3
rename 	t4bm4	 	t4cm4
rename 	t4bn1	 	t4cn1
rename 	t4bn2	 	t4cn2
rename 	t4bn3	 	t4cn3
rename 	t4bn4	 	t4cn4
rename 	t4bo1	 	t4co1
rename 	t4bo2	 	t4co2
rename 	t4bo3	 	t4co3
rename 	t4bo4	 	t4co4
rename 	t4bp1	 	t4cp1
rename 	t4bp2	 	t4cp2
rename 	t4bp3	 	t4cp3
rename 	t4bp4	 	t4cp4
rename 	t4bq1	 	t4cq1
rename 	t4bq2	 	t4cq2
rename 	t4bq3	 	t4cq3
rename 	t4bq4	 	t4cq4
rename 	t4br1	 	t4cr1
rename 	t4br2	 	t4cr2
rename 	t4br3	 	t4cr3
rename 	t4br4	 	t4cr4
rename 	t4bs1	 	t4cs1
rename 	t4bs2	 	t4cs2
rename 	t4bs3	 	t4cs3
rename 	t4bs4	 	t4cs4

rename 	t4b1	 	t4bb1
rename 	t4b2	 	t4bb2
rename 	t4b3	 	t4bb3
rename 	t4b4	 	t4bb4
rename 	t4c1	 	t4bc1
rename 	t4c2	 	t4bc2
rename 	t4c3	 	t4bc3
rename 	t4c4	 	t4bc4
rename 	t4d1	 	t4bd1
rename 	t4d2	 	t4bd2
rename 	t4d3	 	t4bd3
rename 	t4d4	 	t4bd4
rename 	t4e1	 	t4be1
rename 	t4e2	 	t4be2
rename 	t4e3	 	t4be3
rename 	t4e4	 	t4be4
rename 	t4f1	 	t4bf1
rename 	t4f2	 	t4bf2
rename 	t4f3	 	t4bf3
rename 	t4f4	 	t4bf4
rename 	t4g1	 	t4bg1
rename 	t4g2	 	t4bg2
rename 	t4g3	 	t4bg3
rename 	t4g4	 	t4bg4
rename 	t4h1	 	t4bh1
rename 	t4h2	 	t4bh2
rename 	t4h3	 	t4bh3
rename 	t4h4	 	t4bh4
rename 	t4i1	 	t4bi1
rename 	t4i2	 	t4bi2
rename 	t4i3	 	t4bi3
rename 	t4i4	 	t4bi4
rename 	t4j1	 	t4bj1
rename 	t4j2	 	t4bj2
rename 	t4j3	 	t4bj3
rename 	t4j4	 	t4bj4
rename 	t4k1	 	t4bk1
rename 	t4k2	 	t4bk2
rename 	t4k3	 	t4bk3
rename 	t4k4	 	t4bk4
rename 	t4l1	 	t4bl1
rename 	t4l2	 	t4bl2
rename 	t4l3	 	t4bl3
rename 	t4l4	 	t4bl4
rename 	t4m1	 	t4bm1
rename 	t4m2	 	t4bm2
rename 	t4m3	 	t4bm3
rename 	t4m4	 	t4bm4
rename 	t4n1	 	t4bn1
rename 	t4n2	 	t4bn2
rename 	t4n3	 	t4bn3
rename 	t4n4	 	t4bn4
rename 	t4o1	 	t4bo1
rename 	t4o2	 	t4bo2
rename 	t4o3	 	t4bo3
rename 	t4o4	 	t4bo4
rename 	t4p1	 	t4bp1
rename 	t4p2	 	t4bp2
rename 	t4p3	 	t4bp3
rename 	t4p4	 	t4bp4
rename 	t4q1	 	t4bq1
rename 	t4q2	 	t4bq2
rename 	t4q3	 	t4bq3
rename 	t4q4	 	t4bq4
rename 	t4r1	 	t4br1
rename 	t4r2	 	t4br2
rename 	t4r3	 	t4br3
rename 	t4r4	 	t4br4
rename 	t4s1	 	t4bs1
rename 	t4s2	 	t4bs2
rename 	t4s3	 	t4bs3
rename 	t4s4	 	t4bs4


**************************************************
***  Add value labels
**************************************************

label define position 1 "medical doctor"
label define position 2 "clinical officer", add
label define position 3 "enrolled nurse", add
label define position 4 "comprehensive nurse", add
label define position 5 "registered nurse", add
label define position 6 "enrolled midwife", add
label define position 7 "lab assistant", add
label define position 8 "nursing aide", add
label define position 9 "other", add
label define source 1 "district/gov"
label define source 2 "health sub-district", add
label define source 3 "sub-county", add
label define source 4 "facility", add
label define source 5 "other", add
label define partfull 1 "full time"
label define partfull 2 "part time", add
label define yesno 1 "yes"
label define yesno 2 "no", add
label define supply 1 "essential drug kit E"
label define supply 2 "Kit a", add
label define supply 3 "kit b", add
label define supply 4 "purchased", add
label define supply 5 "other", add


destring t1b2 t1c2 t1d2	t1e2	t1f2	t1g2	t1h2	t1i2	t1j2	t1k2	t1l2	t1m2	t1n2	t1o2	t1p2	t2b2	t2c2	t2d2	t2e2	t2f2	t2g2	t2h2	t2i2	t2j2	t2k2	t2l2	t2m2	t2n2	t2o2	t2p2, ignore ("DNA") replace
label values t1b2	t1c2	t1d2	t1e2	t1f2	t1g2	t1h2	t1i2	t1j2	t1k2	t1l2	t1m2	t1n2	t1o2	t1p2	t2b2	t2c2	t2d2	t2e2	t2f2	t2g2	t2h2	t2i2	t2j2	t2k2	t2l2	t2m2	t2n2	t2o2	t2p2 position

destring t1b5	t1c5	t1d5	t1e5	t1f5	t1g5	t1h5	t1i5	t1j5	t1k5	t1l5	t1m5	t1n5	t1o5	t1p5	t2b4	t2c4	t2d4	t2e4	t2f4	t2g4	t2h4	t2i4	t2j4	t2k4	t2l4	t2m4	t2n4	t2o4	t2p4, ignore ("DNA") replace
label values t1b5	t1c5	t1d5	t1e5	t1f5	t1g5	t1h5	t1i5	t1j5	t1k5	t1l5	t1m5	t1n5	t1o5	t1p5	t2b4	t2c4	t2d4	t2e4	t2f4	t2g4	t2h4	t2i4	t2j4	t2k4	t2l4	t2m4	t2n4	t2o4	t2p4 source

destring t1b7	t1c7	t1d7	t1e7	t1f7	t1g7	t1h7	t1i7	t1j7	t1k7	t1l7	t1m7	t1n7	t1o7	t1p7	t2b6	t2c6	t2d6	t2e6	t2f6	t2g6	t2h6	t2i6	t2j6	t2k6	t2l6	t2m6	t2n6	t2o6	t2p6, ignore ("DNA") replace
label values t1b7	t1c7	t1d7	t1e7	t1f7	t1g7	t1h7	t1i7	t1j7	t1k7	t1l7	t1m7	t1n7	t1o7	t1p7	t2b6	t2c6	t2d6	t2e6	t2f6	t2g6	t2h6	t2i6	t2j6	t2k6	t2l6	t2m6	t2n6	t2o6	t2p6 partfull

destring 	t3bb3	t3bc3	t3bd3	t3be3	t3bf3	t3bg3	t3bh3	t3bi3	t3bj3	t3bk3	t3bl3	t3bm3	t3bn3	t3o3	t3p3	t3q3	t4bb4	t4bc4	t4bd4	t4be4	t4bf4	t4bg4	t4bh4	t4bi4	t4bj4	t4bk4	t4bl4	t4bm4	t4bn4	t4bo4	t4bp4	t4bq4	t4br4	t4bs4	t4cb4	t4cc4	t4cd4	t4ce4	t4cf4	t4cg4	t4ch4	t4ci4	t4cj4	t4ck4	t4cl4	t4cm4	t4cn4	t4co4	t4cp4	t4cq4	t4cr4	t4cs4, ignore ("DNA" "NDS" "nds" "5 STI" "NSD") replace
label values t3bb3 t3bc3	t3bd3	t3be3	t3bf3	t3bg3	t3bh3	t3bi3	t3bj3	t3bk3	t3bl3	t3bm3	t3bn3	t3o3	t3p3	t3q3	t4bb4	t4bc4	t4bd4	t4be4	t4bf4	t4bg4	t4bh4	t4bi4	t4bj4	t4bk4	t4bl4	t4bm4	t4bn4	t4bo4	t4bp4	t4bq4	t4br4	t4bs4	t4cb4	t4cc4	t4cd4	t4ce4	t4cf4	t4cg4	t4ch4	t4ci4	t4cj4	t4ck4	t4cl4	t4cm4	t4cn4	t4co4	t4cp4	t4cq4	t4cr4	t4cs4 supply

foreach vvv of varlist  t1o1	t1n1	t1k1	t1l1	v	t1i1	t1m1	t1p1	t1g1	t1h1	iv	t1e1	t1f1	t1j1	t1c1	t1d1	vii	t1b1	t1l4	t1m4	t1n4	t1o3	t1o4	t1o6	t1p3	t1p4	t1p6	t2g3	t2g5	t2h3	t2h5	t2i3	t2i5	t2j3	t2j5	t2k3	t2k5	t2l3	t2l5	t2m3	t2m5	t2n3	t2n5	t2o3	t2o5	t2p3	t2p5	t3bh2	t3bi2	t3bj2	t3bk2	t3bl1	t3bl2	t3bm1	t3bm2	t3bn1	t3bn2	t3bo1	t3bo2	t3p1	t3p2	t3q1	t3q2	t4cb2	t4cc2	t4cd2	t4ce2	t4cf2	t4cg2	t4ch2	t4ci2	t4cj1	t4cj2	t4cj3	t4ck1	t4ck2	t4ck3	t4cl1	t4cl2	t4cl3	t4cm1	t4cm2	t4cm3	i	vi	t1c4	t1g4	t1h4	t1i4	t1j4	t1k4	t4bb2	t4bc2	t4bd2	t4be2	t4bf2	t4bk2	t4bl2	t4bm2	t4bp2	t4bq2	t4br2	t4cr2	t4cs2	viii	t1b4	t1d4	t1e4	t1f4	t1i6	t1j6	t1k6	t1l3	t1l6	t1m3	t1m6	t1n3	t1n6	t2b5	t2c3	t2c5	t2d3	t2d5	t2e3	t2e5	t2f3	t2f5	t3bh1	t3bi1	t3bj1	t3bk1	t4bb1	t4bc1	t4bd1	t4be1	t4bf1	t4bg1	t4bg2	t4bk1	t4bl1	t4bm1	t4bp1	t4bq1	t4br1	t4bs1	t4bs2	t4cb1	t4cc1	t4cd1	t4ce1	t4ce3	t4cf1	t4cf3	t4cg1	t4cg3	t4ch1	t4ci1	t4cr1	t4cs1	t1i3	t1j3	t1k3	t2b3	t4cb3	t4cc3	t4cd3	t4bb3	t4bc3	t4bd3	t4be3	t4bf3	t4bg3	t4bh3	t4bi3	t4bj3	t4bk3	t4bl3	t4bm3	t4bn3	t4bo3	t4bp3	t4bq3	t4br3	t4bs3	ii	iii	t4ch3	t4ci3	t4cn3	t4co3	t4cp3	t4cq3	t4cr3	t4cs3{
replace `vvv' ="-999" if `vvv'== "NA"
replace `vvv' ="-999" if `vvv'== "DNA" 
replace `vvv' ="-999" if `vvv'== "DK" 
replace `vvv' ="-999" if `vvv'== "NS"
replace `vvv' ="-999" if `vvv'== "DNS"
replace `vvv' ="-999" if `vvv'== "0"
replace `vvv' ="-999" if `vvv'== "NDS"
replace `vvv' ="-999" if `vvv'== "NSD"
replace `vvv' ="-999" if `vvv'== "NDA"
replace `vvv' ="-888" if `vvv'== "."

}

destring t1i3 t1i6  t1j3 t1j4 t1j6 t1k3 t1k4  t1k6 t4bk2	t4bl2	t4bm2	t4bp2	t4bq2	t4br2	t4cb2	t4cc2	t4cd2	t4ce2	t4cf2	t4cg2	t4ch2	t4ci2	t4cj1	t4cj2	t4cj3	t4ck1	t4ck2	t4ck3	t4cl1	t4cl2	t4cl3	t4cm1	t4cm2	t4cm3	t4cr2	t4cs2	t4bk1	t4bl1	t4bm1	t4bp1	t4bq1	t4br1	t4bs1	t4bs2	t4cb1	t4cc1	t4cd1	t4ce1	t4ce3	t4cf1	t4cf3	t4cg1	t4cg3	t4ch1	t4ci1	t4cr1	t4cs1	t4cb3	t4cc3	t4cd3	t4bi3	t4bj3	t4bk3	t4bl3	t4bm3	t4bn3	t4bo3	t4bp3	t4bq3	t4br3	t4bs3	t4ch3	t4ci3	t4cn3	t4co3	t4cp3	t4cq3	t4cr3	t4cs3 t1l3 t1l4 t1l6  t1m1 t1m3 t1m4 t1m6 t1n1 t1n3 t1n4 t1n6 t1o1 t1o3 t1o4 t1o6 t1p1 t1p3 t1p4 t1p6 t2b3 t2b5 t2c3 t2c5 t2d3 t2d5 t2e3 t2e5 t2f3 t2f5 t2g3 t2g5 t2h3 t2h5 t2i3 t2i5 t2j3 t2j5 t2k3 t2k5 t2l3 t2l5 t2m3 t2m5 t2n3 t2n5 t2o3 t2o5 t2p3 t2p5 t3bh1 t3bh2 t3bi1 t3bi2 t3bj1 t3bj2 t3bk1 t3bk2 t3bl1 t3bl2 t3bm1 t3bm2 t3bn1 t3bn2 t3bo1 t3bo2 t3p1 t3p2 t3q1 t3q2 t4bb1 t4bb2 t4bb3 t4bc1 t4bc2 t4bc3 t4bd1 t4bd2 t4bd3 t4be1 t4be2 t4be3 t4bf1 t4bf2 t4bf3 t4bg1 t4bg2 t4bg3 t4bh3, ignore ("USS3" "GG"	"U5C"	"U7" "-")  replace

**************************************************
*** Recode missing values
***************************************************

*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);


qui mvdecode t1b1	t1b5	t1b7	t1c1	t1c5	t1c7	t1d1	t1d5	t1d7	t1e1	t1e5	t1e7	t1f1	t1f5	t1f7	t1g1	t1g5	t1g7	t1h1	t1h5	t1h7	t1i1	t1i5	t1i7	t1j1	t1j5	t1j7	t1k1	t1k5	t1k7	t1l1	t1l5	t1l7	t1m1	t1m5	t1m7	t1n1	t1n5	t1n7	t1o1	t1o5	t1o7	t1p1	t1p5	t1p7	t2b1	t2b4	t2b6	t2c1	t2c4	t2c6	t2d1	t2d4	t2d6	t2e1	t2e4	t2e6	t2f1	t2f4	t2f6	t2g1	t2g4	t2g6	t2h1	t2h4	t2h6	t2i1	t2i4	t2i6	t2j1	t2j4	t2j6	t2k1	t2k4	t2k6	t2l1	t2l4	t2l6	t2m1	t2m4	t2m6	t2n1	t2n4	t2n6	t2o1	t2o4	t2o6	t2p1	t2p4	t2p6	t3bb3	t3bc3	t3bd3	t3be3	t3bf3	t3bg3	t3bh3	t3bi3	t3bj3	t3bk3	t3bl3	t3bm3	t3bn3	t3o3	t3p1	t3p2	t3p3	t3q1	t3q2	t3q3	t4bb4	t4bc4	t4bd4	t4be4	t4bf4	t4bg4	t4bh4	t4bi4	t4bj4	t4bk4	t4bl4	t4bm4	t4bn4	t4bo4	t4bp4	t4bq4	t4br4	t4bs4	t4cb4	t4cc4	t4cd4	t4ce4	t4cf4	t4cg4	t4ch4	t4ci4	t4cj4	t4ck4	t4cl4	t4cm4	t4cn4	t4co4	t4cp4	t4cq4	t4cr4	t4cs4, mv(
9=.r\
8=.l \
7=.n \
6=.d);

# d cr;

* Recode missing values to Stata missing values, for tests and data inspection.
quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -999 = .r) 
**************************************************
***  Identify outliers
**************************************************

mvdecode  dd	dm	dsno	dy	i	ii	iii	iv	sno	t1b1	t1b3	t1b4	t1b6	t1c1	t1c3	t1c4	t1c6	t1d1	t1d3	t1d4	t1d6	t1e1	t1e3	t1e4	t1e6	t1f1	t1f3	t1f4	t1f6	t1g1	t1g3	t1g4	t1g6	t1h1	t1h3	t1h4	t1h6	t1i1	t1i3	t1i4	t1i6	t1j1	t1j3	t1j4	t1j6	t1k1	t1k3	t1k4	t1k6	t1l1	t1l3	t1l4	t1l6	t1m1	t1m3	t1m4	t1m6	t1n1	t1n3	t1n4	t1n6	t1o1	t1o3	t1o4	t1o6	t1p1	t1p3	t1p4	t1p6	t2b1	t2b3	t2b5	t2c1	t2c3	t2c5	t2d1	t2d3	t2d5	t2e1	t2e3	t2e5	t2f1	t2f3	t2f5	t2g1	t2g3	t2g5	t2h1	t2h3	t2h5	t2i1	t2i3	t2i5	t2j1	t2j3	t2j5	t2k1	t2k3	t2k5	t2l1	t2l3	t2l5	t2m1	t2m3	t2m5	t2n1	t2n3	t2n5	t2o1	t2o3	t2o5	t2p1	t2p3	t2p5	t3bb1	t3bb2	t3bc1	t3bc2	t3bd1	t3bd2	t3be1	t3be2	t3bf1	t3bf2	t3bg1	t3bg2	t3bh1	t3bh2	t3bi1	t3bi2	t3bj1	t3bj2	t3bk1	t3bk2	t3bl1	t3bl2	t3bm1	t3bm2	t3bn1	t3bn2	t3bo1	t3bo2	t3p1	t3p2	t3q1	t3q2	t4bb1	t4bb2	t4bb3	t4bc1	t4bc2	t4bc3	t4bd1	t4bd2	t4bd3	t4be1	t4be2	t4be3	t4bf1	t4bf2	t4bf3	t4bg1	t4bg2	t4bg3	t4bh1	t4bh2	t4bh3	t4bi1	t4bi2	t4bi3	t4bj1	t4bj2	t4bj3	t4bk1	t4bk2	t4bk3	t4bl1	t4bl2	t4bl3	t4bm1	t4bm2	t4bm3	t4bn1	t4bn2	t4bn3	t4bo1	t4bo2	t4bo3	t4bp1	t4bp2	t4bp3	t4bq1	t4bq2	t4bq3	t4br1	t4br2	t4br3	t4bs1	t4bs2	t4bs3	t4cb1	t4cb2	t4cb3	t4cc1	t4cc2	t4cc3	t4cd1	t4cd2	t4cd3	t4ce1	t4ce2	t4ce3	t4cf1	t4cf2	t4cf3	t4cg1	t4cg2	t4cg3	t4ch1	t4ch2	t4ch3	t4ci1	t4ci2	t4ci3	t4cj1	t4cj2	t4cj3	t4ck1	t4ck2	t4ck3	t4cl1	t4cl2	t4cl3	t4cm1	t4cm2	t4cm3	t4cn1	t4cn2	t4cn3	t4co1	t4co2	t4co3	t4cp1	t4cp2	t4cp3	t4cq1	t4cq2	t4cq3	t4cr1	t4cr2	t4cr3	t4cs1	t4cs2	t4cs3	t5b1	t5b2	t5b3	t5b4	t5b5	t5b6	t5c1	t5c2	t5c3	t5c4	t5c5	t5c6	t5d1	t5d2	t5d3	t5d4	t5d5	t5d6	t5e1	t5e2	t5e3	t5e4	t5e5	t5e6	t5f1	t5f2	t5f3	t5f4	t5f5	t5f6	t5g1	t5g2	t5g3	t5g4	t5g5	t5g6	t5h1	t5h2	t5h3	t5h4	t5h5	t5h6	t5i1	t5i2	t5i3	t5i4	t5i5	t5i6	t5j1	t5j2	t5j3	t5j4	t5j5	t5j6	t5k1	t5k2	t5k3	t5k4	t5k5	t5k6 	t61	t62	t63	t6b1	t6b2	t6b3	t6c1	t6c2	t6c3	t6d1	t6d2	t6d3	t6e1	t6e2	t6e3	t6f1	t6f2	t6f3	t7b1	t7b2	t7b3	t7c1	t7c2	t7c3	t7d1	t7d2	t7d3	t7e1	t7e2	t7e3	t7f1	t7f2	t7f3	v	vi	vii	viii, mv(0 = .z)
grubbs dd	dm	dsno	dy	sno t1b2	t1c2	t1d2	t1e2	t1f2	t1g2	t1h2	t1i2	t1j2	t1k2	t1l2	t1m2	t1n2	t1o2	t1p2	t2b2	t2c2	t2d2	t2e2	t2f2	t2g2	t2h2	t2i2	t2j2	t2k2	t2l2	t2m2	t2n2	t2o2	t2p2 t1b5	t1c5	t1d5	t1e5	t1f5	t1g5	t1h5	t1i5	t1j5	t1k5	t1l5	t1m5	t1n5	t1o5	t1p5	t1b7	t1c7	t1d7	t1e7	t1f7	t1g7	t1h7	t1i7	t1j7	t1k7	t1l7	t1m7	t1n7	t1o7	t1p7 t3bn3	t3o3	t3p3	t3q3	t4bb4	t4bc4	t4bd4	t4be4	t4bf4	t4bg4	t4bh4	t4bi4	t4bj4	t4bk4	t4bl4	t4bm4	t4bn4	t4bo4	t4bp4	t4bq4	t4br4	t4bs4	t4cb4	t4cc4	t4cd4	t4ce4	t4cf4	t4cg4	t4ch4	t4ci4	t4cj4	t4ck4	t4cl4	t4cm4	t4cn4	t4co4	t4cp4	t4cq4	t4cr4	t4cs4 t2c6	t2d6	t2e6	t2f6	t2g6	t2h6	t2i6	t2j6	t2k6	t2l6	t2m6	t2n6	t2o6	t2p6 t2c4	t2d4	t2e4	t2f4	t2g4	t2h4	t2i4	t2j4	t2k4	t2l4	t2m4	t2n4	t2o4	t2p4, level(99.99)
mvencode dd	dm	dsno	dy	i	ii	iii	iv	sno	t1b1	t1b3	t1b4	t1b6	t1c1	t1c3	t1c4	t1c6	t1d1	t1d3	t1d4	t1d6	t1e1	t1e3	t1e4	t1e6	t1f1	t1f3	t1f4	t1f6	t1g1	t1g3	t1g4	t1g6	t1h1	t1h3	t1h4	t1h6	t1i1	t1i3	t1i4	t1i6	t1j1	t1j3	t1j4	t1j6	t1k1	t1k3	t1k4	t1k6	t1l1	t1l3	t1l4	t1l6	t1m1	t1m3	t1m4	t1m6	t1n1	t1n3	t1n4	t1n6	t1o1	t1o3	t1o4	t1o6	t1p1	t1p3	t1p4	t1p6	t2b1	t2b3	t2b5	t2c1	t2c3	t2c5	t2d1	t2d3	t2d5	t2e1	t2e3	t2e5	t2f1	t2f3	t2f5	t2g1	t2g3	t2g5	t2h1	t2h3	t2h5	t2i1	t2i3	t2i5	t2j1	t2j3	t2j5	t2k1	t2k3	t2k5	t2l1	t2l3	t2l5	t2m1	t2m3	t2m5	t2n1	t2n3	t2n5	t2o1	t2o3	t2o5	t2p1	t2p3	t2p5	t3bb1	t3bb2	t3bc1	t3bc2	t3bd1	t3bd2	t3be1	t3be2	t3bf1	t3bf2	t3bg1	t3bg2	t3bh1	t3bh2	t3bi1	t3bi2	t3bj1	t3bj2	t3bk1	t3bk2	t3bl1	t3bl2	t3bm1	t3bm2	t3bn1	t3bn2	t3bo1	t3bo2	t3p1	t3p2	t3q1	t3q2	t4bb1	t4bb2	t4bb3	t4bc1	t4bc2	t4bc3	t4bd1	t4bd2	t4bd3	t4be1	t4be2	t4be3	t4bf1	t4bf2	t4bf3	t4bg1	t4bg2	t4bg3	t4bh1	t4bh2	t4bh3	t4bi1	t4bi2	t4bi3	t4bj1	t4bj2	t4bj3	t4bk1	t4bk2	t4bk3	t4bl1	t4bl2	t4bl3	t4bm1	t4bm2	t4bm3	t4bn1	t4bn2	t4bn3	t4bo1	t4bo2	t4bo3	t4bp1	t4bp2	t4bp3	t4bq1	t4bq2	t4bq3	t4br1	t4br2	t4br3	t4bs1	t4bs2	t4bs3	t4cb1	t4cb2	t4cb3	t4cc1	t4cc2	t4cc3	t4cd1	t4cd2	t4cd3	t4ce1	t4ce2	t4ce3	t4cf1	t4cf2	t4cf3	t4cg1	t4cg2	t4cg3	t4ch1	t4ch2	t4ch3	t4ci1	t4ci2	t4ci3	t4cj1	t4cj2	t4cj3	t4ck1	t4ck2	t4ck3	t4cl1	t4cl2	t4cl3	t4cm1	t4cm2	t4cm3	t4cn1	t4cn2	t4cn3	t4co1	t4co2	t4co3	t4cp1	t4cp2	t4cp3	t4cq1	t4cq2	t4cq3	t4cr1	t4cr2	t4cr3	t4cs1	t4cs2	t4cs3	t5b1	t5b2	t5b3	t5b4	t5b5	t5b6	t5c1	t5c2	t5c3	t5c4	t5c5	t5c6	t5d1	t5d2	t5d3	t5d4	t5d5	t5d6	t5e1	t5e2	t5e3	t5e4	t5e5	t5e6	t5f1	t5f2	t5f3	t5f4	t5f5	t5f6	t5g1	t5g2	t5g3	t5g4	t5g5	t5g6	t5h1	t5h2	t5h3	t5h4	t5h5	t5h6	t5i1	t5i2	t5i3	t5i4	t5i5	t5i6	t5j1	t5j2	t5j3	t5j4	t5j5	t5j6	t5k1	t5k2	t5k3	t5k4	t5k5	t5k6 	t61	t62	t63	t6b1	t6b2	t6b3	t6c1	t6c2	t6c3	t6d1	t6d2	t6d3	t6e1	t6e2	t6e3	t6f1	t6f2	t6f3	t7b1	t7b2	t7b3	t7c1	t7c2	t7c3	t7d1	t7d2	t7d3	t7e1	t7e2	t7e3	t7f1	t7f2	t7f3	v	vi	vii	viii, mv(.z = 0)

**************************************************
*** Correcting errors
**************************************************
replace t1c2 = . if sno==80
**************************************************
*** Identify errors to be reviewed
**************************************************
cd "Source\Uganda 2000 Q H\Data\4.3. Clean Data\4.3.3. Data Code Book"
log using "districtfacdatasheets codebook errors ", replace
codebook grubbs_*, compact
log close
drop grubbs* 

* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999) 


