****************************
* File: districthealthteamquest.do 
* Questionnaire type: Health Team Questionnaire
* Country: Uganda 2000
*****************************

version 10.1
cd "Source\Uganda 2000 Q H\Data\4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "districthealthteamquest.dta"

**************************************************
***  Ensure all variables are present and labeled
**************************************************

label 	variable 	qno	 	"questionnaire no"
label 	variable 	dd	 	"day of interview"
label 	variable 	dm	 	"months of interview"
label 	variable 	dy	 	"year of interview"
label 	variable 	i	 	"district"
label 	variable 	ii	 	"region"
label 	variable 	ti	 	"time of start"
label 	variable 	te	 	"time of end"
label 	variable 	q1i	 	"role of ddhs"
label 	variable 	q1ii	 	"role of ddhs"
label 	variable 	q1iii	 	"role of ddhs"
label 	variable 	q1iv	 	"role of ddhs"
label 	variable 	q2a	 	"government"
label 	variable 	q2b	 	"government"
label 	variable 	q3a	 	"ngo"
label 	variable 	q3b	 	"ngo"
label 	variable 	q4a	 	"private"
label 	variable 	q4b	 	"private"
label 	variable 	q5	 	"training to staff"
label 	variable 	q6a	 	"training"
label 	variable 	q6b	 	"training"
label 	variable 	q6c	 	"training"
label 	variable 	q6d	 	"training"
label 	variable 	q6e	 	"training"
label 	variable 	q7a	 	"constraints"
label 	variable 	q7b	 	"constraints"
label 	variable 	q7c	 	"constraints"
label 	variable 	q8a	 	"supervision govt owned"
label 	variable 	q8b	 	"supervision govt owned"
label 	variable 	q8c	 	"supervision govt owned"
label 	variable 	q8d	 	"supervision govt owned"
label 	variable 	q8e	 	"supervision govt owned"
label 	variable 	q9a	 	"supervision ngo owned"
label 	variable 	q9b	 	"supervision ngo owned"
label 	variable 	q9c	 	"supervision ngo owned"
label 	variable 	q9d	 	"supervision ngo owned"
label 	variable 	q9e	 	"supervision ngo owned"
label 	variable 	q9f	 	"supervision ngo owned"
label 	variable 	q10a	 	"supervision private owned"
label 	variable 	q10b	 	"supervision private owned"
label 	variable 	q10c	 	"supervision private owned"
label 	variable 	q10d	 	"supervision private owned"
label 	variable 	q10e	 	"supervision private owned"
label 	variable 	q10f	 	"supervision private owned"
label 	variable 	q11a	 	"visit"
label 	variable 	q11b	 	"visit"
label 	variable 	q11c	 	"visit"
label 	variable 	q12a	 	"inspection areas"
label 	variable 	q12b	 	"inspection areas"
label 	variable 	q12c	 	"inspection areas"
label 	variable 	q13a	 	"problems"
label 	variable 	q13b	 	"problems"
label 	variable 	q13c	 	"problems"
label 	variable 	q14	 	"perfomance assessment"
label 	variable 	q15	 	"assessment ngo & profit"
label 	variable 	q16	 	"promoted, demoted, fired"
label 	variable 	q17	 	"audited"
label 	variable 	q18	 	"support donors"
label 	variable 	q19a1	 	"aid"
label 	variable 	q19a2	 	"aid"
label 	variable 	q19b1	 	"aid"
label 	variable 	q19b2	 	"aid"
label 	variable 	q19c1	 	"aid"
label 	variable 	q19c2	 	"aid"
label 	variable 	q19d1	 	"aid"
label 	variable 	q19d2	 	"aid"
label 	variable 	q19e1	 	"aid"
label 	variable 	q19e2	 	"aid"
label 	variable 	q19f1	 	"aid"
label 	variable 	q19f2	 	"aid"
label 	variable 	q19g1	 	"aid"
label 	variable 	q19g2	 	"aid"
label 	variable 	q19h1	 	"aid"
label 	variable 	q19h2	 	"aid"
label 	variable 	q19h1	 	"aid"
label 	variable 	q19h2	 	"aid"
label 	variable 	q19i1	 	"aid"
label 	variable 	q19i2	 	"aid"
label 	variable 	q19j1	 	"aid"
label 	variable 	q19j2	 	"aid"
label 	variable 	q20	 	"allowance outreach"
label 	variable 	q21	 	"allowance each"
label 	variable 	t1a1	 	"facility name"
label 	variable 	t1a2	 	"district"
label 	variable 	t1a3	 	"health sub-district"
label 	variable 	t1a4	 	"sub-county"
label 	variable 	t1a5	 	"ownership"
label 	variable 	t1a6	 	"type"
label 	variable 	t1a7	 	"hc-level"
label 	variable 	t1a8	 	"code"
label 	variable 	t1b1	 	"facility name"
label 	variable 	t1b2	 	"district"
label 	variable 	t1b3	 	"health sub-district"
label 	variable 	t1b4	 	"sub-county"
label 	variable 	t1b5	 	"ownership"
label 	variable 	t1b6	 	"type"
label 	variable 	t1b7	 	"hc-level"
label 	variable 	t1b8	 	"code"
label 	variable 	t1c1	 	"facility name"
label 	variable 	t1c2	 	"district"
label 	variable 	t1c3	 	"health sub-district"
label 	variable 	t1c4	 	"sub-county"
label 	variable 	t1c5	 	"ownership"
label 	variable 	t1c6	 	"type"
label 	variable 	t1c7	 	"hc-level"
label 	variable 	t1c8	 	"code"
label 	variable 	t1d1	 	"facility name"
label 	variable 	t1d2	 	"district"
label 	variable 	t1d3	 	"health sub-district"
label 	variable 	t1d4	 	"sub-county"
label 	variable 	t1d5	 	"ownership"
label 	variable 	t1d6	 	"type"
label 	variable 	t1d7	 	"hc-level"
label 	variable 	t1d8	 	"code"
label 	variable 	t1e1	 	"facility name"
label 	variable 	t1e2	 	"district"
label 	variable 	t1e3	 	"health sub-district"
label 	variable 	t1e4	 	"sub-county"
label 	variable 	t1e5	 	"ownership"
label 	variable 	t1e6	 	"type"
label 	variable 	t1e7	 	"hc-level"
label 	variable 	t1e8	 	"code"
label 	variable 	t1f1	 	"facility name"
label 	variable 	t1f2	 	"district"
label 	variable 	t1f3	 	"health sub-district"
label 	variable 	t1f4	 	"sub-county"
label 	variable 	t1f5	 	"ownership"
label 	variable 	t1f6	 	"type"
label 	variable 	t1f7	 	"hc-level"
label 	variable 	t1f8	 	"code"
label 	variable 	t1g1	 	"facility name"
label 	variable 	t1g2	 	"district"
label 	variable 	t1g3	 	"health sub-district"
label 	variable 	t1g4	 	"sub-county"
label 	variable 	t1g5	 	"ownership"
label 	variable 	t1g6	 	"type"
label 	variable 	t1g7	 	"hc-level"
label 	variable 	t1g8	 	"code"
label 	variable 	t1h1	 	"facility name"
label 	variable 	t1h2	 	"district"
label 	variable 	t1h3	 	"health sub-district"
label 	variable 	t1h4	 	"sub-county"
label 	variable 	t1h5	 	"ownership"
label 	variable 	t1h6	 	"type"
label 	variable 	t1h7	 	"hc-level"
label 	variable 	t1h8	 	"code"
label 	variable 	t1i1	 	"facility name"
label 	variable 	t1i2	 	"district"
label 	variable 	t1i3	 	"health sub-district"
label 	variable 	t1i4	 	"sub-county"
label 	variable 	t1i5	 	"ownership"
label 	variable 	t1i6	 	"type"
label 	variable 	t1i7	 	"hc-level"
label 	variable 	t1i8	 	"code"
label 	variable 	t1j1	 	"facility name"
label 	variable 	t1j2	 	"district"
label 	variable 	t1j3	 	"health sub-district"
label 	variable 	t1j4	 	"sub-county"
label 	variable 	t1j5	 	"ownership"
label 	variable 	t1j6	 	"type"
label 	variable 	t1j7	 	"hc-level"
label 	variable 	t1j8	 	"code"
label 	variable 	t1k1	 	"facility name"
label 	variable 	t1k2	 	"district"
label 	variable 	t1k3	 	"health sub-district"
label 	variable 	t1k4	 	"sub-county"
label 	variable 	t1k5	 	"ownership"
label 	variable 	t1k6	 	"type"
label 	variable 	t1k7	 	"hc-level"
label 	variable 	t1k8	 	"code"
label 	variable 	t1l1	 	"facility name"
label 	variable 	t1l2	 	"district"
label 	variable 	t1l3	 	"health sub-district"
label 	variable 	t1l4	 	"sub-county"
label 	variable 	t1l5	 	"ownership"
label 	variable 	t1l6	 	"type"
label 	variable 	t1l7	 	"hc-level"
label 	variable 	t1l8	 	"code"
label 	variable 	t1m1	 	"facility name"
label 	variable 	t1m2	 	"district"
label 	variable 	t1m3	 	"health sub-district"
label 	variable 	t1m4	 	"sub-county"
label 	variable 	t1m5	 	"ownership"
label 	variable 	t1m6	 	"type"
label 	variable 	t1m7	 	"hc-level"
label 	variable 	t1m8	 	"code"
label 	variable 	t1n1	 	"facility name"
label 	variable 	t1n2	 	"district"
label 	variable 	t1n3	 	"health sub-district"
label 	variable 	t1n4	 	"sub-county"
label 	variable 	t1n5	 	"ownership"
label 	variable 	t1n6	 	"type"
label 	variable 	t1n7	 	"hc-level"
label 	variable 	t1n8	 	"code"
label 	variable 	t1o1	 	"facility name"
label 	variable 	t1o2	 	"district"
label 	variable 	t1o3	 	"health sub-district"
label 	variable 	t1o4	 	"sub-county"
label 	variable 	t1o5	 	"ownership"
label 	variable 	t1o6	 	"type"
label 	variable 	t1o7	 	"hc-level"
label 	variable 	t1o8	 	"code"
label 	variable 	t1p1	 	"facility name"
label 	variable 	t1p2	 	"district"
label 	variable 	t1p3	 	"health sub-district"
label 	variable 	t1p4	 	"sub-county"
label 	variable 	t1p5	 	"ownership"
label 	variable 	t1p6	 	"type"
label 	variable 	t1p7	 	"hc-level"
label 	variable 	t1p8	 	"code"
label 	variable 	t1q1	 	"facility name"
label 	variable 	t1q2	 	"district"
label 	variable 	t1q3	 	"health sub-district"
label 	variable 	t1q4	 	"sub-county"
label 	variable 	t1q5	 	"ownership"
label 	variable 	t1q6	 	"type"
label 	variable 	t1q7	 	"hc-level"
label 	variable 	t1q8	 	"code"
label 	variable 	t1r1	 	"facility name"
label 	variable 	t1r2	 	"district"
label 	variable 	t1r3	 	"health sub-district"
label 	variable 	t1r4	 	"sub-county"
label 	variable 	t1r5	 	"ownership"
label 	variable 	t1r6	 	"type"
label 	variable 	t1r7	 	"hc-level"
label 	variable 	t1r8	 	"code"
label 	variable 	t1s1	 	"facility name"
label 	variable 	t1s2	 	"district"
label 	variable 	t1s3	 	"health sub-district"
label 	variable 	t1s4	 	"sub-county"
label 	variable 	t1s5	 	"ownership"
label 	variable 	t1s6	 	"type"
label 	variable 	t1s7	 	"hc-level"
label 	variable 	t1s8	 	"code"
label 	variable 	t1t1	 	"facility name"
label 	variable 	t1t2	 	"district"
label 	variable 	t1t3	 	"health sub-district"
label 	variable 	t1t4	 	"sub-county"
label 	variable 	t1t5	 	"ownership"
label 	variable 	t1t6	 	"type"
label 	variable 	t1t7	 	"hc-level"
label 	variable 	t1t8	 	"code"
label 	variable 	t1u1	 	"facility name"
label 	variable 	t1u2	 	"district"
label 	variable 	t1u3	 	"health sub-district"
label 	variable 	t1u4	 	"sub-county"
label 	variable 	t1u5	 	"ownership"
label 	variable 	t1u6	 	"type"
label 	variable 	t1u7	 	"hc-level"
label 	variable 	t1u8	 	"code"
label 	variable 	t1v1	 	"facility name"
label 	variable 	t1v2	 	"district"
label 	variable 	t1v3	 	"health sub-district"
label 	variable 	t1v4	 	"sub-county"
label 	variable 	t1v5	 	"ownership"
label 	variable 	t1v6	 	"type"
label 	variable 	t1v7	 	"hc-level"
label 	variable 	t1v8	 	"code"
label 	variable 	t1w1	 	"facility name"
label 	variable 	t1w2	 	"district"
label 	variable 	t1w3	 	"health sub-district"
label 	variable 	t1w4	 	"sub-county"
label 	variable 	t1w5	 	"ownership"
label 	variable 	t1w6	 	"type"
label 	variable 	t1w7	 	"hc-level"
label 	variable 	t1w8	 	"code"
label 	variable 	t1x1	 	"facility name"
label 	variable 	t1x2	 	"district"
label 	variable 	t1x3	 	"health sub-district"
label 	variable 	t1x4	 	"sub-county"
label 	variable 	t1x5	 	"ownership"
label 	variable 	t1x6	 	"type"
label 	variable 	t1x7	 	"hc-level"
label 	variable 	t1x8	 	"code"
label 	variable 	t1y1	 	"facility name"
label 	variable 	t1y2	 	"district"
label 	variable 	t1y3	 	"health sub-district"
label 	variable 	t1y4	 	"sub-county"
label 	variable 	t1y5	 	"ownership"
label 	variable 	t1y6	 	"type"
label 	variable 	t1y7	 	"hc-level"
label 	variable 	t1y8	 	"code"
label 	variable 	t2a1	 	"facility name"
label 	variable 	t2a2	 	"district"
label 	variable 	t2a3	 	"health sub-district"
label 	variable 	t2a4	 	"sub-county"
label 	variable 	t2a5	 	"ownership"
label 	variable 	t2a6	 	"type"
label 	variable 	t2a7	 	"hc-level"
label 	variable 	t2a8	 	"code"
label 	variable 	t2b1	 	"facility name"
label 	variable 	t2b2	 	"district"
label 	variable 	t2b3	 	"health sub-district"
label 	variable 	t2b4	 	"sub-county"
label 	variable 	t2b5	 	"ownership"
label 	variable 	t2b6	 	"type"
label 	variable 	t2b7	 	"hc-level"
label 	variable 	t2b8	 	"code"
label 	variable 	t2c1	 	"facility name"
label 	variable 	t2c2	 	"district"
label 	variable 	t2c3	 	"health sub-district"
label 	variable 	t2c4	 	"sub-county"
label 	variable 	t2c5	 	"ownership"
label 	variable 	t2c6	 	"type"
label 	variable 	t2c7	 	"hc-level"
label 	variable 	t2c8	 	"code"
label 	variable 	t2d1	 	"facility name"
label 	variable 	t2d2	 	"district"
label 	variable 	t2d3	 	"health sub-district"
label 	variable 	t2d4	 	"sub-county"
label 	variable 	t2d5	 	"ownership"
label 	variable 	t2d6	 	"type"
label 	variable 	t2d7	 	"hc-level"
label 	variable 	t2d8	 	"code"
label 	variable 	t2e1	 	"facility name"
label 	variable 	t2e2	 	"district"
label 	variable 	t2e3	 	"health sub-district"
label 	variable 	t2e4	 	"sub-county"
label 	variable 	t2e5	 	"ownership"
label 	variable 	t2e6	 	"type"
label 	variable 	t2e7	 	"hc-level"
label 	variable 	t2e8	 	"code"
label 	variable 	t2f1	 	"facility name"
label 	variable 	t2f2	 	"district"
label 	variable 	t2f3	 	"health sub-district"
label 	variable 	t2f4	 	"sub-county"
label 	variable 	t2f5	 	"ownership"
label 	variable 	t2f6	 	"type"
label 	variable 	t2f7	 	"hc-level"
label 	variable 	t2f8	 	"code"
label 	variable 	t2g1	 	"facility name"
label 	variable 	t2g2	 	"district"
label 	variable 	t2g3	 	"health sub-district"
label 	variable 	t2g4	 	"sub-county"
label 	variable 	t2g5	 	"ownership"
label 	variable 	t2g6	 	"type"
label 	variable 	t2g7	 	"hc-level"
label 	variable 	t2g8	 	"code"
label 	variable 	t2h1	 	"facility name"
label 	variable 	t2h2	 	"district"
label 	variable 	t2h3	 	"health sub-district"
label 	variable 	t2h4	 	"sub-county"
label 	variable 	t2h5	 	"ownership"
label 	variable 	t2h6	 	"type"
label 	variable 	t2h7	 	"hc-level"
label 	variable 	t2h8	 	"code"
label 	variable 	t2i1	 	"facility name"
label 	variable 	t2i2	 	"district"
label 	variable 	t2i3	 	"health sub-district"
label 	variable 	t2i4	 	"sub-county"
label 	variable 	t2i5	 	"ownership"
label 	variable 	t2i6	 	"type"
label 	variable 	t2i7	 	"hc-level"
label 	variable 	t2i8	 	"code"
label 	variable 	t2j1	 	"facility name"
label 	variable 	t2j2	 	"district"
label 	variable 	t2j3	 	"health sub-district"
label 	variable 	t2j4	 	"sub-county"
label 	variable 	t2j5	 	"ownership"
label 	variable 	t2j6	 	"type"
label 	variable 	t2j7	 	"hc-level"
label 	variable 	t2j8	 	"code"
label 	variable 	t2k1	 	"facility name"
label 	variable 	t2k2	 	"district"
label 	variable 	t2k3	 	"health sub-district"
label 	variable 	t2k4	 	"sub-county"
label 	variable 	t2k5	 	"ownership"
label 	variable 	t2k6	 	"type"
label 	variable 	t2k7	 	"hc-level"
label 	variable 	t2k8	 	"code"
label 	variable 	t2l1	 	"facility name"
label 	variable 	t2l2	 	"district"
label 	variable 	t2l3	 	"health sub-district"
label 	variable 	t2l4	 	"sub-county"
label 	variable 	t2l5	 	"ownership"
label 	variable 	t2l6	 	"type"
label 	variable 	t2l7	 	"hc-level"
label 	variable 	t2l8	 	"code"
label 	variable 	t3a1	 	"facility name"
label 	variable 	t3a2	 	"district"
label 	variable 	t3a3	 	"health sub-district"
label 	variable 	t3a4	 	"sub-county"
label 	variable 	t3a5	 	"ownership"
label 	variable 	t3a6	 	"type"
label 	variable 	t3a7	 	"hc-level"
label 	variable 	t3a8	 	"code"
label 	variable 	t3b1	 	"facility name"
label 	variable 	t3b2	 	"district"
label 	variable 	t3b3	 	"health sub-district"
label 	variable 	t3b4	 	"sub-county"
label 	variable 	t3b5	 	"ownership"
label 	variable 	t3b6	 	"type"
label 	variable 	t3b7	 	"hc-level"
label 	variable 	t3b8	 	"code"
label 	variable 	t3c1	 	"facility name"
label 	variable 	t3c2	 	"district"
label 	variable 	t3c3	 	"health sub-district"
label 	variable 	t3c4	 	"sub-county"
label 	variable 	t3c5	 	"ownership"
label 	variable 	t3c6	 	"type"
label 	variable 	t3c7	 	"hc-level"
label 	variable 	t3c8	 	"code"
label 	variable 	t3d1	 	"facility name"
label 	variable 	t3d2	 	"district"
label 	variable 	t3d3	 	"health sub-district"
label 	variable 	t3d4	 	"sub-county"
label 	variable 	t3d5	 	"ownership"
label 	variable 	t3d6	 	"type"
label 	variable 	t3d7	 	"hc-level"
label 	variable 	t3d8	 	"code"
label 	variable 	t3e1	 	"facility name"
label 	variable 	t3e2	 	"district"
label 	variable 	t3e3	 	"health sub-district"
label 	variable 	t3e4	 	"sub-county"
label 	variable 	t3e5	 	"ownership"
label 	variable 	t3e6	 	"type"
label 	variable 	t3e7	 	"hc-level"
label 	variable 	t3e8	 	"code"
label 	variable 	t3f1	 	"facility name"
label 	variable 	t3f2	 	"district"
label 	variable 	t3f3	 	"health sub-district"
label 	variable 	t3f4	 	"sub-county"
label 	variable 	t3f5	 	"ownership"
label 	variable 	t3f6	 	"type"
label 	variable 	t3f7	 	"hc-level"
label 	variable 	t3f8	 	"code"
label 	variable 	t3g1	 	"facility name"
label 	variable 	t3g2	 	"district"
label 	variable 	t3g3	 	"health sub-district"
label 	variable 	t3g4	 	"sub-county"
label 	variable 	t3g5	 	"ownership"
label 	variable 	t3g6	 	"type"
label 	variable 	t3g7	 	"hc-level"
label 	variable 	t3g8	 	"code"
label 	variable 	t3h1	 	"facility name"
label 	variable 	t3h2	 	"district"
label 	variable 	t3h3	 	"health sub-district"
label 	variable 	t3h4	 	"sub-county"
label 	variable 	t3h5	 	"ownership"
label 	variable 	t3h6	 	"type"
label 	variable 	t3h7	 	"hc-level"
label 	variable 	t3h8	 	"code"
label 	variable 	t4a1	 	"facility name"
label 	variable 	t4a2	 	"district"
label 	variable 	t4a3	 	"health sub-district"
label 	variable 	t4a4	 	"sub-county"
label 	variable 	t4a5	 	"ownership"
label 	variable 	t4a6	 	"type"
label 	variable 	t4a7	 	"hc-level"
label 	variable 	t4a8	 	"code"
label 	variable 	t4b1	 	"facility name"
label 	variable 	t4b2	 	"district"
label 	variable 	t4b3	 	"health sub-district"
label 	variable 	t4b4	 	"sub-county"
label 	variable 	t4b5	 	"ownership"
label 	variable 	t4b6	 	"type"
label 	variable 	t4b7	 	"hc-level"
label 	variable 	t4b8	 	"code"
label 	variable 	t4c1	 	"facility name"
label 	variable 	t4c2	 	"district"
label 	variable 	t4c3	 	"health sub-district"
label 	variable 	t4c4	 	"sub-county"
label 	variable 	t4c5	 	"ownership"
label 	variable 	t4c6	 	"type"
label 	variable 	t4c7	 	"hc-level"
label 	variable 	t4c8	 	"code"
label 	variable 	t4d1	 	"facility name"
label 	variable 	t4d2	 	"district"
label 	variable 	t4d3	 	"health sub-district"
label 	variable 	t4d4	 	"sub-county"
label 	variable 	t4d5	 	"ownership"
label 	variable 	t4d6	 	"type"
label 	variable 	t4d7	 	"hc-level"
label 	variable 	t4d8	 	"code"

foreach vvv of varlist  q19e1	t1a1	t1b6	t1c1	t1c3	t1c4	t1d6	t1e6	t1f1	t1f6	t1g1	t1g6	t1h1	t1h4	t1h6	t1i6	t1j6	t1k6	t1l4	t1m4	t1m6	t1p3	t1p6	t2d4	t2e1	t2h1	t2h4	t3a3	t3a6	t3b3	t3b6	t3c6	q10f	q19a1	q19g1	v75	t1a3	t1g4	t2c1	t1f3	t1h3	t1m1	t2a1	t2c3	t2e3	t2f3	t2j3	t1k3	q9e	q19b1	t1g3	t1i3	t1j3	t1j4	t1l1	t1l3	t1n3	t2b1	t2b3	t2g3	t2k3	q10e	t1d3	t1e3	t2c4	t2d3	t2i3	t3b1	q19f1	t1b3	t1m3	t3c3	t4a3	t4b3	t4c3	t4d3	t1k4	t2i1	t3b4	t2d1	q19c1	q2a	q2b	q3a	q3b	q4a	q4b	t1n5	t1n6	t1o3	t1o4	t1o5	t1o6	t1o7	t2k5	t3a5	t3a7	t3a8	t3b5	t3b7	t3b8	t3c5	t3c7	t3c8	t3d1	t3d2	t3d3	t3d4	t3d5	t3d6	t3d7	t3d8	t3e1	t3e2	t3e3	t3e4	t3e5	t3e6	t3e7	t3e8	t3f1	t3f2	t3f3	t3f4	t3f5	t3f6	t3f7	t3f8	t3g1	t3g2	t3g3	t3g4	t3g5	t3g6	t3g7	t3g8	t3h1	t3h2	t3h3	t3h4	t3h5	t3h6	t3h7	t3h8	t4a6	t4b6	q8e	t4a4	t4b4	t4c1	t4c4	t4d4	q8d	t4b1	t4a1	t4d1	q19j1	t1a6	t1a7	t1b7	t1c6	t1c7	t1d7	t1e7	t1f7	t1g7	t1h7	t1i7	t1j7	t1k7	t1l6	t1l7	t1m7	t1n7	t2a7	t2b7	t2c7	t2d7	t2e7	t2f7	t2g7	t2h7	t2i7	t2j7	t2k7	t4a7	t4b7	t4c7	t4d7	q6e	q19i1	t2j4	t2k1	t2k4	t4a8	t4b8	t4c8	t2g2	t2h2	t2i2	t2j2	t2k2	q9f	t1p1	t1p4	t2e2	t2f2	t2g1	t2g4	t2i4	t3c1	ii	ti	te	t1b4	t1h2	t1i2	t1j2	t1k2	t1l2	t1n2	t1n4	t1o2	t1p2	t2a2	t2b2	t2b4	t2c2	t2d2	t2f1	t3a2	t3a4	t3b2	t3c2	t4c2	t4d2	i	q6d	q19h1	t1a2	t1b2	t1c2	t1d2	t1e1	t1e2	t1e4	t1f2	t1f4	t1g2	t1m2	t2a3	t2h3	t3a1	t3c4	t4a2	t4b2	q19d1	t1a4	t1b1	t1d1	t1d4	t1i1	t1i4	t1j1	t1k1	t1n1	t1o1	t2a4	t2e4	t2f4	t2j1{
replace `vvv' ="-999" if `vvv'== "NA"
replace `vvv' ="-999" if `vvv'== "DNA" 
replace `vvv' ="-999" if `vvv'== "DK" 
replace `vvv' ="-999" if `vvv'== "NS"
replace `vvv' ="-999" if `vvv'== "DNS"
replace `vvv' ="-999" if `vvv'== "0"
replace `vvv' ="-999" if `vvv'== "NDS"
replace `vvv' ="-999" if `vvv'== "NSD"
replace `vvv' ="-999" if `vvv'== "NDA"
}

destring t1a1	t1b6	t1c1	t1c3	t1c4	t1d6	t1e6	t1f1	t1f6	t1g1	t1g6	t1h1	t1h4	t1h6	t1i6	t1j6	t1k6	t1l4	t1m4	t1m6	t1p3	t1p6	t2d4	t2e1	t2h1	t2h4	t3a3	t3a6	t3b3	t3b6	t3c6	q10f	q19a1	q19g1	v75	t1a3	t1g4	t2c1	t1f3	t1h3	t1m1	t2a1	t2c3	t2e3	t2f3	t2j3	t1k3	q9e	q19b1	t1g3	t1i3	t1j3	t1j4	t1l1	t1l3	t1n3	t2b1	t2b3	t2g3	t2k3	q10e	t1d3	t1e3	t2c4	t2d3	t2i3	t3b1	q19f1	t1b3	t1m3	t3c3	t4a3	t4b3	t4c3	t4d3	t1k4	t2i1	t3b4	t2d1	q19c1	q8e	t4a4	t4b4	t4c1	t4c4	t4d4	q8d	t4b1	t4a1	t4d1	q19j1	t1a6	t1a7	t1b7	t1c6	t1c7	t1d7	t1e7	t1f7	t1g7	t1h7	t1i7	t1j7	t1k7	t1l6	t1m7	t2a7	t2b7	t2c7	t2d7	t2e7	t2f7	t2g7	t2h7	t2i7	t2j7	t2k7	t4c7	t4d7	q2a	q2b	q3a	q3b	q4a	q4b	q6e	q19i1	t1l7	t1n5	t1n6	t1n7	t1o3	t1o4	t1o5	t1o6	t1o7	t2j4	t2k1	t2k4	t2k5	t3a5	t3a7	t3a8	t3b5	t3b7	t3b8	t3c5	t3c7	t3c8	t3d1	t3d2	t3d3	t3d4	t3d5	t3d6	t3d7	t3d8	t3e1	t3e2	t3e3	t3e4	t3e5	t3e6	t3e7	t3e8	t3f1	t3f2	t3f3	t3f4	t3f5	t3f6	t3f7	t3f8	t3g1	t3g2	t3g3	t3g4	t3g5	t3g6	t3g7	t3g8	t3h1	t3h2	t3h3	t3h4	t3h5	t3h6	t3h7	t3h8	t4a6	t4a7	t4a8	t4b6	t4b7	t4b8	t4c8	t2g2	t2h2	t2i2	t2j2	t2k2	q9f	t1p1	t1p4	t2e2	t2f2	t2g1	t2g4	t2i4	t3c1	ii	ti	te	t1b4	t1h2	t1i2	t1j2	t1k2	t1l2	t1n2	t1n4	t1o2	t1p2	t2a2	t2b2	t2b4	t2c2	t2d2	t2f1	t3a2	t3a4	t3b2	t3c2	t4c2	t4d2	i	q6d	q19h1	t1a2	t1b2	t1c2	t1d2	t1e1	t1e2	t1e4	t1f2	t1f4	t1g2	t1m2	t2a3	t2h3	t3a1	t3c4	t4a2	t4b2	q19d1	t1a4	t1b1	t1d1	t1d4	t1i1	t1i4	t1j1	t1k1	t1n1	t1o1	t2a4	t2e4	t2f4	t2j1, ignore ("DISPENSARY" "HC3" "HC2")  replace

**************************************************
*** Recode missing values
***************************************************

*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);


# d cr;

* Recode missing values to Stata missing values, for tests and data inspection.
quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -999 = .r) 

**************************************************
***  Identify outliers
**************************************************

mvdecode  t1d5	t1d6	t1d7	t1e5	t1e6	t1e7	t1f5	t1f6	t1f7	t1g5	t1g6	t1g7	t1h5	t1h6	t1h7	t1i5	t1i6	t1i7	t1j5	t1j6	t1j7	t1k5	t1k7	t1l5	t1m5	t1m6	t1m7	t1p5	t1p6	t1p7	t1q1	t1q2	t1q3	t1q4	t1q5	t1q6	t1q7	t1q8	t1r1	t1r2	t1r3	t1r4	t1r5	t1r6	t1r7	t1r8	t1s1	t1s2	t1s3	t1s4	t1s5	t1s6	t1s7	t1s8	t1t1	t1t2	t1t3	t1t4	t1t5	t1t6	t1t7	t1t8	t1u1	t1u2	t1u3	t1u4	t1u5	t1u6	t1u7	t1u8	t1v1	t1v2	t1v3	t1v4	t1v5	t1v6	t1v7	t1v8	t1w1	t1w2	t1w3	t1w4	t1w5	t1w6	t1w7	t1w8	t1x1	t1x2	t1x3	t1x4	t1x5	t1x6	t1x7	t1x8	t1y1	t1y2	t1y3	t1y4	t1y5	t1y6	t1y7	t1y8	t2a5	t2a6	t2a7	t2b5	t2b6	t2b7	t2c5	t2c6	t2c7	t2d5	t2d6	t2d7	t2e5	t2e6	t2e7	t2f5	t2f6	t2f7	t2g5	t2g6	t2g7	t2h5	t2h6	t2h7	t2i5	t2i6	t2i7	t2j5	t2j6	t2j7	t2k6	t2k7	t2l1	t2l2	t2l3	t2l4	t2l5	t2l6	t2l7	t2l8	t4a5	t4b5	t4c5	t4c6	t4c7	t4d5	t4d6	t4d7	qno	dd	dm	q1i	q1ii	q1iii	q1iv	q5	q6a	q6b	q6c	q7a	q7b	q7c	q8a	q8b	q8c	q9a	q9b	q9c	q9d	q10a	q10b	q10c	q10d	q11a	q11b	q11c	q12a	q12b	q12c	q13a	q13b	q13c	q14	q15	q16	q17	q18	q20	t1a5	t1a7	t1b5	t1b6	t1b7	t1c5	t1c7	t1d8	t1e8	t1f8	t1g8	t1h8	t1i8	t1j8	t1k8	t1l7	t1l8	t1m8	t1n5	t1n6	t1n7	t1n8	t1o3	t1o4	t1o5	t1o6	t1o7	t1o8	t1p8	t2a8	t2b8	t2c8	t2d8	t2e8	t2f8	t2g8	t2h8	t2i8	t2j8	t2k5	t2k8	t3a5	t3a6	t3a7	t3a8	t3b5	t3b6	t3b7	t3b8	t3c5	t3c6	t3c7	t3c8	t3d1	t3d2	t3d3	t3d4	t3d5	t3d6	t3d7	t3d8	t3e1	t3e2	t3e3	t3e4	t3e5	t3e6	t3e7	t3e8	t3f1	t3f2	t3f3	t3f4	t3f5	t3f6	t3f7	t3f8	t3g1	t3g2	t3g3	t3g4	t3g5	t3g6	t3g7	t3g8	t3h1	t3h2	t3h3	t3h4	t3h5	t3h6	t3h7	t3h8	t4a6	t4a7	t4a8	t4b6	t4b7	t4b8	t4c8	t4d8	dy	q2a	q2b	q3a	q3b	q4a	q4b	q21	t1a8	t1b8	t1c8	q19a2	q19b2	q19c2	q19d2	q19e2	q19f2	q19g2	q19h2	v76	q19i2	q19j2, mv(0 = .z)
grubbs t1d5	t1d6	t1d7	t1e5	t1e6	t1e7	t1f5	t1f6	t1f7	t1g5	t1g6	t1g7	t1h5	t1h6	t1h7	t1i5	t1i6	t1i7	t1j5	t1j6	t1j7	t1k5	t1k7	t1l5	t1m5	t1m6	t1m7	t1p5	t1p6	t1p7	t1q1	t1q2	t1q3	t1q4	t1q5	t1q6	t1q7	t1q8	t1r1	t1r2	t1r3	t1r4	t1r5	t1r6	t1r7	t1r8	t1s1	t1s2	t1s3	t1s4	t1s5	t1s6	t1s7	t1s8	t1t1	t1t2	t1t3	t1t4	t1t5	t1t6	t1t7	t1t8	t1u1	t1u2	t1u3	t1u4	t1u5	t1u6	t1u7	t1u8	t1v1	t1v2	t1v3	t1v4	t1v5	t1v6	t1v7	t1v8	t1w1	t1w2	t1w3	t1w4	t1w5	t1w6	t1w7	t1w8	t1x1	t1x2	t1x3	t1x4	t1x5	t1x6	t1x7	t1x8	t1y1	t1y2	t1y3	t1y4	t1y5	t1y6	t1y7	t1y8	t2a5	t2a6	t2a7	t2b5	t2b6	t2b7	t2c5	t2c6	t2c7	t2d5	t2d6	t2d7	t2e5	t2e6	t2e7	t2f5	t2f6	t2f7	t2g5	t2g6	t2g7	t2h5	t2h6	t2h7	t2i5	t2i6	t2i7	t2j5	t2j6	t2j7	t2k6	t2k7	t2l1	t2l2	t2l3	t2l4	t2l5	t2l6	t2l7	t2l8	t4a5	t4b5	t4c5	t4c6	t4c7	t4d5	t4d6	t4d7	qno	dd	dm	q1i	q1ii	q1iii	q1iv	q5	q6a	q6b	q6c	q7a	q7b	q7c	q8a	q8b	q8c	q9a	q9b	q9c	q9d	q10a	q10b	q10c	q10d	q11a	q11b	q11c	q12a	q12b	q12c	q13a	q13b	q13c	q14	q15	q16	q17	q18	q20	t1a5	t1a7	t1b5	t1b6	t1b7	t1c5	t1c7	t1d8	t1e8	t1f8	t1g8	t1h8	t1i8	t1j8	t1k8	t1l7	t1l8	t1m8	t1n5	t1n6	t1n7	t1n8	t1o3	t1o4	t1o5	t1o6	t1o7	t1o8	t1p8	t2a8	t2b8	t2c8	t2d8	t2e8	t2f8	t2g8	t2h8	t2i8	t2j8	t2k5	t2k8	t3a5	t3a6	t3a7	t3a8	t3b5	t3b6	t3b7	t3b8	t3c5	t3c6	t3c7	t3c8	t3d1	t3d2	t3d3	t3d4	t3d5	t3d6	t3d7	t3d8	t3e1	t3e2	t3e3	t3e4	t3e5	t3e6	t3e7	t3e8	t3f1	t3f2	t3f3	t3f4	t3f5	t3f6	t3f7	t3f8	t3g1	t3g2	t3g3	t3g4	t3g5	t3g6	t3g7	t3g8	t3h1	t3h2	t3h3	t3h4	t3h5	t3h6	t3h7	t3h8	t4a6	t4a7	t4a8	t4b6	t4b7	t4b8	t4c8	t4d8	dy	q2a	q2b	q3a	q3b	q4a	q4b	q21	t1a8	t1b8	t1c8	q19a2	q19b2	q19c2	q19d2	q19e2	q19f2	q19g2	q19h2	v76	q19i2	q19j2, level(99.99)
mvencode t1d5	t1d6	t1d7	t1e5	t1e6	t1e7	t1f5	t1f6	t1f7	t1g5	t1g6	t1g7	t1h5	t1h6	t1h7	t1i5	t1i6	t1i7	t1j5	t1j6	t1j7	t1k5	t1k7	t1l5	t1m5	t1m6	t1m7	t1p5	t1p6	t1p7	t1q1	t1q2	t1q3	t1q4	t1q5	t1q6	t1q7	t1q8	t1r1	t1r2	t1r3	t1r4	t1r5	t1r6	t1r7	t1r8	t1s1	t1s2	t1s3	t1s4	t1s5	t1s6	t1s7	t1s8	t1t1	t1t2	t1t3	t1t4	t1t5	t1t6	t1t7	t1t8	t1u1	t1u2	t1u3	t1u4	t1u5	t1u6	t1u7	t1u8	t1v1	t1v2	t1v3	t1v4	t1v5	t1v6	t1v7	t1v8	t1w1	t1w2	t1w3	t1w4	t1w5	t1w6	t1w7	t1w8	t1x1	t1x2	t1x3	t1x4	t1x5	t1x6	t1x7	t1x8	t1y1	t1y2	t1y3	t1y4	t1y5	t1y6	t1y7	t1y8	t2a5	t2a6	t2a7	t2b5	t2b6	t2b7	t2c5	t2c6	t2c7	t2d5	t2d6	t2d7	t2e5	t2e6	t2e7	t2f5	t2f6	t2f7	t2g5	t2g6	t2g7	t2h5	t2h6	t2h7	t2i5	t2i6	t2i7	t2j5	t2j6	t2j7	t2k6	t2k7	t2l1	t2l2	t2l3	t2l4	t2l5	t2l6	t2l7	t2l8	t4a5	t4b5	t4c5	t4c6	t4c7	t4d5	t4d6	t4d7	qno	dd	dm	q1i	q1ii	q1iii	q1iv	q5	q6a	q6b	q6c	q7a	q7b	q7c	q8a	q8b	q8c	q9a	q9b	q9c	q9d	q10a	q10b	q10c	q10d	q11a	q11b	q11c	q12a	q12b	q12c	q13a	q13b	q13c	q14	q15	q16	q17	q18	q20	t1a5	t1a7	t1b5	t1b6	t1b7	t1c5	t1c7	t1d8	t1e8	t1f8	t1g8	t1h8	t1i8	t1j8	t1k8	t1l7	t1l8	t1m8	t1n5	t1n6	t1n7	t1n8	t1o3	t1o4	t1o5	t1o6	t1o7	t1o8	t1p8	t2a8	t2b8	t2c8	t2d8	t2e8	t2f8	t2g8	t2h8	t2i8	t2j8	t2k5	t2k8	t3a5	t3a6	t3a7	t3a8	t3b5	t3b6	t3b7	t3b8	t3c5	t3c6	t3c7	t3c8	t3d1	t3d2	t3d3	t3d4	t3d5	t3d6	t3d7	t3d8	t3e1	t3e2	t3e3	t3e4	t3e5	t3e6	t3e7	t3e8	t3f1	t3f2	t3f3	t3f4	t3f5	t3f6	t3f7	t3f8	t3g1	t3g2	t3g3	t3g4	t3g5	t3g6	t3g7	t3g8	t3h1	t3h2	t3h3	t3h4	t3h5	t3h6	t3h7	t3h8	t4a6	t4a7	t4a8	t4b6	t4b7	t4b8	t4c8	t4d8	dy	q2a	q2b	q3a	q3b	q4a	q4b	q21	t1a8	t1b8	t1c8	q19a2	q19b2	q19c2	q19d2	q19e2	q19f2	q19g2	q19h2	v76	q19i2	q19j2, mv(.z = 0)


**************************************************
*** Identify errors to be reviewed
**************************************************
cd "Source\Uganda 2000 Q H\Data\4.3. Clean Data\4.3.3. Data Code Book"
log using "districthealthteamquest codebook errors ", replace
codebook grubbs_*, compact
log close
drop grubbs* 

* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)


