****************************
* File: facilitydatasheets.do 
* Questionnaire type: Facility Data Sheets
* Country: Uganda 2000
*****************************

version 10.1
capture clear
cd "Source\Uganda 2000 Q H\Data\4.1. Data"
capture log close
clear
set mem 700m
set more off
use "facilitydatasheets.dta"



**************************************************
***  Ensure all variables are present and labeled
**************************************************
label define Position 1 "Medical doctor"
label define Position 2 "clinical officer", add
label define Position 3 "enrolled nurse", add
label define Position 4 "comprehensive nurse", add
label define Position 5 "registered nurse", add
label define Position 6 "enrolled midwife", add
label define Position 7 "lab assistant", add
label define Position 8 "nursing aide", add
label define Position 9 "other", add


label 	variable 	sno	"sample number"
label 	variable 	i	"name of facility"
label 	variable 	ii	"region"
label 	variable 	iii	"district"
label 	variable 	iv	"municipality/county"
label 	variable 	v	"subcounty/towncoucil/division"
label 	variable 	vi	"parish"
label 	variable 	vii	"village"
label 	variable 	viii	"postal address"
label 	variable 	dsno	"datasheet no"
label 	variable 	dd	"day interview"
label 	variable 	dm	"months interview"
label 	variable 	dy	"year interview"
label 	variable 	t1a1	"name"
label 	variable 	t1a2	"position"
label 	variable 	t1a3	"salary"
label 	variable 	t1a4	"lunch allowance"
label 	variable 	t1a5	"source of finance"
label 	variable 	t1a6	"part/full time"
label 	variable 	t1a7	"present at facility"
label 	variable 	t1b1	"name"
label 	variable 	t1b2	"position"
label 	variable 	t1b3	"salary"
label 	variable 	t1b4	"lunch allowance"
label 	variable 	t1b5	"source of finance"
label 	variable 	t1b6	"part/full time"
label 	variable 	t1b7	"present at facility"
label 	variable 	t1c1	"name"
label 	variable 	t1c2	"position"
label 	variable 	t1c3	"salary"
label 	variable 	t1c4	"lunch allowance"
label 	variable 	t1c5	"source of finance"
label 	variable 	t1c6	"part/full time"
label 	variable 	t1c7	"present at facility"
label 	variable 	t1d1	"name"
label 	variable 	t1d2	"position"
label 	variable 	t1d3	"salary"
label 	variable 	t1d4	"lunch allowance"
label 	variable 	t1d5	"source of finance"
label 	variable 	t1d6	"part/full time"
label 	variable 	t1d7	"present at facility"
label 	variable 	t1e1	"name"
label 	variable 	t1e2	"position"
label 	variable 	t1e3	"salary"
label 	variable 	t1e4	"lunch allowance"
label 	variable 	t1e5	"source of finance"
label 	variable 	t1e6	"part/full time"
label 	variable 	t1e7	"present at facility"
label 	variable 	t1f1	"name"
label 	variable 	t1f2	"position"
label 	variable 	t1f3	"salary"
label 	variable 	t1f4	"lunch allowance"
label 	variable 	t1f5	"source of finance"
label 	variable 	t1f6	"part/full time"
label 	variable 	t1f7	"present at facility"
label 	variable 	t1g1	"name"
label 	variable 	t1g2	"position"
label 	variable 	t1g3	"salary"
label 	variable 	t1g4	"lunch allowance"
label 	variable 	t1g5	"source of finance"
label 	variable 	t1g6	"part/full time"
label 	variable 	t1g7	"present at facility"
label 	variable 	t1h1	"name"
label 	variable 	t1h2	"position"
label 	variable 	t1h3	"salary"
label 	variable 	t1h4	"lunch allowance"
label 	variable 	t1h5	"source of finance"
label 	variable 	t1h6	"part/full time"
label 	variable 	t1h7	"present at facility"
label 	variable 	t1i1	"name"
label 	variable 	t1i2	"position"
label 	variable 	t1i3	"salary"
label 	variable 	t1i4	"lunch allowance"
label 	variable 	t1i5	"source of finance"
label 	variable 	t1i6	"part/full time"
label 	variable 	t1i7	"present at facility"
label 	variable 	t1j1	"name"
label 	variable 	t1j2	"position"
label 	variable 	t1j3	"salary"
label 	variable 	t1j4	"lunch allowance"
label 	variable 	t1j5	"source of finance"
label 	variable 	t1j6	"part/full time"
label 	variable 	t1j7	"present at facility"
label 	variable 	t1k1	"name"
label 	variable 	t1k2	"position"
label 	variable 	t1k3	"salary"
label 	variable 	t1k4	"lunch allowance"
label 	variable 	t1k5	"source of finance"
label 	variable 	t1k6	"part/full time"
label 	variable 	t1k7	"present at facility"
label 	variable 	t1l1	"name"
label 	variable 	t1l2	"position"
label 	variable 	t1l3	"salary"
label 	variable 	t1l4	"lunch allowance"
label 	variable 	t1l5	"source of finance"
label 	variable 	t1l6	"part/full time"
label 	variable 	t1l7	"present at facility"
label 	variable 	t1m1	"name"
label 	variable 	t1m2	"position"
label 	variable 	t1m3	"salary"
label 	variable 	t1m4	"lunch allowance"
label 	variable 	t1m5	"source of finance"
label 	variable 	t1m6	"part/full time"
label 	variable 	t1m7	"present at facility"
label 	variable 	t1n1	"name"
label 	variable 	t1n2	"position"
label 	variable 	t1n3	"salary"
label 	variable 	t1n4	"lunch allowance"
label 	variable 	t1n5	"source of finance"
label 	variable 	t1n6	"part/full time"
label 	variable 	t1n7	"present at facility"
label 	variable 	t1o1	"name"
label 	variable 	t1o2	"position"
label 	variable 	t1o3	"salary"
label 	variable 	t1o4	"lunch allowance"
label 	variable 	t1o5	"source of finance"
label 	variable 	t1o6	"part/full time"
label 	variable 	t1o7	"present at facility"
label 	variable 	t1p1	"name"
label 	variable 	t1p2	"position"
label 	variable 	t1p3	"salary"
label 	variable 	t1p4	"lunch allowance"
label 	variable 	t1p5	"source of finance"
label 	variable 	t1p6	"part/full time"
label 	variable 	t1p7	"present at facility"
label 	variable 	t1q1	"name"
label 	variable 	t1q2	"position"
label 	variable 	t1q3	"salary"
label 	variable 	t1q4	"lunch allowance"
label 	variable 	t1q5	"source of finance"
label 	variable 	t1q6	"part/full time"
label 	variable 	t1q7	"present at facility"
label 	variable 	t1r1	"name"
label 	variable 	t1r2	"position"
label 	variable 	t1r3	"salary"
label 	variable 	t1r4	"lunch allowance"
label 	variable 	t1r5	"source of finance"
label 	variable 	t1r6	"part/full time"
label 	variable 	t1r7	"present at facility"
label 	variable 	t1s1	"name"
label 	variable 	t1s2	"position"
label 	variable 	t1s3	"salary"
label 	variable 	t1s4	"lunch allowance"
label 	variable 	t1s5	"source of finance"
label 	variable 	t1s6	"part/full time"
label 	variable 	t1s7	"present at facility"
label 	variable 	t2a1	"outpatients july99"
label 	variable 	t2a2	"outpatients aug99"
label 	variable 	t2a3	"outpatients sept99"
label 	variable 	t2a4	"outpatients oct99"
label 	variable 	t2a5	"outpatients nov99"
label 	variable 	t2a6	"outpatients dec99"
label 	variable 	t2b1	"deliveries july99"
label 	variable 	t2b2	"deliveries aug99"
label 	variable 	t2b3	"deliveries sept99"
label 	variable 	t2b4	"deliveries oct99"
label 	variable 	t2b5	"deliveries nov99"
label 	variable 	t2b6	"deliveries dec00"
label 	variable 	t2c1	"outpatients jan00"
label 	variable 	t2c2	"outpatients feb00"
label 	variable 	t2c3	"outpatients march00"
label 	variable 	t2c4	"outpatients apr00"
label 	variable 	t2c5	"outpatients may00"
label 	variable 	t2c6	"outpatients june00"
label 	variable 	t2d1	"deliveries jan00"
label 	variable 	t2d2	"deliveries feb00"
label 	variable 	t2d3	"deliveries march00"
label 	variable 	t2d4	"deliveries apr00"
label 	variable 	t2d5	"deliveries may00"
label 	variable 	t2d6	"deliveries june00"
label 	variable 	t3a1	"new apr00"
label 	variable 	t3a2	"new may00"
label 	variable 	t3a3	"new jun00"
label 	variable 	t3b1	"re-attendance apr00"
label 	variable 	t3b2	"re-attendance may00"
label 	variable 	t3b3	"re-attendance jun00"
label 	variable 	t3c1	"<5 years apr00"
label 	variable 	t3c2	"<5 years may00"
label 	variable 	t3c3	"<5 years jun00"
label 	variable 	t3d1	">5 years apr00"
label 	variable 	t3d2	">5 years may00"
label 	variable 	t3d3	">5 years jun00"
label 	variable 	t3e1	"deliveries apr00"
label 	variable 	t3e2	"deliveries may00"
label 	variable 	t3e3	"deliveries jun00"
label 	variable 	t3f1	"in-patients apr00"
label 	variable 	t3f2	"in-patients may00"
label 	variable 	t3f3	"in-patients jun00"
label 	variable 	t3g1	"ailment apr00"
label 	variable 	t3g2	"ailment may00"
label 	variable 	t3g3	"ailment jun00"
label 	variable 	t3m1	"ailment"
label 	variable 	t3m2	"ailment"
label 	variable 	t3m3	"ailment"
label 	variable 	t3m4	"ailment"
label 	variable 	t3m5	"ailment"
label 	variable 	t3m6	"ailment"
label 	variable 	t4a1	"malaria apr00"
label 	variable 	t4a2	"malaria may00"
label 	variable 	t4a3	"malaria jun00"
label 	variable 	t4b1	"upper respiratory apr00"
label 	variable 	t4b2	"upper respiratory may00"
label 	variable 	t4b3	"upper respiratory jun00"
label 	variable 	t4c1	"intestinal worms apr00"
label 	variable 	t4c2	"intestinal worms may00"
label 	variable 	t4c3	"intestinal worms jun00"
label 	variable 	t4d1	"trauma apr00"
label 	variable 	t4d2	"trauma may00"
label 	variable 	t4d3	"trauma jun00"
label 	variable 	t4e1	"diarrhoeal apr00"
label 	variable 	t4e2	"diarrhoeal may00"
label 	variable 	t4e3	"diarrhoeal jun00"
label 	variable 	t4f1	"ailments apr00"
label 	variable 	t4f2	"ailments may00"
label 	variable 	t4f3	"ailments jun00"
label 	variable 	t4g1	"new apr00"
label 	variable 	t4g2	"new may00"
label 	variable 	t4g3	"new jun00"
label 	variable 	t4h1	"re-attendance apr00"
label 	variable 	t4h2	"re-attendance may00"
label 	variable 	t4h3	"re-attendance jun00"
label 	variable 	t4i1	"<5 years apr00"
label 	variable 	t4i2	"<5 years may00"
label 	variable 	t4i3	"<5 years jun00"
label 	variable 	t4j1	">5 years apr00"
label 	variable 	t4j2	">5 years may00"
label 	variable 	t4j3	">5 years jun00"
label 	variable 	t4k1	"deliveries apr00"
label 	variable 	t4k2	"deliveries may00"
label 	variable 	t4k3	"deliveries jun00"
label 	variable 	t4l1	"in-patients days apr00"
label 	variable 	t4l2	"in-patients days may00"
label 	variable 	t4l3	"in-patients days jun00"
label 	variable 	t4m1	"ailment"
label 	variable 	t4m2	"ailment"
label 	variable 	t4m3	"ailment"
label 	variable 	t4m4	"ailment"
label 	variable 	t4m5	"ailment"
label 	variable 	t4m6	"ailment"
label 	variable 	t5a1	"bcg jan00"
label 	variable 	t5a2	"bcg feb00"
label 	variable 	t5a3	"bcg mar00"
label 	variable 	t5a4	"bcg apr00"
label 	variable 	t5a5	"bcg may00"
label 	variable 	t5a6	"bcg jun00"
label 	variable 	t5b1	"polio jan00"
label 	variable 	t5b2	"polio feb00"
label 	variable 	t5b3	"polio mar00"
label 	variable 	t5b4	"polio apr00"
label 	variable 	t5b5	"polio may00"
label 	variable 	t5b6	"polio jun00"
label 	variable 	t5c1	"measles jan00"
label 	variable 	t5c2	"measles feb00"
label 	variable 	t5c3	"measles mar00"
label 	variable 	t5c4	"measles apr00"
label 	variable 	t5c5	"measles may00"
label 	variable 	t5c6	"measles jun00"
label 	variable 	t5d1	"tetanus jan00"
label 	variable 	t5d2	"tetanus feb00"
label 	variable 	t5d3	"tetanus mar00"
label 	variable 	t5d4	"tetanus apr00"
label 	variable 	t5d5	"tetanus may00"
label 	variable 	t5d6	"tetanus jun00"
label 	variable 	t5e1	"dpt jan00"
label 	variable 	t5e2	"dpt feb00"
label 	variable 	t5e3	"dpt mar00"
label 	variable 	t5e4	"dpt apr00"
label 	variable 	t5e5	"dpt may00"
label 	variable 	t5e6	"dpt jun00"
label 	variable 	t6aa1	"date"
label 	variable 	t6aa2	"supply"
label 	variable 	t6aa3	"new stock"
label 	variable 	t6aa4	"type of supply"
label 	variable 	t6aa5	"source"
label 	variable 	t6ab1	"date"
label 	variable 	t6ab2	"supply"
label 	variable 	t6ab3	"new stock"
label 	variable 	t6ab4	"type of supply"
label 	variable 	t6ab5	"source"
label 	variable 	t6ac1	"date"
label 	variable 	t6ac2	"supply"
label 	variable 	t6ac3	"new stock"
label 	variable 	t6ac4	"type of supply"
label 	variable 	t6ac5	"source"
label 	variable 	t6ad1	"date"
label 	variable 	t6ad2	"supply"
label 	variable 	t6ad3	"new stock"
label 	variable 	t6ad4	"type of supply"
label 	variable 	t6ad5	"source"
label 	variable 	t6ae1	"date"
label 	variable 	t6ae2	"supply"
label 	variable 	t6ae3	"new stock"
label 	variable 	t6ae4	"type of supply"
label 	variable 	t6ae5	"source"
label 	variable 	t6af1	"date"
label 	variable 	t6af2	"supply"
label 	variable 	t6af3	"new stock"
label 	variable 	t6af4	"type of supply"
label 	variable 	t6af5	"source"
label 	variable 	t6ag1	"date"
label 	variable 	t6ag2	"supply"
label 	variable 	t6ag3	"new stock"
label 	variable 	t6ag4	"type of supply"
label 	variable 	t6ag5	"source"
label 	variable 	t6ah1	"date"
label 	variable 	t6ah2	"supply"
label 	variable 	t6ah3	"new stock"
label 	variable 	t6ah4	"type of supply"
label 	variable 	t6ah5	"source"
label 	variable 	t6ai1	"date"
label 	variable 	t6ai2	"supply"
label 	variable 	t6ai3	"new stock"
label 	variable 	t6ai4	"type of supply"
label 	variable 	t6ai5	"source"
label 	variable 	t6aj1	"date"
label 	variable 	t6aj2	"supply"
label 	variable 	t6aj3	"new stock"
label 	variable 	t6aj4	"type of supply"
label 	variable 	t6aj5	"source"
label 	variable 	t6ak1	"date"
label 	variable 	t6ak2	"supply"
label 	variable 	t6ak3	"new stock"
label 	variable 	t6ak4	"type of supply"
label 	variable 	t6ak5	"source"
label 	variable 	t6al1	"date"
label 	variable 	t6al2	"supply"
label 	variable 	t6al3	"new stock"
label 	variable 	t6al4	"type of supply"
label 	variable 	t6al5	"source"
label 	variable 	t6am1	"date"
label 	variable 	t6am2	"supply"
label 	variable 	t6am3	"new stock"
label 	variable 	t6am4	"type of supply"
label 	variable 	t6am5	"source"
label 	variable 	t6an1	"date"
label 	variable 	t6an2	"supply"
label 	variable 	t6an3	"new stock"
label 	variable 	t6an4	"type of supply"
label 	variable 	t6an5	"source"
label 	variable 	t6ao1	"date"
label 	variable 	t6ao2	"supply"
label 	variable 	t6ao3	"new stock"
label 	variable 	t6ao4	"type of supply"
label 	variable 	t6ao5	"source"
label 	variable 	t6ap1	"date"
label 	variable 	t6ap2	"supply"
label 	variable 	t6ap3	"new stock"
label 	variable 	t6ap4	"type of supply"
label 	variable 	t6ap5	"source"
label 	variable 	t6ar1	"date"
label 	variable 	t6ar2	"supply"
label 	variable 	t6ar3	"new stock"
label 	variable 	t6ar4	"type of supply"
label 	variable 	t6ar5	"source"
label 	variable 	t6as1	"date"
label 	variable 	t6as2	"supply"
label 	variable 	t6as3	"new stock"
label 	variable 	t6as4	"type of supply"
label 	variable 	t6as5	"source"
label 	variable 	t6at1	"date"
label 	variable 	t6at2	"supply"
label 	variable 	t6at3	"new stock"
label 	variable 	t6at4	"type of supply"
label 	variable 	t6at5	"source"
label 	variable 	t6au1	"date"
label 	variable 	t6au2	"supply"
label 	variable 	t6au3	"new stock"
label 	variable 	t6au4	"type of supply"
label 	variable 	t6au5	"source"
label 	variable 	t6av1	"date"
label 	variable 	t6av2	"supply"
label 	variable 	t6av3	"new stock"
label 	variable 	t6av4	"type of supply"
label 	variable 	t6av5	"source"
label 	variable 	t6aw1	"date"
label 	variable 	t6aw2	"supply"
label 	variable 	t6aw3	"new stock"
label 	variable 	t6aw4	"type of supply"
label 	variable 	t6aw5	"source"
label 	variable 	t6ax1	"date"
label 	variable 	t6ax2	"supply"
label 	variable 	t6ax3	"new stock"
label 	variable 	t6ax4	"type of supply"
label 	variable 	t6ax5	"source"
label 	variable 	t6ay1	"date"
label 	variable 	t6ay2	"supply"
label 	variable 	t6ay3	"new stock"
label 	variable 	t6ay4	"type of supply"
label 	variable 	t6ay5	"source"
label 	variable 	t6az1	"date"
label 	variable 	t6az2	"supply"
label 	variable 	t6az3	"new stock"
label 	variable 	t6az4	"type of supply"
label 	variable 	t6ba1	"date"
label 	variable 	t6ba2	"supply"
label 	variable 	t6ba3	"new stock"
label 	variable 	t6ba4	"type of supply"
label 	variable 	t6ba5	"source"
label 	variable 	t6bb1	"date"
label 	variable 	t6bb2	"supply"
label 	variable 	t6bb3	"new stock"
label 	variable 	t6bb4	"type of supply"
label 	variable 	t6bb5	"source"
label 	variable 	t6bc1	"date"
label 	variable 	t6bc2	"supply"
label 	variable 	t6bc3	"new stock"
label 	variable 	t6bc4	"type of supply"
label 	variable 	t6bc5	"source"
label 	variable 	t6bd1	"date"
label 	variable 	t6bd2	"supply"
label 	variable 	t6bd3	"new stock"
label 	variable 	t6bd4	"type of supply"
label 	variable 	t6bd5	"source"
label 	variable 	t6be1	"date"
label 	variable 	t6be2	"supply"
label 	variable 	t6be3	"new stock"
label 	variable 	t6be4	"type of supply"
label 	variable 	t6be5	"source"
label 	variable 	t6bf1	"date"
label 	variable 	t6bf2	"supply"
label 	variable 	t6bf3	"new stock"
label 	variable 	t6bf4	"type of supply"
label 	variable 	t6bf5	"source"
label 	variable 	t6bg1	"date"
label 	variable 	t6bg2	"supply"
label 	variable 	t6bg3	"new stock"
label 	variable 	t6bg4	"type of supply"
label 	variable 	t6bg5	"source"
label 	variable 	t6bh1	"date"
label 	variable 	t6bh2	"supply"
label 	variable 	t6bh3	"new stock"
label 	variable 	t6bh4	"type of supply"
label 	variable 	t6bh5	"source"
label 	variable 	t6bi1	"date"
label 	variable 	t6bi2	"supply"
label 	variable 	t6bi3	"new stock"
label 	variable 	t6bi4	"type of supply"
label 	variable 	t6bi5	"source"
label 	variable 	t6bj1	"date"
label 	variable 	t6bj2	"supply"
label 	variable 	t6bj3	"new stock"
label 	variable 	t6bj4	"type of supply"
label 	variable 	t6bj5	"source"
label 	variable 	t6bk1	"date"
label 	variable 	t6bk2	"supply"
label 	variable 	t6bk3	"new stock"
label 	variable 	t6bk4	"type of supply"
label 	variable 	t6bk5	"source"
label 	variable 	t6bl1	"date"
label 	variable 	t6bl2	"supply"
label 	variable 	t6bl3	"new stock"
label 	variable 	t6bl4	"type of supply"
label 	variable 	t6bl5	"source"
label 	variable 	t6bm1	"date"
label 	variable 	t6bm2	"supply"
label 	variable 	t6bm3	"new stock"
label 	variable 	t6bm4	"type of supply"
label 	variable 	t6bm5	"source"
label 	variable 	t6bn1	"date"
label 	variable 	t6bn2	"supply"
label 	variable 	t6bn3	"new stock"
label 	variable 	t6bn4	"type of supply"
label 	variable 	t6bn5	"source"
label 	variable 	t6bo1	"date"
label 	variable 	t6bo2	"supply"
label 	variable 	t6bo3	"new stock"
label 	variable 	t6bo4	"type of supply"
label 	variable 	t6bo5	"source"
label 	variable 	t6bp1	"date"
label 	variable 	t6bp2	"supply"
label 	variable 	t6bp3	"new stock"
label 	variable 	t6bp4	"type of supply"
label 	variable 	t6bp5	"source"
label 	variable 	t6bq1	"date"
label 	variable 	t6bq2	"supply"
label 	variable 	t6bq3	"new stock"
label 	variable 	t6bq4	"type of supply"
label 	variable 	t6bq5	"source"
label 	variable 	t6br1	"date"
label 	variable 	t6br2	"supply"
label 	variable 	t6br3	"new stock"
label 	variable 	t6br4	"type of supply"
label 	variable 	t6br5	"source"
label 	variable 	t6bs1	"date"
label 	variable 	t6bs2	"supply"
label 	variable 	t6bs3	"new stock"
label 	variable 	t6bs4	"type of supply"
label 	variable 	t6bs5	"source"
label 	variable 	t6bt1	"date"
label 	variable 	t6bt2	"supply"
label 	variable 	t6bt3	"new stock"
label 	variable 	t6bt4	"type of supply"
label 	variable 	t6bt5	"source"
label 	variable 	t6bu1	"date"
label 	variable 	t6bu2	"supply"
label 	variable 	t6bu3	"new stock"
label 	variable 	t6bu4	"type of supply"
label 	variable 	t6bu5	"source"
label 	variable 	t6bv1	"date"
label 	variable 	t6bv2	"supply"
label 	variable 	t6bv3	"new stock"
label 	variable 	t6bv4	"type of supply"
label 	variable 	t6bv5	"source"
label 	variable 	t6bw1	"date"
label 	variable 	t6bw2	"supply"
label 	variable 	t6bw3	"new stock"
label 	variable 	t6bw4	"type of supply"
label 	variable 	t6bw5	"source"
label 	variable 	t6bx1	"date"
label 	variable 	t6bx2	"supply"
label 	variable 	t6bx3	"new stock"
label 	variable 	t6bx4	"type of supply"
label 	variable 	t6bx5	"source"
label 	variable 	t6by1	"date"
label 	variable 	t6by2	"supply"
label 	variable 	t6by3	"new stock"
label 	variable 	t6by4	"type of supply"
label 	variable 	t6by5	"source"
label 	variable 	t6bz1	"date"
label 	variable 	t6bz2	"supply"
label 	variable 	t6bz3	"new stock"
label 	variable 	t6bz4	"type of supply"
label 	variable 	t6bz5	"source"
label 	variable 	t6ca1	"date"
label 	variable 	t6ca2	"supply"
label 	variable 	t6ca3	"new stock"
label 	variable 	t6ca4	"type of supply"
label 	variable 	t6ca5	"source"
label 	variable 	t6cb1	"date"
label 	variable 	t6cb2	"supply"
label 	variable 	t6cb3	"new stock"
label 	variable 	t6cb4	"type of supply"
label 	variable 	t6cb5	"source"
label 	variable 	t6cc1	"date"
label 	variable 	t6cc2	"supply"
label 	variable 	t6cc3	"new stock"
label 	variable 	t6cc4	"type of supply"
label 	variable 	t6cc5	"source"
label 	variable 	t6cd1	"date"
label 	variable 	t6cd2	"supply"
label 	variable 	t6cd3	"new stock"
label 	variable 	t6cd4	"type of supply"
label 	variable 	t6cd5	"source"
label 	variable 	t6ce1	"date"
label 	variable 	t6ce2	"supply"
label 	variable 	t6ce3	"new stock"
label 	variable 	t6ce4	"type of supply"
label 	variable 	t6ce5	"source"
label 	variable 	t6cf1	"date"
label 	variable 	t6cf2	"supply"
label 	variable 	t6cf3	"new stock"
label 	variable 	t6cf4	"type of supply"
label 	variable 	t6cf5	"source"
label 	variable 	t6cg1	"date"
label 	variable 	t6cg2	"supply"
label 	variable 	t6cg3	"new stock"
label 	variable 	t6cg4	"type of supply"
label 	variable 	t6cg5	"source"
label 	variable 	t6ch1	"date"
label 	variable 	t6ch2	"supply"
label 	variable 	t6ch3	"new stock"
label 	variable 	t6ch4	"type of supply"
label 	variable 	t6ch5	"source"
label 	variable 	t6ci1	"date"
label 	variable 	t6ci2	"supply"
label 	variable 	t6ci3	"new stock"
label 	variable 	t6ci4	"type of supply"
label 	variable 	t6ci5	"source"
label 	variable 	t6cj1	"date"
label 	variable 	t6cj2	"supply"
label 	variable 	t6cj3	"new stock"
label 	variable 	t6cj4	"type of supply"
label 	variable 	t6cj5	"source"
label 	variable 	t6ck1	"date"
label 	variable 	t6ck2	"supply"
label 	variable 	t6ck3	"new stock"
label 	variable 	t6ck4	"type of supply"
label 	variable 	t6ck5	"source"
label 	variable 	t6cl1	"date"
label 	variable 	t6cl2	"supply"
label 	variable 	t6cl3	"new stock"
label 	variable 	t6cl4	"type of supply"
label 	variable 	t6cl5	"source"
label 	variable 	t6cm1	"date"
label 	variable 	t6cm2	"supply"
label 	variable 	t6cm3	"new stock"
label 	variable 	t6cm4	"type of supply"
label 	variable 	t6cm5	"source"
label 	variable 	t6cn1	"date"
label 	variable 	t6cn2	"supply"
label 	variable 	t6cn3	"new stock"
label 	variable 	t6cn4	"type of supply"
label 	variable 	t6cn5	"source"
label 	variable 	t6co1	"date"
label 	variable 	t6co2	"supply"
label 	variable 	t6co3	"new stock"
label 	variable 	t6co4	"type of supply"
label 	variable 	t6co5	"source"
label 	variable 	t6cp1	"date"
label 	variable 	t6cp2	"supply"
label 	variable 	t6cp3	"new stock"
label 	variable 	t6cp4	"type of supply"
label 	variable 	t6cp5	"source"
label 	variable 	t6cq1	"date"
label 	variable 	t6cq2	"supply"
label 	variable 	t6cq3	"new stock"
label 	variable 	t6cq4	"type of supply"
label 	variable 	t6cq5	"source"
label 	variable 	t6cr1	"date"
label 	variable 	t6cr2	"supply"
label 	variable 	t6cr3	"new stock"
label 	variable 	t6cr4	"type of supply"
label 	variable 	t6cr5	"source"
label 	variable 	t6cs1	"date"
label 	variable 	t6cs2	"supply"
label 	variable 	t6cs3	"new stock"
label 	variable 	t6cs4	"type of supply"
label 	variable 	t6cs5	"source"
label 	variable 	t6ct1	"date"
label 	variable 	t6ct2	"supply"
label 	variable 	t6ct3	"new stock"
label 	variable 	t6ct4	"type of supply"
label 	variable 	t6ct5	"source"
label 	variable 	t6cu1	"date"
label 	variable 	t6cu2	"supply"
label 	variable 	t6cu3	"new stock"
label 	variable 	t6cu4	"type of supply"
label 	variable 	t6cu5	"source"
label 	variable 	t6cv1	"date"
label 	variable 	t6cv2	"supply"
label 	variable 	t6cv3	"new stock"
label 	variable 	t6cv4	"type of supply"
label 	variable 	t6cv5	"source"
label 	variable 	t6cw1	"date"
label 	variable 	t6cw2	"supply"
label 	variable 	t6cw3	"new stock"
label 	variable 	t6cw4	"type of supply"
label 	variable 	t6cw5	"source"
label 	variable 	t6cx1	"date"
label 	variable 	t6cx2	"supply"
label 	variable 	t6cx3	"new stock"
label 	variable 	t6cx4	"type of supply"
label 	variable 	t6cx5	"source"
label 	variable 	t6cy1	"date"
label 	variable 	t6cy2	"supply"
label 	variable 	t6cy3	"new stock"
label 	variable 	t6cy4	"type of supply"
label 	variable 	t6cy5	"source"
label 	variable 	t6cz1	"date"
label 	variable 	t6cz2	"supply"
label 	variable 	t6cz3	"new stock"
label 	variable 	t6cz4	"type of supply"
label 	variable 	t6cz5	"source"
label 	variable 	t6da1	"date"
label 	variable 	t6da2	"supply"
label 	variable 	t6da3	"new stock"
label 	variable 	t6da4	"type of supply"
label 	variable 	t6da5	"source"
label 	variable 	t6db1	"date"
label 	variable 	t6db2	"supply"
label 	variable 	t6db3	"new stock"
label 	variable 	t6db4	"type of supply"
label 	variable 	t6db5	"source"
label 	variable 	t6dc1	"date"
label 	variable 	t6dc2	"supply"
label 	variable 	t6dc3	"new stock"
label 	variable 	t6dc4	"type of supply"
label 	variable 	t6dc5	"source"
label 	variable 	t6dd1	"date"
label 	variable 	t6dd2	"supply"
label 	variable 	t6dd3	"new stock"
label 	variable 	t6dd4	"type of supply"
label 	variable 	t6dd5	"source"
label 	variable 	t6de1	"date"
label 	variable 	t6de2	"supply"
label 	variable 	t6de3	"new stock"
label 	variable 	t6de4	"type of supply"
label 	variable 	t6de5	"source"
label 	variable 	t6df1	"date"
label 	variable 	t6df2	"supply"
label 	variable 	t6df3	"new stock"
label 	variable 	t6df4	"type of supply"
label 	variable 	t6df5	"source"
label 	variable 	t6dg1	"date"
label 	variable 	t6dg2	"supply"
label 	variable 	t6dg3	"new stock"
label 	variable 	t6dg4	"type of supply"
label 	variable 	t6dg5	"source"
label 	variable 	t6dh1	"date"
label 	variable 	t6dh2	"supply"
label 	variable 	t6dh3	"new stock"
label 	variable 	t6dh4	"type of supply"
label 	variable 	t6dh5	"source"
label 	variable 	t6di1	"date"
label 	variable 	t6di2	"supply"
label 	variable 	t6di3	"new stock"
label 	variable 	t6di4	"type of supply"
label 	variable 	t6di5	"source"
label 	variable 	t6dj1	"date"
label 	variable 	t6dj2	"supply"
label 	variable 	t6dj3	"new stock"
label 	variable 	t6dj4	"type of supply"
label 	variable 	t6dj5	"source"
label 	variable 	t6dk1	"date"
label 	variable 	t6dk2	"supply"
label 	variable 	t6dk3	"new stock"
label 	variable 	t6dk4	"type of supply"
label 	variable 	t6dk5	"source"
label 	variable 	t6dl1	"date"
label 	variable 	t6dl2	"supply"
label 	variable 	t6dl3	"new stock"
label 	variable 	t6dl4	"type of supply"
label 	variable 	t6dl5	"source"
label 	variable 	t6dm1	"date"
label 	variable 	t6dm2	"supply"
label 	variable 	t6dm3	"new stock"
label 	variable 	t6dm4	"type of supply"
label 	variable 	t6dm5	"source"
label 	variable 	t6dn1	"date"
label 	variable 	t6dn2	"supply"
label 	variable 	t6dn3	"new stock"
label 	variable 	t6dn4	"type of supply"
label 	variable 	t6dn5	"source"
label 	variable 	t6do1	"date"
label 	variable 	t6do2	"supply"
label 	variable 	t6do3	"new stock"
label 	variable 	t6do4	"type of supply"
label 	variable 	t6do5	"source"
label 	variable 	t6dp1	"date"
label 	variable 	t6dp2	"supply"
label 	variable 	t6dp3	"new stock"
label 	variable 	t6dp4	"type of supply"
label 	variable 	t6dp5	"source"
label 	variable 	t6dr1	"date"
label 	variable 	t6dr2	"supply"
label 	variable 	t6dr3	"new stock"
label 	variable 	t6dr4	"type of supply"
label 	variable 	t6dr5	"source"
label 	variable 	t6ds1	"date"
label 	variable 	t6ds2	"supply"
label 	variable 	t6ds3	"new stock"
label 	variable 	t6ds4	"type of supply"
label 	variable 	t6ds5	"source"
label 	variable 	t6dt1	"date"
label 	variable 	t6dt2	"supply"
label 	variable 	t6dt3	"new stock"
label 	variable 	t6dt4	"type of supply"
label 	variable 	t6dt5	"source"
label 	variable 	t6du1	"date"
label 	variable 	t6du2	"supply"
label 	variable 	t6du3	"new stock"
label 	variable 	t6du4	"type of supply"
label 	variable 	t6du5	"source"
label 	variable 	t6dv1	"date"
label 	variable 	t6dv2	"supply"
label 	variable 	t6dv3	"new stock"
label 	variable 	t6dv4	"type of supply"
label 	variable 	t6dv5	"source"
label 	variable 	t6dw1	"date"
label 	variable 	t6dw2	"supply"
label 	variable 	t6dw3	"new stock"
label 	variable 	t6dw4	"type of supply"
label 	variable 	t6dw5	"source"
label 	variable 	t6dx1	"date"
label 	variable 	t6dx2	"supply"
label 	variable 	t6dx3	"new stock"
label 	variable 	t6dx4	"type of supply"
label 	variable 	t6dx5	"source"
label 	variable 	t6dy1	"date"
label 	variable 	t6dy2	"supply"
label 	variable 	t6dy3	"new stock"
label 	variable 	t6dy4	"type of supply"
label 	variable 	t6dy5	"source"
label 	variable 	t6dz1	"date"
label 	variable 	t6dz2	"supply"
label 	variable 	t6dz3	"new stock"
label 	variable 	t6dz4	"type of supply"
label 	variable 	t6dz5	"source"
label 	variable 	t6daa1	"date"
label 	variable 	t6daa2	"supply"
label 	variable 	t6daa3	"new stock"
label 	variable 	t6daa4	"type of supply"
label 	variable 	t6daa5	"source"
label 	variable 	t6ea1	"date"
label 	variable 	t6ea2	"supply"
label 	variable 	t6ea3	"new stock"
label 	variable 	t6ea4	"type of supply"
label 	variable 	t6ea5	"source"
label 	variable 	t6eb1	"date"
label 	variable 	t6eb2	"supply"
label 	variable 	t6eb3	"new stock"
label 	variable 	t6eb4	"type of supply"
label 	variable 	t6eb5	"source"
label 	variable 	t6ec1	"date"
label 	variable 	t6ec2	"supply"
label 	variable 	t6ec3	"new stock"
label 	variable 	t6ec4	"type of supply"
label 	variable 	t6ec5	"source"
label 	variable 	t6ed1	"date"
label 	variable 	t6ed2	"supply"
label 	variable 	t6ed3	"new stock"
label 	variable 	t6ed4	"type of supply"
label 	variable 	t6ed5	"source"
label 	variable 	t6ee1	"date"
label 	variable 	t6ee2	"supply"
label 	variable 	t6ee3	"new stock"
label 	variable 	t6ee4	"type of supply"
label 	variable 	t6ee5	"source"
label 	variable 	t6ef1	"date"
label 	variable 	t6ef2	"supply"
label 	variable 	t6ef3	"new stock"
label 	variable 	t6ef4	"type of supply"
label 	variable 	t6ef5	"source"
label 	variable 	t6eg1	"date"
label 	variable 	t6eg2	"supply"
label 	variable 	t6eg3	"new stock"
label 	variable 	t6eg4	"type of supply"
label 	variable 	t6eg5	"source"
label 	variable 	t6eh1	"date"
label 	variable 	t6eh2	"supply"
label 	variable 	t6eh3	"new stock"
label 	variable 	t6eh4	"type of supply"
label 	variable 	t6eh5	"source"
label 	variable 	t6ei1	"date"
label 	variable 	t6ei2	"supply"
label 	variable 	t6ei3	"new stock"
label 	variable 	t6ei4	"type of supply"
label 	variable 	t6ei5	"source"
label 	variable 	t6ej1	"date"
label 	variable 	t6ej2	"supply"
label 	variable 	t6ej3	"new stock"
label 	variable 	t6ej4	"type of supply"
label 	variable 	t6ej5	"source"
label 	variable 	t6ek1	"date"
label 	variable 	t6ek2	"supply"
label 	variable 	t6ek3	"new stock"
label 	variable 	t6ek4	"type of supply"
label 	variable 	t6ek5	"source"
label 	variable 	t6el1	"date"
label 	variable 	t6el2	"supply"
label 	variable 	t6el3	"new stock"
label 	variable 	t6el4	"type of supply"
label 	variable 	t6el5	"source"
label 	variable 	t6em1	"date"
label 	variable 	t6em2	"supply"
label 	variable 	t6em3	"new stock"
label 	variable 	t6em4	"type of supply"
label 	variable 	t6em5	"source"
label 	variable 	t6en1	"date"
label 	variable 	t6en2	"supply"
label 	variable 	t6en3	"new stock"
label 	variable 	t6en4	"type of supply"
label 	variable 	t6en5	"source"
label 	variable 	t6eo1	"date"
label 	variable 	t6eo2	"supply"
label 	variable 	t6eo3	"new stock"
label 	variable 	t6eo4	"type of supply"
label 	variable 	t6eo5	"source"
label 	variable 	t6ep1	"date"
label 	variable 	t6ep2	"supply"
label 	variable 	t6ep3	"new stock"
label 	variable 	t6ep4	"type of supply"
label 	variable 	t6ep5	"source"
label 	variable 	t6eq1	"date"
label 	variable 	t6eq2	"supply"
label 	variable 	t6eq3	"new stock"
label 	variable 	t6eq4	"type of supply"
label 	variable 	t6eq5	"source"
label 	variable 	t6er1	"date"
label 	variable 	t6er2	"supply"
label 	variable 	t6er3	"new stock"
label 	variable 	t6er4	"type of supply"
label 	variable 	t6er5	"source"
label 	variable 	t6es1	"date"
label 	variable 	t6es2	"supply"
label 	variable 	t6es3	"new stock"
label 	variable 	t6es4	"type of supply"
label 	variable 	t6es5	"source"
label 	variable 	t6et1	"date"
label 	variable 	t6et2	"supply"
label 	variable 	t6et3	"new stock"
label 	variable 	t6et4	"type of supply"
label 	variable 	t6et5	"source"
label 	variable 	t6eu1	"date"
label 	variable 	t6eu2	"supply"
label 	variable 	t6eu3	"new stock"
label 	variable 	t6eu4	"type of supply"
label 	variable 	t6eu5	"source"
label 	variable 	t6ev1	"date"
label 	variable 	t6ev2	"supply"
label 	variable 	t6ev3	"new stock"
label 	variable 	t6ev4	"type of supply"
label 	variable 	t6ev5	"source"
label 	variable 	t6ew1	"date"
label 	variable 	t6ew2	"supply"
label 	variable 	t6ew3	"new stock"
label 	variable 	t6ew4	"type of supply"
label 	variable 	t6ew5	"source"
label 	variable 	t6ex1	"date"
label 	variable 	t6ex2	"supply"
label 	variable 	t6ex3	"new stock"
label 	variable 	t6ex4	"type of supply"
label 	variable 	t6ex5	"source"
label 	variable 	t6ey1	"date"
label 	variable 	t6ey2	"supply"
label 	variable 	t6ey3	"new stock"
label 	variable 	t6ey4	"type of supply"
label 	variable 	t6ey5	"source"
label 	variable 	t6ez1	"date"
label 	variable 	t6ez2	"supply"
label 	variable 	t6ez3	"new stock"
label 	variable 	t6ez4	"type of supply"
label 	variable 	t6ez5	"source"
label 	variable 	t6fa1	"date"
label 	variable 	t6fa2	"supply"
label 	variable 	t6fa3	"new stock"
label 	variable 	t6fa4	"type of supply"
label 	variable 	t6fa5	"source"
label 	variable 	t6fb1	"date"
label 	variable 	t6fb2	"supply"
label 	variable 	t6fb3	"new stock"
label 	variable 	t6fb4	"type of supply"
label 	variable 	t6fb5	"source"
label 	variable 	t6fc1	"date"
label 	variable 	t6fc2	"supply"
label 	variable 	t6fc3	"new stock"
label 	variable 	t6fc4	"type of supply"
label 	variable 	t6fc5	"source"
label 	variable 	t6fd1	"date"
label 	variable 	t6fd2	"supply"
label 	variable 	t6fd3	"new stock"
label 	variable 	t6fd4	"type of supply"
label 	variable 	t6fd5	"source"
label 	variable 	t6fe1	"date"
label 	variable 	t6fe2	"supply"
label 	variable 	t6fe3	"new stock"
label 	variable 	t6fe4	"type of supply"
label 	variable 	t6fe5	"source"
label 	variable 	t6ff1	"date"
label 	variable 	t6ff2	"supply"
label 	variable 	t6ff3	"new stock"
label 	variable 	t6ff4	"type of supply"
label 	variable 	t6ff5	"source"
label 	variable 	t6fg1	"date"
label 	variable 	t6fg2	"supply"
label 	variable 	t6fg3	"new stock"
label 	variable 	t6fg4	"type of supply"
label 	variable 	t6fg5	"source"
label 	variable 	t6fh1	"date"
label 	variable 	t6fh2	"supply"
label 	variable 	t6fh3	"new stock"
label 	variable 	t6fh4	"type of supply"
label 	variable 	t6fh5	"source"
label 	variable 	t6fi1	"date"
label 	variable 	t6fi2	"supply"
label 	variable 	t6fi3	"new stock"
label 	variable 	t6fi4	"type of supply"
label 	variable 	t6fi5	"source"
label 	variable 	t6fj1	"date"
label 	variable 	t6fj2	"supply"
label 	variable 	t6fj3	"new stock"
label 	variable 	t6fj4	"type of supply"
label 	variable 	t6fj5	"source"
label 	variable 	t6fk1	"date"
label 	variable 	t6fk2	"supply"
label 	variable 	t6fk3	"new stock"
label 	variable 	t6fk4	"type of supply"
label 	variable 	t6fk5	"source"
label 	variable 	t6fl1	"date"
label 	variable 	t6fl2	"supply"
label 	variable 	t6fl3	"new stock"
label 	variable 	t6fl4	"type of supply"
label 	variable 	t6fl5	"source"
label 	variable 	t6fm1	"date"
label 	variable 	t6fm2	"supply"
label 	variable 	t6fm3	"new stock"
label 	variable 	t6fm4	"type of supply"
label 	variable 	t6fm5	"source"
label 	variable 	t6fn1	"date"
label 	variable 	t6fn2	"supply"
label 	variable 	t6fn3	"new stock"
label 	variable 	t6fn4	"type of supply"
label 	variable 	t6fn5	"source"
label 	variable 	t6fo1	"date"
label 	variable 	t6fo2	"supply"
label 	variable 	t6fo3	"new stock"
label 	variable 	t6fo4	"type of supply"
label 	variable 	t6fo5	"source"
label 	variable 	t6fp1	"date"
label 	variable 	t6fp2	"supply"
label 	variable 	t6fp3	"new stock"
label 	variable 	t6fp4	"type of supply"
label 	variable 	t6fp5	"source"
label 	variable 	t6fq1	"date"
label 	variable 	t6fq2	"supply"
label 	variable 	t6fq3	"new stock"
label 	variable 	t6fq4	"type of supply"
label 	variable 	t6fq5	"source"
label 	variable 	t6fr1	"date"
label 	variable 	t6fr2	"supply"
label 	variable 	t6fr3	"new stock"
label 	variable 	t6fr4	"type of supply"
label 	variable 	t6fr5	"source"
label 	variable 	t6fs1	"date"
label 	variable 	t6fs2	"supply"
label 	variable 	t6fs3	"new stock"
label 	variable 	t6fs4	"type of supply"
label 	variable 	t6fs5	"source"
label 	variable 	t6ft1	"date"
label 	variable 	t6ft2	"supply"
label 	variable 	t6ft3	"new stock"
label 	variable 	t6ft4	"type of supply"
label 	variable 	t6ft5	"source"
label 	variable 	t6fu1	"date"
label 	variable 	t6fu2	"supply"
label 	variable 	t6fu3	"new stock"
label 	variable 	t6fu4	"type of supply"
label 	variable 	t6fu5	"source"
label 	variable 	t6fv1	"date"
label 	variable 	t6fv2	"supply"
label 	variable 	t6fv3	"new stock"
label 	variable 	t6fv4	"type of supply"
label 	variable 	t6fv5	"source"
label 	variable 	t6fw1	"date"
label 	variable 	t6fw2	"supply"
label 	variable 	t6fw3	"new stock"
label 	variable 	t6fw4	"type of supply"
label 	variable 	t6fw5	"source"
label 	variable 	t6fx1	"date"
label 	variable 	t6fx2	"supply"
label 	variable 	t6fx3	"new stock"
label 	variable 	t6fx4	"type of supply"
label 	variable 	t6fx5	"source"
label 	variable 	t6fy1	"date"
label 	variable 	t6fy2	"supply"
label 	variable 	t6fy3	"new stock"
label 	variable 	t6fy4	"type of supply"
label 	variable 	t6fy5	"source"
label 	variable 	t6fz1	"date"
label 	variable 	t6fz2	"supply"
label 	variable 	t6fz3	"new stock"
label 	variable 	t6fz4	"type of supply"
label 	variable 	t6fz5	"source"
label 	variable 	t7a1	"chloroquine starting date"
label 	variable 	t7a2	"chloroquine starting date"
label 	variable 	t7a3	"chloroquine starting date"
label 	variable 	t7b1	"chloroquine ending date"
label 	variable 	t7b2	"chloroquine ending date"
label 	variable 	t7b3	"chloroquine ending date"
label 	variable 	t7c1	"paracetamol starting date"
label 	variable 	t7c2	"paracetamol starting date"
label 	variable 	t7c3	"paracetamol starting date"
label 	variable 	t7d1	"paracetamol ending date"
label 	variable 	t7d2	"paracetamol ending date"
label 	variable 	t7d3	"paracetamol ending date"
label 	variable 	t7e1	"co-trimoxazole starting date"
label 	variable 	t7e2	"co-trimoxazole starting date"
label 	variable 	t7e3	"co-trimoxazole starting date"
label 	variable 	t7f1	"co-trimoxazole ending date"
label 	variable 	t7f2	"co-trimoxazole ending date"
label 	variable 	t7f3	"co-trimoxazole ending date"
label 	variable 	t7g1	"ergometrine starting date"
label 	variable 	t7g2	"ergometrine starting date"
label 	variable 	t7g3	"ergometrine starting date"
label 	variable 	t7h1	"ergometrine ending date"
label 	variable 	t7h2	"ergometrine ending date"
label 	variable 	t7h3	"ergometrine ending date"
label 	variable 	t7i1	"oral starting date"
label 	variable 	t7i2	"oral starting date"
label 	variable 	t7i3	"oral starting date"
label 	variable 	t7j1	"oral ending date"
label 	variable 	t7j2	"oral ending date"
label 	variable 	t7j3	"oral ending date"
label 	variable 	t8a1	"chloroquine "
label 	variable 	t8a2	"chloroquine "
label 	variable 	t8a3	"chloroquine "
label 	variable 	t8a4	"chloroquine "
label 	variable 	t8b1	"paracetamol "
label 	variable 	t8b2	"paracetamol "
label 	variable 	t8b3	"paracetamol "
label 	variable 	t8b4	"paracetamol "
label 	variable 	t8c1	"co-trimoxazole "
label 	variable 	t8c2	"co-trimoxazole "
label 	variable 	t8c3	"co-trimoxazole "
label 	variable 	t8c4	"co-trimoxazole "
label 	variable 	t8d1	"ergometrine "
label 	variable 	t8d2	"ergometrine "
label 	variable 	t8d3	"ergometrine "
label 	variable 	t8d4	"ergometrine "
label 	variable 	t8e1	"oral "
label 	variable 	t8e2	"oral "
label 	variable 	t8e3	"oral "
label 	variable 	t8e4	"oral "


**************************************************
***  Ensure response value labels are correct.
**************************************************

destring t1a2 t1b2 t1c2 t1d2 t1e2 t1f2 t1g2 t1h2 t1i2 t1j2 t1k2 t1l2 t1m2 t1n2 t1o2 t1p2 t1q2 t1r2 t1s2 , ignore ("59,000" "POTTER" "POTTER/SWEEPER" "LUWAGA MAXY" "MAYOMBWE .J" "MUWANGA .J" "CHARLES" "NA" "9(b)" "9(C)" "WATCHMAN" "VACCINATOR" "DOTS SUPERVISOR (TB)" "9(a)" "ENROLLED MIDWIFE" "9(PORTER)" "PORTEA" "9 (PORTER)" "3 AND 6" "ENROLLED MALE NUBE" "RECORDS ASSISTANT" "NURSING AIDE" "CLINICAL OFFICER" "CLINICAL OFFICER " "5&6" "LAB  ASSISTANT" " ") replace
label values t1a2 t1b2 t1c2 t1d2 t1e2 t1f2 t1g2 t1h2 t1i2 t1j2 t1k2 t1l2 t1m2 t1n2 t1o2 t1p2 t1q2 t1r2 t1s2 Position

label define presence 1 "yes"
label define presence 2 "no (outreach)", add
label define presence 3 "no (sick)", add
label define presence 4 "no (leave or off duty)", add
label define presence 5 "no (away without leave)", add
label define presence 6 "no (don't know)", add
label define work 1 "full time"
label define work 2 "part time", add
label define whopays 1 "district/gov"
label define whopays 2 "health sub-district", add
label define whopays 3 "sub-country", add
label define whopays 4 "facility", add
label define whopays 5 "other", add
label define supply 1 "essential drug kit E"
label define supply 2 "Kit A", add
label define supply 3 "Kit B", add
label define supply 4 "Purchased/bought", add
label define supply 5 "other", add
label define source 1 "district"
label define source 2 "donor", add
label define source 3 "private sector", add
label define source 4 "other", add

rename 	t1a3	 	tt1a3
rename 	t1a4	 	tt1a4
rename 	t1a5	 	tt1a5
rename 	t1a6	 	tt1a6
rename 	t1a7	 	tt1a7
rename 	t1b3	 	tt1b3
rename 	t1b4	 	tt1b4
rename 	t1b5	 	tt1b5
rename 	t1b6	 	tt1b6
rename 	t1b7	 	tt1b7
rename 	t1c3	 	tt1c3
rename 	t1c4	 	tt1c4
rename 	t1c5	 	tt1c5
rename 	t1c6	 	tt1c6
rename 	t1c7	 	tt1c7
rename 	t1d3	 	tt1d3
rename 	t1d4	 	tt1d4
rename 	t1d5	 	tt1d5
rename 	t1d6	 	tt1d6
rename 	t1d7	 	tt1d7
rename 	t1e3	 	tt1e3
rename 	t1e4	 	tt1e4
rename 	t1e5	 	tt1e5
rename 	t1e6	 	tt1e6
rename 	t1e7	 	tt1e7
rename 	t1f3	 	tt1f3
rename 	t1f4	 	tt1f4
rename 	t1f5	 	tt1f5
rename 	t1f6	 	tt1f6
rename 	t1f7	 	tt1f7
rename 	t1g3	 	tt1g3
rename 	t1g4	 	tt1g4
rename 	t1g5	 	tt1g5
rename 	t1g6	 	tt1g6
rename 	t1g7	 	tt1g7
rename 	t1h3	 	tt1h3
rename 	t1h4	 	tt1h4
rename 	t1h5	 	tt1h5
rename 	t1h6	 	tt1h6
rename 	t1h7	 	tt1h7
rename 	t1i3	 	tt1i3
rename 	t1i4	 	tt1i4
rename 	t1i5	 	tt1i5
rename 	t1i6	 	tt1i6
rename 	t1i7	 	tt1i7
rename 	t1j3	 	tt1j3
rename 	t1j4	 	tt1j4
rename 	t1j5	 	tt1j5
rename 	t1j6	 	tt1j6
rename 	t1j7	 	tt1j7
rename 	t1k3	 	tt1k3
rename 	t1k4	 	tt1k4
rename 	t1k5	 	tt1k5
rename 	t1k6	 	tt1k6
rename 	t1k7	 	tt1k7
rename 	t1l3	 	tt1l3
rename 	t1l4	 	tt1l4
rename 	t1l5	 	tt1l5
rename 	t1l6	 	tt1l6
rename 	t1l7	 	tt1l7
rename 	t1m3	 	tt1m3
rename 	t1m4	 	tt1m4
rename 	t1m5	 	tt1m5
rename 	t1m6	 	tt1m6
rename 	t1m7	 	tt1m7
rename 	t1n3	 	tt1n3
rename 	t1n4	 	tt1n4
rename 	t1n5	 	tt1n5
rename 	t1n6	 	tt1n6
rename 	t1n7	 	tt1n7
rename 	t1o3	 	tt1o3
rename 	t1o4	 	tt1o4
rename 	t1o5	 	tt1o5
rename 	t1o6	 	tt1o6
rename 	t1o7	 	tt1o7
rename 	t1p3	 	tt1p3
rename 	t1p4	 	tt1p4
rename 	t1p5	 	tt1p5
rename 	t1p6	 	tt1p6
rename 	t1p7	 	tt1p7
rename 	t1q3	 	tt1q3
rename 	t1q4	 	tt1q4
rename 	t1q5	 	tt1q5
rename 	t1q6	 	tt1q6
rename 	t1q7	 	tt1q7
rename 	t1r3	 	tt1r3
rename 	t1r4	 	tt1r4
rename 	t1r5	 	tt1r5
rename 	t1r6	 	tt1r6
rename 	t1r7	 	tt1r7
rename 	t1s3	 	tt1s3
rename 	t1s4	 	tt1s4
rename 	t1s5	 	tt1s5
rename 	t1s6	 	tt1s6
rename 	t1s7	 	tt1s7

rename 	tt1a3	 	t1a6
rename 	tt1b3	 	t1b6
rename 	tt1c3	 	t1c6
rename 	tt1d3	 	t1d6
rename 	tt1e3	 	t1e6
rename 	tt1f3	 	t1f6
rename 	tt1g3	 	t1g6
rename 	tt1h3	 	t1h6
rename 	tt1i3	 	t1i6
rename 	tt1j3	 	t1j6
rename 	tt1k3	 	t1k6
rename 	tt1l3	 	t1l6
rename 	tt1m3	 	t1m6
rename 	tt1n3	 	t1n6
rename 	tt1o3	 	t1o6
rename 	tt1p3	 	t1p6
rename 	tt1q3	 	t1q6
rename 	tt1r3	 	t1r6
rename 	tt1s3	 	t1s6
rename 	tt1a4	 	t1a8
rename 	tt1b4	 	t1b8
rename 	tt1c4	 	t1c8
rename 	tt1d4	 	t1d8
rename 	tt1e4	 	t1e8
rename 	tt1f4	 	t1f8
rename 	tt1g4	 	t1g8
rename 	tt1h4	 	t1h8
rename 	tt1i4	 	t1i8
rename 	tt1j4	 	t1j8
rename 	tt1k4	 	t1k8
rename 	tt1l4	 	t1l8
rename 	tt1m4	 	t1m8
rename 	tt1n4	 	t1n8
rename 	tt1o4	 	t1o8
rename 	tt1p4	 	t1p8
rename 	tt1q4	 	t1q8
rename 	tt1r4	 	t1r8
rename 	tt1s4	 	t1s8
rename 	tt1a5	 	t1a7
rename 	tt1b5	 	t1b7
rename 	tt1c5	 	t1c7
rename 	tt1d5	 	t1d7
rename 	tt1e5	 	t1e7
rename 	tt1f5	 	t1f7
rename 	tt1g5	 	t1g7
rename 	tt1h5	 	t1h7
rename 	tt1i5	 	t1i7
rename 	tt1j5	 	t1j7
rename 	tt1k5	 	t1k7
rename 	tt1l5	 	t1l7
rename 	tt1m5	 	t1m7
rename 	tt1n5	 	t1n7
rename 	tt1o5	 	t1o7
rename 	tt1p5	 	t1p7
rename 	tt1q5	 	t1q7
rename 	tt1r5	 	t1r7
rename 	tt1s5	 	t1s7
rename 	tt1a6	 	t1a5
rename 	tt1b6	 	t1b5
rename 	tt1c6	 	t1c5
rename 	tt1d6	 	t1d5
rename 	tt1e6	 	t1e5
rename 	tt1f6	 	t1f5
rename 	tt1g6	 	t1g5
rename 	tt1h6	 	t1h5
rename 	tt1i6	 	t1i5
rename 	tt1j6	 	t1j5
rename 	tt1k6	 	t1k5
rename 	tt1l6	 	t1l5
rename 	tt1m6	 	t1m5
rename 	tt1n6	 	t1n5
rename 	tt1o6	 	t1o5
rename 	tt1p6	 	t1p5
rename 	tt1q6	 	t1q5
rename 	tt1r6	 	t1r5
rename 	tt1s6	 	t1s5
rename 	tt1a7	 	t1a4
rename 	tt1b7	 	t1b4
rename 	tt1c7	 	t1c4
rename 	tt1d7	 	t1d4
rename 	tt1e7	 	t1e4
rename 	tt1f7	 	t1f4
rename 	tt1g7	 	t1g4
rename 	tt1h7	 	t1h4
rename 	tt1i7	 	t1i4
rename 	tt1j7	 	t1j4
rename 	tt1k7	 	t1k4
rename 	tt1l7	 	t1l4
rename 	tt1m7	 	t1m4
rename 	tt1n7	 	t1n4
rename 	tt1o7	 	t1o4
rename 	tt1p7	 	t1p4
rename 	tt1q7	 	t1q4
rename 	tt1r7	 	t1r4
rename 	tt1s7	 	t1s4

destring   t1a4 t1b4 t1c4 t1d4 t1e4 t1f4 t1g4 t1h4 t1i4 t1j4 t1k4 t1l4 t1m4 t1n4 t1o4 t1p4 t1q4 t1r4 t1s4, ignore ("M/S ATURINDA D" "M/S KEKIRUNGA A" "NA" "ORE DAVID" "FIELD" "MR.  BUTAMANYA   A") replace
label values   t1a4 t1b4 t1c4 t1d4 t1e4 t1f4 t1g4 t1h4 t1i4 t1j4 t1k4 t1l4 t1m4 t1n4 t1o4 t1p4 t1q4 t1r4 t1s4 presence

destring    t1a5 t1b5 t1c5 t1d5 t1e5 t1f5 t1g5 t1h5 t1i5 t1j5 t1k5 t1l5 t1m5 t1n5 t1o5 t1p5 t1q5 t1r5 t1s5, ignore ("DNA" "2(ONCE PER MONTH)") replace
label values   t1a5 t1b5 t1c5 t1d5 t1e5 t1f5 t1g5 t1h5 t1i5 t1j5 t1k5 t1l5 t1m5 t1n5 t1o5 t1p5 t1q5 t1r5 t1s5 work

destring   t1a7 t1b7 t1c7 t1d7 t1e7 t1f7 t1g7 t1h7 t1i7 t1j7 t1k7 t1l7 t1m7 t1n7 t1o7 t1p7 t1q7 t1r7 t1s7, ignore ("DK" "5,3" "5FLEP" "3&4" "5 FLEP" "DNA" "NA" "5FLEP") replace
label values  t1a7 t1b7 t1c7 t1d7 t1e7 t1f7 t1g7 t1h7 t1i7 t1j7 t1k7 t1l7 t1m7 t1n7 t1o7 t1p7 t1q7 t1r7 t1s7 whopays


**************************************************
***  Rename data to match questionnaire
**************************************************

rename 	t6fa1	 	t6la1
rename 	t6fa2	 	t6la2
rename 	t6fa3	 	t6la3
rename 	t6fa4	 	t6la4
rename 	t6fa5	 	t6la5
rename 	t6fb1	 	t6lb1
rename 	t6fb2	 	t6lb2
rename 	t6fb3	 	t6lb3
rename 	t6fb4	 	t6lb4
rename 	t6fb5	 	t6lb5
rename 	t6fc1	 	t6lc1
rename 	t6fc2	 	t6lc2
rename 	t6fc3	 	t6lc3
rename 	t6fc4	 	t6lc4
rename 	t6fc5	 	t6lc5
rename 	t6fd1	 	t6ld1
rename 	t6fd2	 	t6ld2
rename 	t6fd3	 	t6ld3
rename 	t6fd4	 	t6ld4
rename 	t6fd5	 	t6ld5
rename 	t6fe1	 	t6le1
rename 	t6fe2	 	t6le2
rename 	t6fe3	 	t6le3
rename 	t6fe4	 	t6le4
rename 	t6fe5	 	t6le5
rename 	t6ff1	 	t6lf1
rename 	t6ff2	 	t6lf2
rename 	t6ff3	 	t6lf3
rename 	t6ff4	 	t6lf4
rename 	t6ff5	 	t6lf5
rename 	t6fg1	 	t6lg1
rename 	t6fg2	 	t6lg2
rename 	t6fg3	 	t6lg3
rename 	t6fg4	 	t6lg4
rename 	t6fg5	 	t6lg5
rename 	t6fh1	 	t6lh1
rename 	t6fh2	 	t6lh2
rename 	t6fh3	 	t6lh3
rename 	t6fh4	 	t6lh4
rename 	t6fh5	 	t6lh5
rename 	t6fi1	 	t6li1
rename 	t6fi2	 	t6li2
rename 	t6fi3	 	t6li3
rename 	t6fi4	 	t6li4
rename 	t6fi5	 	t6li5
rename 	t6fj1	 	t6lj1
rename 	t6fj2	 	t6lj2
rename 	t6fj3	 	t6lj3
rename 	t6fj4	 	t6lj4
rename 	t6fj5	 	t6lj5
rename 	t6fk1	 	t6lk1
rename 	t6fk2	 	t6lk2
rename 	t6fk3	 	t6lk3
rename 	t6fk4	 	t6lk4
rename 	t6fk5	 	t6lk5
rename 	t6fl1	 	t6ll1
rename 	t6fl2	 	t6ll2
rename 	t6fl3	 	t6ll3
rename 	t6fl4	 	t6ll4
rename 	t6fl5	 	t6ll5
rename 	t6fm1	 	t6lm1
rename 	t6fm2	 	t6lm2
rename 	t6fm3	 	t6lm3
rename 	t6fm4	 	t6lm4
rename 	t6fm5	 	t6lm5
rename 	t6fn1	 	t6ln1
rename 	t6fn2	 	t6ln2
rename 	t6fn3	 	t6ln3
rename 	t6fn4	 	t6ln4
rename 	t6fn5	 	t6ln5
rename 	t6fo1	 	t6lo1
rename 	t6fo2	 	t6lo2
rename 	t6fo3	 	t6lo3
rename 	t6fo4	 	t6lo4
rename 	t6fo5	 	t6lo5
rename 	t6fp1	 	t6lp1
rename 	t6fp2	 	t6lp2
rename 	t6fp3	 	t6lp3
rename 	t6fp4	 	t6lp4
rename 	t6fp5	 	t6lp5
rename 	t6fq1	 	t6lq1
rename 	t6fq2	 	t6lq2
rename 	t6fq3	 	t6lq3
rename 	t6fq4	 	t6lq4
rename 	t6fq5	 	t6lq5
rename 	t6fr1	 	t6lr1
rename 	t6fr2	 	t6lr2
rename 	t6fr3	 	t6lr3
rename 	t6fr4	 	t6lr4
rename 	t6fr5	 	t6lr5
rename 	t6fs1	 	t6ls1
rename 	t6fs2	 	t6ls2
rename 	t6fs3	 	t6ls3
rename 	t6fs4	 	t6ls4
rename 	t6fs5	 	t6ls5
rename 	t6ft1	 	t6lt1
rename 	t6ft2	 	t6lt2
rename 	t6ft3	 	t6lt3
rename 	t6ft4	 	t6lt4
rename 	t6ft5	 	t6lt5
rename 	t6fu1	 	t6lu1
rename 	t6fu2	 	t6lu2
rename 	t6fu3	 	t6lu3
rename 	t6fu4	 	t6lu4
rename 	t6fu5	 	t6lu5
rename 	t6fv1	 	t6lv1
rename 	t6fv2	 	t6lv2
rename 	t6fv3	 	t6lv3
rename 	t6fv4	 	t6lv4
rename 	t6fv5	 	t6lv5
rename 	t6fw1	 	t6lw1
rename 	t6fw2	 	t6lw2
rename 	t6fw3	 	t6lw3
rename 	t6fw4	 	t6lw4
rename 	t6fw5	 	t6lw5
rename 	t6fx1	 	t6lx1
rename 	t6fx2	 	t6lx2
rename 	t6fx3	 	t6lx3
rename 	t6fx4	 	t6lx4
rename 	t6fx5	 	t6lx5
rename 	t6fy1	 	t6ly1
rename 	t6fy2	 	t6ly2
rename 	t6fy3	 	t6ly3
rename 	t6fy4	 	t6ly4
rename 	t6fy5	 	t6ly5
rename 	t6fz1	 	t6lz1
rename 	t6fz2	 	t6lz2
rename 	t6fz3	 	t6lz3
rename 	t6fz4	 	t6lz4
rename 	t6fz5	 	t6lz5

rename 	t6ea1	 	t6ja1
rename 	t6ea2	 	t6ja2
rename 	t6ea3	 	t6ja3
rename 	t6ea4	 	t6ja4
rename 	t6ea5	 	t6ja5
rename 	t6eb1	 	t6jb1
rename 	t6eb2	 	t6jb2
rename 	t6eb3	 	t6jb3
rename 	t6eb4	 	t6jb4
rename 	t6eb5	 	t6jb5
rename 	t6ec1	 	t6jc1
rename 	t6ec2	 	t6jc2
rename 	t6ec3	 	t6jc3
rename 	t6ec4	 	t6jc4
rename 	t6ec5	 	t6jc5
rename 	t6ed1	 	t6jd1
rename 	t6ed2	 	t6jd2
rename 	t6ed3	 	t6jd3
rename 	t6ed4	 	t6jd4
rename 	t6ed5	 	t6jd5
rename 	t6ee1	 	t6je1
rename 	t6ee2	 	t6je2
rename 	t6ee3	 	t6je3
rename 	t6ee4	 	t6je4
rename 	t6ee5	 	t6je5
rename 	t6ef1	 	t6jf1
rename 	t6ef2	 	t6jf2
rename 	t6ef3	 	t6jf3
rename 	t6ef4	 	t6jf4
rename 	t6ef5	 	t6jf5
rename 	t6eg1	 	t6jg1
rename 	t6eg2	 	t6jg2
rename 	t6eg3	 	t6jg3
rename 	t6eg4	 	t6jg4
rename 	t6eg5	 	t6jg5
rename 	t6eh1	 	t6jh1
rename 	t6eh2	 	t6jh2
rename 	t6eh3	 	t6jh3
rename 	t6eh4	 	t6jh4
rename 	t6eh5	 	t6jh5
rename 	t6ei1	 	t6ji1
rename 	t6ei2	 	t6ji2
rename 	t6ei3	 	t6ji3
rename 	t6ei4	 	t6ji4
rename 	t6ei5	 	t6ji5
rename 	t6ej1	 	t6jj1
rename 	t6ej2	 	t6jj2
rename 	t6ej3	 	t6jj3
rename 	t6ej4	 	t6jj4
rename 	t6ej5	 	t6jj5
rename 	t6ek1	 	t6jk1
rename 	t6ek2	 	t6jk2
rename 	t6ek3	 	t6jk3
rename 	t6ek4	 	t6jk4
rename 	t6ek5	 	t6jk5
rename 	t6el1	 	t6jl1
rename 	t6el2	 	t6jl2
rename 	t6el3	 	t6jl3
rename 	t6el4	 	t6jl4
rename 	t6el5	 	t6jl5
rename 	t6em1	 	t6jm1
rename 	t6em2	 	t6jm2
rename 	t6em3	 	t6jm3
rename 	t6em4	 	t6jm4
rename 	t6em5	 	t6jm5
rename 	t6en1	 	t6jn1
rename 	t6en2	 	t6jn2
rename 	t6en3	 	t6jn3
rename 	t6en4	 	t6jn4
rename 	t6en5	 	t6jn5
rename 	t6eo1	 	t6jo1
rename 	t6eo2	 	t6jo2
rename 	t6eo3	 	t6jo3
rename 	t6eo4	 	t6jo4
rename 	t6eo5	 	t6jo5
rename 	t6ep1	 	t6jp1
rename 	t6ep2	 	t6jp2
rename 	t6ep3	 	t6jp3
rename 	t6ep4	 	t6jp4
rename 	t6ep5	 	t6jp5
rename 	t6eq1	 	t6jq1
rename 	t6eq2	 	t6jq2
rename 	t6eq3	 	t6jq3
rename 	t6eq4	 	t6jq4
rename 	t6eq5	 	t6jq5
rename 	t6er1	 	t6jr1
rename 	t6er2	 	t6jr2
rename 	t6er3	 	t6jr3
rename 	t6er4	 	t6jr4
rename 	t6er5	 	t6jr5
rename 	t6es1	 	t6js1
rename 	t6es2	 	t6js2
rename 	t6es3	 	t6js3
rename 	t6es4	 	t6js4
rename 	t6es5	 	t6js5
rename 	t6et1	 	t6jt1
rename 	t6et2	 	t6jt2
rename 	t6et3	 	t6jt3
rename 	t6et4	 	t6jt4
rename 	t6et5	 	t6jt5
rename 	t6eu1	 	t6ju1
rename 	t6eu2	 	t6ju2
rename 	t6eu3	 	t6ju3
rename 	t6eu4	 	t6ju4
rename 	t6eu5	 	t6ju5
rename 	t6ev1	 	t6jv1
rename 	t6ev2	 	t6jv2
rename 	t6ev3	 	t6jv3
rename 	t6ev4	 	t6jv4
rename 	t6ev5	 	t6jv5
rename 	t6ew1	 	t6jw1
rename 	t6ew2	 	t6jw2
rename 	t6ew3	 	t6jw3
rename 	t6ew4	 	t6jw4
rename 	t6ew5	 	t6jw5
rename 	t6ex1	 	t6jx1
rename 	t6ex2	 	t6jx2
rename 	t6ex3	 	t6jx3
rename 	t6ex4	 	t6jx4
rename 	t6ex5	 	t6jx5
rename 	t6ey1	 	t6jy1
rename 	t6ey2	 	t6jy2
rename 	t6ey3	 	t6jy3
rename 	t6ey4	 	t6jy4
rename 	t6ey5	 	t6jy5
rename 	t6ez1	 	t6jz1
rename 	t6ez2	 	t6jz2
rename 	t6ez3	 	t6jz3
rename 	t6ez4	 	t6jz4
rename 	t6ez5	 	t6jz5

rename 	t6da1	 	t6ha1
rename 	t6da2	 	t6ha2
rename 	t6da3	 	t6ha3
rename 	t6da4	 	t6ha4
rename 	t6da5	 	t6ha5
rename 	t6db1	 	t6hb1
rename 	t6db2	 	t6hb2
rename 	t6db3	 	t6hb3
rename 	t6db4	 	t6hb4
rename 	t6db5	 	t6hb5
rename 	t6dc1	 	t6hc1
rename 	t6dc2	 	t6hc2
rename 	t6dc3	 	t6hc3
rename 	t6dc4	 	t6hc4
rename 	t6dc5	 	t6hc5
rename 	t6dd1	 	t6hd1
rename 	t6dd2	 	t6hd2
rename 	t6dd3	 	t6hd3
rename 	t6dd4	 	t6hd4
rename 	t6dd5	 	t6hd5
rename 	t6de1	 	t6he1
rename 	t6de2	 	t6he2
rename 	t6de3	 	t6he3
rename 	t6de4	 	t6he4
rename 	t6de5	 	t6he5
rename 	t6df1	 	t6hf1
rename 	t6df2	 	t6hf2
rename 	t6df3	 	t6hf3
rename 	t6df4	 	t6hf4
rename 	t6df5	 	t6hf5
rename 	t6dg1	 	t6hg1
rename 	t6dg2	 	t6hg2
rename 	t6dg3	 	t6hg3
rename 	t6dg4	 	t6hg4
rename 	t6dg5	 	t6hg5
rename 	t6dh1	 	t6hh1
rename 	t6dh2	 	t6hh2
rename 	t6dh3	 	t6hh3
rename 	t6dh4	 	t6hh4
rename 	t6dh5	 	t6hh5
rename 	t6di1	 	t6hi1
rename 	t6di2	 	t6hi2
rename 	t6di3	 	t6hi3
rename 	t6di4	 	t6hi4
rename 	t6di5	 	t6hi5
rename 	t6dj1	 	t6hj1
rename 	t6dj2	 	t6hj2
rename 	t6dj3	 	t6hj3
rename 	t6dj4	 	t6hj4
rename 	t6dj5	 	t6hj5
rename 	t6dk1	 	t6hk1
rename 	t6dk2	 	t6hk2
rename 	t6dk3	 	t6hk3
rename 	t6dk4	 	t6hk4
rename 	t6dk5	 	t6hk5
rename 	t6dl1	 	t6hl1
rename 	t6dl2	 	t6hl2
rename 	t6dl3	 	t6hl3
rename 	t6dl4	 	t6hl4
rename 	t6dl5	 	t6hl5
rename 	t6dm1	 	t6hm1
rename 	t6dm2	 	t6hm2
rename 	t6dm3	 	t6hm3
rename 	t6dm4	 	t6hm4
rename 	t6dm5	 	t6hm5
rename 	t6dn1	 	t6hn1
rename 	t6dn2	 	t6hn2
rename 	t6dn3	 	t6hn3
rename 	t6dn4	 	t6hn4
rename 	t6dn5	 	t6hn5
rename 	t6do1	 	t6ho1
rename 	t6do2	 	t6ho2
rename 	t6do3	 	t6ho3
rename 	t6do4	 	t6ho4
rename 	t6do5	 	t6ho5
rename 	t6dp1	 	t6hp1
rename 	t6dp2	 	t6hp2
rename 	t6dp3	 	t6hp3
rename 	t6dp4	 	t6hp4
rename 	t6dp5	 	t6hp5
rename 	t6dr1	 	t6hr1
rename 	t6dr2	 	t6hr2
rename 	t6dr3	 	t6hr3
rename 	t6dr4	 	t6hr4
rename 	t6dr5	 	t6hr5
rename 	t6ds1	 	t6hs1
rename 	t6ds2	 	t6hs2
rename 	t6ds3	 	t6hs3
rename 	t6ds4	 	t6hs4
rename 	t6ds5	 	t6hs5
rename 	t6dt1	 	t6ht1
rename 	t6dt2	 	t6ht2
rename 	t6dt3	 	t6ht3
rename 	t6dt4	 	t6ht4
rename 	t6dt5	 	t6ht5
rename 	t6du1	 	t6hu1
rename 	t6du2	 	t6hu2
rename 	t6du3	 	t6hu3
rename 	t6du4	 	t6hu4
rename 	t6du5	 	t6hu5
rename 	t6dv1	 	t6hv1
rename 	t6dv2	 	t6hv2
rename 	t6dv3	 	t6hv3
rename 	t6dv4	 	t6hv4
rename 	t6dv5	 	t6hv5
rename 	t6dw1	 	t6hw1
rename 	t6dw2	 	t6hw2
rename 	t6dw3	 	t6hw3
rename 	t6dw4	 	t6hw4
rename 	t6dw5	 	t6hw5
rename 	t6dx1	 	t6hx1
rename 	t6dx2	 	t6hx2
rename 	t6dx3	 	t6hx3
rename 	t6dx4	 	t6hx4
rename 	t6dx5	 	t6hx5
rename 	t6dy1	 	t6hy1
rename 	t6dy2	 	t6hy2
rename 	t6dy3	 	t6hy3
rename 	t6dy4	 	t6hy4
rename 	t6dy5	 	t6hy5
rename 	t6dz1	 	t6hz1
rename 	t6dz2	 	t6hz2
rename 	t6dz3	 	t6hz3
rename 	t6dz4	 	t6hz4
rename 	t6dz5	 	t6hz5
rename 	t6daa1	t6haa1
rename 	t6daa2	t6haa2
rename 	t6daa3	t6haa3
rename 	t6daa4	t6haa4
rename 	t6daa5	t6haa5

rename 	t6ca1	 	t6fa1
rename 	t6ca2	 	t6fa2
rename 	t6ca3	 	t6fa3
rename 	t6ca4	 	t6fa4
rename 	t6ca5	 	t6fa5
rename 	t6cb1	 	t6fb1
rename 	t6cb2	 	t6fb2
rename 	t6cb3	 	t6fb3
rename 	t6cb4	 	t6fb4
rename 	t6cb5	 	t6fb5
rename 	t6cc1	 	t6fc1
rename 	t6cc2	 	t6fc2
rename 	t6cc3	 	t6fc3
rename 	t6cc4	 	t6fc4
rename 	t6cc5	 	t6fc5
rename 	t6cd1	 	t6fd1
rename 	t6cd2	 	t6fd2
rename 	t6cd3	 	t6fd3
rename 	t6cd4	 	t6fd4
rename 	t6cd5	 	t6fd5
rename 	t6ce1	 	t6fe1
rename 	t6ce2	 	t6fe2
rename 	t6ce3	 	t6fe3
rename 	t6ce4	 	t6fe4
rename 	t6ce5	 	t6fe5
rename 	t6cf1	 	t6ff1
rename 	t6cf2	 	t6ff2
rename 	t6cf3	 	t6ff3
rename 	t6cf4	 	t6ff4
rename 	t6cf5	 	t6ff5
rename 	t6cg1	 	t6fg1
rename 	t6cg2	 	t6fg2
rename 	t6cg3	 	t6fg3
rename 	t6cg4	 	t6fg4
rename 	t6cg5	 	t6fg5
rename 	t6ch1	 	t6fh1
rename 	t6ch2	 	t6fh2
rename 	t6ch3	 	t6fh3
rename 	t6ch4	 	t6fh4
rename 	t6ch5	 	t6fh5
rename 	t6ci1	 	t6fi1
rename 	t6ci2	 	t6fi2
rename 	t6ci3	 	t6fi3
rename 	t6ci4	 	t6fi4
rename 	t6ci5	 	t6fi5
rename 	t6cj1	 	t6fj1
rename 	t6cj2	 	t6fj2
rename 	t6cj3	 	t6fj3
rename 	t6cj4	 	t6fj4
rename 	t6cj5	 	t6fj5
rename 	t6ck1	 	t6fk1
rename 	t6ck2	 	t6fk2
rename 	t6ck3	 	t6fk3
rename 	t6ck4	 	t6fk4
rename 	t6ck5	 	t6fk5
rename 	t6cl1	 	t6fl1
rename 	t6cl2	 	t6fl2
rename 	t6cl3	 	t6fl3
rename 	t6cl4	 	t6fl4
rename 	t6cl5	 	t6fl5
rename 	t6cm1	 	t6fm1
rename 	t6cm2	 	t6fm2
rename 	t6cm3	 	t6fm3
rename 	t6cm4	 	t6fm4
rename 	t6cm5	 	t6fm5
rename 	t6cn1	 	t6fn1
rename 	t6cn2	 	t6fn2
rename 	t6cn3	 	t6fn3
rename 	t6cn4	 	t6fn4
rename 	t6cn5	 	t6fn5
rename 	t6co1	 	t6fo1
rename 	t6co2	 	t6fo2
rename 	t6co3	 	t6fo3
rename 	t6co4	 	t6fo4
rename 	t6co5	 	t6fo5
rename 	t6cp1	 	t6fp1
rename 	t6cp2	 	t6fp2
rename 	t6cp3	 	t6fp3
rename 	t6cp4	 	t6fp4
rename 	t6cp5	 	t6fp5
rename 	t6cq1	 	t6fq1
rename 	t6cq2	 	t6fq2
rename 	t6cq3	 	t6fq3
rename 	t6cq4	 	t6fq4
rename 	t6cq5	 	t6fq5
rename 	t6cr1	 	t6fr1
rename 	t6cr2	 	t6fr2
rename 	t6cr3	 	t6fr3
rename 	t6cr4	 	t6fr4
rename 	t6cr5	 	t6fr5
rename 	t6cs1	 	t6fs1
rename 	t6cs2	 	t6fs2
rename 	t6cs3	 	t6fs3
rename 	t6cs4	 	t6fs4
rename 	t6cs5	 	t6fs5
rename 	t6ct1	 	t6ft1
rename 	t6ct2	 	t6ft2
rename 	t6ct3	 	t6ft3
rename 	t6ct4	 	t6ft4
rename 	t6ct5	 	t6ft5
rename 	t6cu1	 	t6fu1
rename 	t6cu2	 	t6fu2
rename 	t6cu3	 	t6fu3
rename 	t6cu4	 	t6fu4
rename 	t6cu5	 	t6fu5
rename 	t6cv1	 	t6fv1
rename 	t6cv2	 	t6fv2
rename 	t6cv3	 	t6fv3
rename 	t6cv4	 	t6fv4
rename 	t6cv5	 	t6fv5
rename 	t6cw1	 	t6fw1
rename 	t6cw2	 	t6fw2
rename 	t6cw3	 	t6fw3
rename 	t6cw4	 	t6fw4
rename 	t6cw5	 	t6fw5
rename 	t6cx1	 	t6fx1
rename 	t6cx2	 	t6fx2
rename 	t6cx3	 	t6fx3
rename 	t6cx4	 	t6fx4
rename 	t6cx5	 	t6fx5
rename 	t6cy1	 	t6fy1
rename 	t6cy2	 	t6fy2
rename 	t6cy3	 	t6fy3
rename 	t6cy4	 	t6fy4
rename 	t6cy5	 	t6fy5
rename 	t6cz1	 	t6fz1
rename 	t6cz2	 	t6fz2
rename 	t6cz3	 	t6fz3
rename 	t6cz4	 	t6fz4
rename 	t6cz5	 	t6fz5

rename 	t6ba1	 	t6da1
rename 	t6ba2	 	t6da2
rename 	t6ba3	 	t6da3
rename 	t6ba4	 	t6da4
rename 	t6ba5	 	t6da5
rename 	t6bb1	 	t6db1
rename 	t6bb2	 	t6db2
rename 	t6bb3	 	t6db3
rename 	t6bb4	 	t6db4
rename 	t6bb5	 	t6db5
rename 	t6bc1	 	t6dc1
rename 	t6bc2	 	t6dc2
rename 	t6bc3	 	t6dc3
rename 	t6bc4	 	t6dc4
rename 	t6bc5	 	t6dc5
rename 	t6bd1	 	t6dd1
rename 	t6bd2	 	t6dd2
rename 	t6bd3	 	t6dd3
rename 	t6bd4	 	t6dd4
rename 	t6bd5	 	t6dd5
rename 	t6be1	 	t6de1
rename 	t6be2	 	t6de2
rename 	t6be3	 	t6de3
rename 	t6be4	 	t6de4
rename 	t6be5	 	t6de5
rename 	t6bf1	 	t6df1
rename 	t6bf2	 	t6df2
rename 	t6bf3	 	t6df3
rename 	t6bf4	 	t6df4
rename 	t6bf5	 	t6df5
rename 	t6bg1	 	t6dg1
rename 	t6bg2	 	t6dg2
rename 	t6bg3	 	t6dg3
rename 	t6bg4	 	t6dg4
rename 	t6bg5	 	t6dg5
rename 	t6bh1	 	t6dh1
rename 	t6bh2	 	t6dh2
rename 	t6bh3	 	t6dh3
rename 	t6bh4	 	t6dh4
rename 	t6bh5	 	t6dh5
rename 	t6bi1	 	t6di1
rename 	t6bi2	 	t6di2
rename 	t6bi3	 	t6di3
rename 	t6bi4	 	t6di4
rename 	t6bi5	 	t6di5
rename 	t6bj1	 	t6dj1
rename 	t6bj2	 	t6dj2
rename 	t6bj3	 	t6dj3
rename 	t6bj4	 	t6dj4
rename 	t6bj5	 	t6dj5
rename 	t6bk1	 	t6dk1
rename 	t6bk2	 	t6dk2
rename 	t6bk3	 	t6dk3
rename 	t6bk4	 	t6dk4
rename 	t6bk5	 	t6dk5
rename 	t6bl1	 	t6dl1
rename 	t6bl2	 	t6dl2
rename 	t6bl3	 	t6dl3
rename 	t6bl4	 	t6dl4
rename 	t6bl5	 	t6dl5
rename 	t6bm1	 	t6dm1
rename 	t6bm2	 	t6dm2
rename 	t6bm3	 	t6dm3
rename 	t6bm4	 	t6dm4
rename 	t6bm5	 	t6dm5
rename 	t6bn1	 	t6dn1
rename 	t6bn2	 	t6dn2
rename 	t6bn3	 	t6dn3
rename 	t6bn4	 	t6dn4
rename 	t6bn5	 	t6dn5
rename 	t6bo1	 	t6do1
rename 	t6bo2	 	t6do2
rename 	t6bo3	 	t6do3
rename 	t6bo4	 	t6do4
rename 	t6bo5	 	t6do5
rename 	t6bp1	 	t6dp1
rename 	t6bp2	 	t6dp2
rename 	t6bp3	 	t6dp3
rename 	t6bp4	 	t6dp4
rename 	t6bp5	 	t6dp5
rename 	t6bq1	 	t6dq1
rename 	t6bq2	 	t6dq2
rename 	t6bq3	 	t6dq3
rename 	t6bq4	 	t6dq4
rename 	t6bq5	 	t6dq5
rename 	t6br1	 	t6dr1
rename 	t6br2	 	t6dr2
rename 	t6br3	 	t6dr3
rename 	t6br4	 	t6dr4
rename 	t6br5	 	t6dr5
rename 	t6bs1	 	t6ds1
rename 	t6bs2	 	t6ds2
rename 	t6bs3	 	t6ds3
rename 	t6bs4	 	t6ds4
rename 	t6bs5	 	t6ds5
rename 	t6bt1	 	t6dt1
rename 	t6bt2	 	t6dt2
rename 	t6bt3	 	t6dt3
rename 	t6bt4	 	t6dt4
rename 	t6bt5	 	t6dt5
rename 	t6bu1	 	t6du1
rename 	t6bu2	 	t6du2
rename 	t6bu3	 	t6du3
rename 	t6bu4	 	t6du4
rename 	t6bu5	 	t6du5
rename 	t6bv1	 	t6dv1
rename 	t6bv2	 	t6dv2
rename 	t6bv3	 	t6dv3
rename 	t6bv4	 	t6dv4
rename 	t6bv5	 	t6dv5
rename 	t6bw1	 	t6dw1
rename 	t6bw2	 	t6dw2
rename 	t6bw3	 	t6dw3
rename 	t6bw4	 	t6dw4
rename 	t6bw5	 	t6dw5
rename 	t6bx1	 	t6dx1
rename 	t6bx2	 	t6dx2
rename 	t6bx3	 	t6dx3
rename 	t6bx4	 	t6dx4
rename 	t6bx5	 	t6dx5
rename 	t6by1	 	t6dy1
rename 	t6by2	 	t6dy2
rename 	t6by3	 	t6dy3
rename 	t6by4	 	t6dy4
rename 	t6by5	 	t6dy5
rename 	t6bz1	 	t6dz1
rename 	t6bz2	 	t6dz2
rename 	t6bz3	 	t6dz3
rename 	t6bz4	 	t6dz4
rename 	t6bz5	 	t6dz5

rename 	t6aa1	 	t6ba1
rename 	t6aa2	 	t6ba2
rename 	t6aa3	 	t6ba3
rename 	t6aa4	 	t6ba4
rename 	t6aa5	 	t6ba5
rename 	t6ab1	 	t6bb1
rename 	t6ab2	 	t6bb2
rename 	t6ab3	 	t6bb3
rename 	t6ab4	 	t6bb4
rename 	t6ab5	 	t6bb5
rename 	t6ac1	 	t6bc1
rename 	t6ac2	 	t6bc2
rename 	t6ac3	 	t6bc3
rename 	t6ac4	 	t6bc4
rename 	t6ac5	 	t6bc5
rename 	t6ad1	 	t6bd1
rename 	t6ad2	 	t6bd2
rename 	t6ad3	 	t6bd3
rename 	t6ad4	 	t6bd4
rename 	t6ad5	 	t6bd5
rename 	t6ae1	 	t6be1
rename 	t6ae2	 	t6be2
rename 	t6ae3	 	t6be3
rename 	t6ae4	 	t6be4
rename 	t6ae5	 	t6be5
rename 	t6af1	 	t6bf1
rename 	t6af2	 	t6bf2
rename 	t6af3	 	t6bf3
rename 	t6af4	 	t6bf4
rename 	t6af5	 	t6bf5
rename 	t6ag1	 	t6bg1
rename 	t6ag2	 	t6bg2
rename 	t6ag3	 	t6bg3
rename 	t6ag4	 	t6bg4
rename 	t6ag5	 	t6bg5
rename 	t6ah1	 	t6bh1
rename 	t6ah2	 	t6bh2
rename 	t6ah3	 	t6bh3
rename 	t6ah4	 	t6bh4
rename 	t6ah5	 	t6bh5
rename 	t6ai1	 	t6bi1
rename 	t6ai2	 	t6bi2
rename 	t6ai3	 	t6bi3
rename 	t6ai4	 	t6bi4
rename 	t6ai5	 	t6bi5
rename 	t6aj1	 	t6bj1
rename 	t6aj2	 	t6bj2
rename 	t6aj3	 	t6bj3
rename 	t6aj4	 	t6bj4
rename 	t6aj5	 	t6bj5
rename 	t6ak1	 	t6bk1
rename 	t6ak2	 	t6bk2
rename 	t6ak3	 	t6bk3
rename 	t6ak4	 	t6bk4
rename 	t6ak5	 	t6bk5
rename 	t6al1	 	t6bl1
rename 	t6al2	 	t6bl2
rename 	t6al3	 	t6bl3
rename 	t6al4	 	t6bl4
rename 	t6al5	 	t6bl5
rename 	t6am1	 	t6bm1
rename 	t6am2	 	t6bm2
rename 	t6am3	 	t6bm3
rename 	t6am4	 	t6bm4
rename 	t6am5	 	t6bm5
rename 	t6an1	 	t6bn1
rename 	t6an2	 	t6bn2
rename 	t6an3	 	t6bn3
rename 	t6an4	 	t6bn4
rename 	t6an5	 	t6bn5
rename 	t6ao1	 	t6bo1
rename 	t6ao2	 	t6bo2
rename 	t6ao3	 	t6bo3
rename 	t6ao4	 	t6bo4
rename 	t6ao5	 	t6bo5
rename 	t6ap1	 	t6bp1
rename 	t6ap2	 	t6bp2
rename 	t6ap3	 	t6bp3
rename 	t6ap4	 	t6bp4
rename 	t6ap5	 	t6bp5
rename 	t6ar1	 	t6br1
rename 	t6ar2	 	t6br2
rename 	t6ar3	 	t6br3
rename 	t6ar4	 	t6br4
rename 	t6ar5	 	t6br5
rename 	t6as1	 	t6bs1
rename 	t6as2	 	t6bs2
rename 	t6as3	 	t6bs3
rename 	t6as4	 	t6bs4
rename 	t6as5	 	t6bs5
rename 	t6at1	 	t6bt1
rename 	t6at2	 	t6bt2
rename 	t6at3	 	t6bt3
rename 	t6at4	 	t6bt4
rename 	t6at5	 	t6bt5
rename 	t6au1	 	t6bu1
rename 	t6au2	 	t6bu2
rename 	t6au3	 	t6bu3
rename 	t6au4	 	t6bu4
rename 	t6au5	 	t6bu5
rename 	t6av1	 	t6bv1
rename 	t6av2	 	t6bv2
rename 	t6av3	 	t6bv3
rename 	t6av4	 	t6bv4
rename 	t6av5	 	t6bv5
rename 	t6aw1	 	t6bw1
rename 	t6aw2	 	t6bw2
rename 	t6aw3	 	t6bw3
rename 	t6aw4	 	t6bw4
rename 	t6aw5	 	t6bw5
rename 	t6ax1	 	t6bx1
rename 	t6ax2	 	t6bx2
rename 	t6ax3	 	t6bx3
rename 	t6ax4	 	t6bx4
rename 	t6ax5	 	t6bx5
rename 	t6ay1	 	t6by1
rename 	t6ay2	 	t6by2
rename 	t6ay3	 	t6by3
rename 	t6ay4	 	t6by4
rename 	t6ay5	 	t6by5
rename 	t6az1	 	t6bz1
rename 	t6az2	 	t6bz2
rename 	t6az3	 	t6bz3
rename 	t6az4	 	t6bz4

destring  t6ba4	t6bb4	t6bc4	t6bd4	t6be4	t6bf4	t6bg4	t6bh4	t6bi4	t6bj4	t6bk4	t6bl4	t6bm4	t6bn4	t6bo4	t6bp4	t6br4	t6bs4	t6bt4	t6bu4	t6bv4	t6bw4	t6bx4	t6by4	t6bz4	t6da4	t6db4	t6dc4	t6dd4	t6de4	t6df4	t6dg4	t6dh4	t6di4	t6dj4	t6dk4	t6dl4	t6dm4	t6dn4	t6do4	t6dp4	t6dq4	t6dr4	t6ds4	t6dt4	t6du4	t6dv4	t6dw4	t6dx4	t6dy4	t6dz4	t6fa4	t6fb4	t6fc4	t6fd4	t6fe4	t6ff4	t6fg4	t6fh4	t6fi4	t6fj4	t6fk4	t6fl4	t6fm4	t6fn4	t6fo4	t6fp4	t6fq4	t6fr4	t6fs4	t6ft4	t6fu4	t6fv4	t6fw4	t6fx4	t6fy4	t6fz4	t6ha4	t6haa4	t6hb4	t6hc4	t6hd4	t6he4	t6hf4	t6hg4	t6hh4	t6hi4	t6hj4	t6hk4	t6hl4	t6hm4	t6hn4	t6ho4	t6hp4	t6hr4	t6hs4	t6ht4	t6hu4	t6hv4	t6hw4	t6hx4	t6hy4	t6hz4	t6ja4	t6jb4	t6jc4	t6jd4	t6je4	t6jf4	t6jg4	t6jh4	t6ji4	t6jj4	t6jk4	t6jl4	t6jm4	t6jn4	t6jo4	t6jp4	t6jq4	t6jr4	t6js4	t6jt4	t6ju4	t6jv4	t6jw4	t6jx4	t6jy4	t6jz4	t6la4	t6lb4	t6lc4	t6ld4	t6le4	t6lf4	t6lg4	t6lh4	t6li4	t6lj4	t6lk4	t6ll4	t6lm4	t6ln4	t6lo4	t6lp4	t6lq4	t6lr4	t6ls4	t6lt4	t6lu4	t6lv4	t6lw4	t6lx4	t6ly4	t6lz4, ignore ("?" "NDS" "4&5" "5STI" "1/4/2000" "DNA" "SUPP" "5(STI)" "DK" "5 (STI)") replace
label values t6ba4	t6bb4	t6bc4	t6bd4	t6be4	t6bf4	t6bg4	t6bh4	t6bi4	t6bj4	t6bk4	t6bl4	t6bm4	t6bn4	t6bo4	t6bp4	t6br4	t6bs4	t6bt4	t6bu4	t6bv4	t6bw4	t6bx4	t6by4	t6bz4	t6da4	t6db4	t6dc4	t6dd4	t6de4	t6df4	t6dg4	t6dh4	t6di4	t6dj4	t6dk4	t6dl4	t6dm4	t6dn4	t6do4	t6dp4	t6dq4	t6dr4	t6ds4	t6dt4	t6du4	t6dv4	t6dw4	t6dx4	t6dy4	t6dz4	t6fa4	t6fb4	t6fc4	t6fd4	t6fe4	t6ff4	t6fg4	t6fh4	t6fi4	t6fj4	t6fk4	t6fl4	t6fm4	t6fn4	t6fo4	t6fp4	t6fq4	t6fr4	t6fs4	t6ft4	t6fu4	t6fv4	t6fw4	t6fx4	t6fy4	t6fz4	t6ha4	t6haa4	t6hb4	t6hc4	t6hd4	t6he4	t6hf4	t6hg4	t6hh4	t6hi4	t6hj4	t6hk4	t6hl4	t6hm4	t6hn4	t6ho4	t6hp4	t6hr4	t6hs4	t6ht4	t6hu4	t6hv4	t6hw4	t6hx4	t6hy4	t6hz4	t6ja4	t6jb4	t6jc4	t6jd4	t6je4	t6jf4	t6jg4	t6jh4	t6ji4	t6jj4	t6jk4	t6jl4	t6jm4	t6jn4	t6jo4	t6jp4	t6jq4	t6jr4	t6js4	t6jt4	t6ju4	t6jv4	t6jw4	t6jx4	t6jy4	t6jz4	t6la4	t6lb4	t6lc4	t6ld4	t6le4	t6lf4	t6lg4	t6lh4	t6li4	t6lj4	t6lk4	t6ll4	t6lm4	t6ln4	t6lo4	t6lp4	t6lq4	t6lr4	t6ls4	t6lt4	t6lu4	t6lv4	t6lw4	t6lx4	t6ly4	t6lz4 supply

destring  t6ba5	t6bb5	t6bc5	t6bd5	t6be5	t6bf5	t6bg5	t6bh5	t6bi5	t6bj5	t6bk5	t6bl5	t6bm5	t6bn5	t6bo5	t6bp5	t6br5	t6bs5	t6bt5	t6bu5	t6bv5	t6bw5	t6bx5	t6by5	t6da5	t6db5	t6dc5	t6dd5	t6de5	t6df5	t6dg5	t6dh5	t6di5	t6dj5	t6dk5	t6dl5	t6dm5	t6dn5	t6do5	t6dp5	t6dq5	t6dr5	t6ds5	t6dt5	t6du5	t6dv5	t6dw5	t6dx5	t6dy5	t6dz5	t6fa5	t6fb5	t6fc5	t6fd5	t6fe5	t6ff5	t6fg5	t6fh5	t6fi5	t6fj5	t6fk5	t6fl5	t6fm5	t6fn5	t6fo5	t6fp5	t6fq5	t6fr5	t6fs5	t6ft5	t6fu5	t6fv5	t6fw5	t6fx5	t6fy5	t6fz5	t6ha5	t6haa5	t6hb5	t6hc5	t6hd5	t6he5	t6hf5	t6hg5	t6hh5	t6hi5	t6hj5	t6hk5	t6hl5	t6hm5	t6hn5	t6ho5	t6hp5	t6hr5	t6hs5	t6ht5	t6hu5	t6hv5	t6hw5	t6hx5	t6hy5	t6hz5	t6ja5	t6jb5	t6jc5	t6jd5	t6je5	t6jf5	t6jg5	t6jh5	t6ji5	t6jj5	t6jk5	t6jl5	t6jm5	t6jn5	t6jo5	t6jp5	t6jq5	t6jr5	t6js5	t6jt5	t6ju5	t6jv5	t6jw5	t6jx5	t6jy5	t6jz5	t6la5	t6lb5	t6lc5	t6ld5	t6le5	t6lf5	t6lg5	t6lh5	t6li5	t6lj5	t6lk5	t6ll5	t6lm5	t6ln5	t6lo5	t6lp5	t6lq5	t6lr5	t6ls5	t6lt5	t6lu5	t6lv5	t6lw5	t6lx5	t6ly5	t6lz5, ignore ("?" "NDS" "4&5" "MRC" "3&4" "5STI" "1/4/2000" "DNA" "SUPP" "5(STI)" "DK" "5 (STI)") replace
label values t6ba5 t6bb5 t6bc5	t6bd5	t6be5	t6bf5	t6bg5	t6bh5	t6bi5	t6bj5	t6bk5	t6bl5	t6bm5	t6bn5	t6bo5	t6bp5	t6br5	t6bs5	t6bt5	t6bu5	t6bv5	t6bw5	t6bx5	t6by5	t6da5	t6db5	t6dc5	t6dd5	t6de5	t6df5	t6dg5	t6dh5	t6di5	t6dj5	t6dk5	t6dl5	t6dm5	t6dn5	t6do5	t6dp5	t6dq5	t6dr5	t6ds5	t6dt5	t6du5	t6dv5	t6dw5	t6dx5	t6dy5	t6dz5	t6fa5	t6fb5	t6fc5	t6fd5	t6fe5	t6ff5	t6fg5	t6fh5	t6fi5	t6fj5	t6fk5	t6fl5	t6fm5	t6fn5	t6fo5	t6fp5	t6fq5	t6fr5	t6fs5	t6ft5	t6fu5	t6fv5	t6fw5	t6fx5	t6fy5	t6fz5	t6ha5	t6haa5	t6hb5	t6hc5	t6hd5	t6he5	t6hf5	t6hg5	t6hh5	t6hi5	t6hj5	t6hk5	t6hl5	t6hm5	t6hn5	t6ho5	t6hp5	t6hr5	t6hs5	t6ht5	t6hu5	t6hv5	t6hw5	t6hx5	t6hy5	t6hz5	t6ja5	t6jb5	t6jc5	t6jd5	t6je5	t6jf5	t6jg5	t6jh5	t6ji5	t6jj5	t6jk5	t6jl5	t6jm5	t6jn5	t6jo5	t6jp5	t6jq5	t6jr5	t6js5	t6jt5	t6ju5	t6jv5	t6jw5	t6jx5	t6jy5	t6jz5	t6la5	t6lb5	t6lc5	t6ld5	t6le5	t6lf5	t6lg5	t6lh5	t6li5	t6lj5	t6lk5	t6ll5	t6lm5	t6ln5	t6lo5	t6lp5	t6lq5	t6lr5	t6ls5	t6lt5	t6lu5	t6lv5	t6lw5	t6lx5	t6ly5	t6lz5 source

foreach vvv of varlist  t4m1	t6ba1	t6bb1	t6bc1	t6bd1	t6be1	t6bf1	t6bg1	t6bh1	t6bi1	t6bj1	t6bk1	t6bl1	t6db1	t6dd1	t6dg1	t6di1	t6dj1	t6dm1	t6dn1	t6dp1	t6dq1	t6dr1	t6ds1	t6dt1	t6du1	t6dv1	t6dw1	t6dx1	t6dy1	t6dz1	t6fa1	t6fb1	t6fc1	t6fd1	t6fe1	t6ff1	t6fg1	t6fi1	t6fj1	t6fk1	t6fl1	t6fm1	t6fn1	t6fo1	t6fp1	t6fq1	t6fr1	t6fs1	t6ft1	t6fu1	t6fv1	t6fw1	t6fx1	t6hb1	t6hc1	t6hd1	t6he1	t6hf1	t6hg1	t6hh1	t6hi1	t6hj1	t6hk1	t6hl1	t6hm1	t6hn1	t6ho1	t6hp1	t6hr1	t6ja1	t6jb1	t6jc1	t6la1	t6lb1	t6lc1	t6ld1	t6le1	t6lf1	t6lg1	t7a1	t7b1	t7c1	t7d1	t7e1	t7f1	t7g1	t7h1	t7i1	t7j1	t8a1	t8a2	t8b1	t8b2	t8c1	t8c2	t8d1	t8d2	t8e2	ii	t3m6	t4m3	t6df1	t8e1	t3m2	t3m4	t4m2	iv	v	vii	t1a1	t3f1	t3f2	t3f3	t4a1	t4a2	t4a3	t4b1	t4b2	t4b3	t4c1	t4c2	t4c3	t4d1	t4d2	t4d3	t4e1	t4e2	t4e3	t4f1	t4f2	t4f3	t4g1	t4h1	t4h2	t4h3	t4i1	t4i2	t4i3	t4j1	t4j2	t4j3	t4k1	t4k2	t4k3	t4l1	t4l2	t4l3	t6bs1	t6bs2	t6bs3	t6bt1	t6bt2	t6bt3	t6bu1	t6bu2	t6bu3	t6bv1	t6bv2	t6bv3	t6bw1	t6bw2	t6bw3	t6bx1	t6bx2	t6bx3	t6by1	t6by2	t6by3	t6bz1	t6bz2	t6bz3	t6dx2	t6dx3	t6dy2	t6dy3	t6dz2	t6dz3	t6fy2	t6fy3	t6fz2	t6fz3	t6ja2	t6ja3	t6jb2	t6jb3	t6jc2	t6jd2	t6jd3	t6je2	t6je3	t6jf2	t6jf3	t6jg2	t6jg3	t6jh2	t6jh3	t6ji2	t6ji3	t6jj1	t6jj2	t6jj3	t6jk1	t6jk2	t6jk3	t6jl1	t6jl2	t6jl3	t6jm1	t6jm2	t6jm3	t6jn1	t6jn2	t6jn3	t6jo1	t6jo2	t6jo3	t6jp1	t6jp2	t6jp3	t6jq1	t6jq2	t6jq3	t6jr1	t6jr2	t6jr3	t6js1	t6js2	t6js3	t6jt1	t6jt2	t6jt3	t6ju1	t6ju2	t6ju3	t6jv1	t6jv2	t6jv3	t6jw1	t6jw2	t6jw3	t6jx1	t6jx2	t6jx3	t6jy1	t6jy2	t6jy3	t6jz1	t6jz2	t6jz3	t6lc2	t6le2	t6le3	t6lf2	t6lf3	t6lg2	t6lg3	t6lh2	t6lh3	t6li1	t6li2	t6li3	t6lj1	t6lj2	t6lj3	t6lk1	t6lk2	t6lk3	t6ll1	t6ll2	t6ll3	t6lm1	t6lm2	t6lm3	t6ln1	t6ln2	t6ln3	t6lo1	t6lo2	t6lo3	t6lp1	t6lp2	t6lp3	t6lq1	t6lq2	t6lq3	t6lr1	t6lr2	t6lr3	t6ls1	t6ls2	t6ls3	t6lt1	t6lt2	t6lt3	t6lu1	t6lu2	t6lu3	t6lv1	t6lv2	t6lv3	t6lw1	t6lw2	t6lw3	t6lx1	t6lx2	t6lx3	t6ly1	t6ly2	t6ly3	t6lz1	t6lz2	t6lz3	t7g2	t7g3	t7h2	t7h3	t7i2	t7j2	t8d3	t8d4	t8e3	t8e4	vi	t4g2	t4g3	t4m4	t6bm2	t6bm3	t6bn2	t6bn3	t6bo2	t6bp2	t6br2	t6br3	t6do2	t6do3	t6dp2	t6dp3	t6dq2	t6dr2	t6dr3	t6ds2	t6ds3	t6dt2	t6dt3	t6du2	t6du3	t6dv2	t6dv3	t6dw2	t6dw3	t6hs2	t6hs3	t6ht2	t6ht3	t6hu2	t6hu3	t6hw2	t6hw3	t6hx2	t6hx3	t6hy2	t6hy3	t6hz2	t6hz3	t6haa2	t6haa3	t6la2	t6la3	t6lb2	t6lb3	t6ld2	t3m1	i	t6bd2	t6bd3	t6be2	t6be3	t6bf2	t6bf3	t6bm1	t6bn1	t6bo3	t6bp1	t6bp3	t6br1	t6do1	t6dq3	t6fy1	t6fz1	t6hs1	t6ht1	t6hu1	t6hv1	t6hv2	t6hv3	t6hw1	t6hx1	t6hy1	t6hz1	t6haa1	t6jc3	t6je1	t6jg1	t6lc3	t6ld3	t6lh1	t7i3	t7j3	viii	t3m3	t3m5	t4m5	t4m6	t6jd1	t6jf1	t6ji1	iii	t6jh1	t6bo1 {
replace `vvv' ="-999" if `vvv'== "NA"
replace `vvv' ="-999" if `vvv'== "DNA" 
replace `vvv' ="-999" if `vvv'== "DK" 
replace `vvv' ="-999" if `vvv'== "NS"
replace `vvv' ="-999" if `vvv'== "DNS"
replace `vvv' ="-999" if `vvv'== "0"
replace `vvv' ="-999" if `vvv'== "NDS"
replace `vvv' ="-999" if `vvv'== "NSD"
replace `vvv' ="-999" if `vvv'== "NDA"
}

destring t4m1	t6ba1	t6bb1	t6bc1	t6bd1	t6be1	t6bf1	t6bg1	t6bh1	t6bi1	t6bj1	t6bk1	t6bl1	t6db1	t6dd1	t6dg1	t6di1	t6dj1	t6dm1	t6dn1	t6dp1	t6dq1	t6dr1	t6ds1	t6dt1	t6du1	t6dv1	t6dw1	t6dx1	t6dy1	t6dz1	t6fa1	t6fb1	t6fc1	t6fd1	t6fe1	t6ff1	t6fg1	t6fi1	t6fj1	t6fk1	t6fl1	t6fm1	t6fn1	t6fo1	t6fp1	t6fq1	t6fr1	t6fs1	t6ft1	t6fu1	t6fv1	t6fw1	t6fx1	t6hb1	t6hc1	t6hd1	t6he1	t6hf1	t6hg1	t6hh1	t6hi1	t6hj1	t6hk1	t6hl1	t6hm1	t6hn1	t6ho1	t6hp1	t6hr1	t6ja1	t6jb1	t6jc1	t6la1	t6lb1	t6lc1	t6ld1	t6le1	t6lf1	t6lg1	t7a1	t7b1	t7c1	t7d1	t7e1	t7f1	t7g1	t7h1	t7i1	t7j1	t8a1	t8a2	t8b1	t8b2	t8c1	t8c2	t8d1	t8d2	t8e2	ii	t3m6	t4m3	t6df1	t8e1	t3m2	t3m4	t4m2	iv	v	vii	t1a1	vi	t3f1	t3f2	t3f3	t4a1	t4a2	t4a3	t4b1	t4b2	t4b3	t4c1	t4c2	t4c3	t4d1	t4d2	t4d3	t4e1	t4e2	t4e3	t4f1	t4f2	t4f3	t4g1	t4g2	t4g3	t4h1	t4h2	t4h3	t4i1	t4i2	t4i3	t4j1	t4j2	t4j3	t4k1	t4k2	t4k3	t4l1	t4l2	t4l3	t4m4	t6bm2	t6bm3	t6bn2	t6bn3	t6bo2	t6bp2	t6br2	t6br3	t6bs1	t6bs2	t6bs3	t6bt1	t6bt2	t6bt3	t6bu1	t6bu2	t6bu3	t6bv1	t6bv2	t6bv3	t6bw1	t6bw2	t6bw3	t6bx1	t6bx2	t6bx3	t6by1	t6by2	t6by3	t6bz1	t6bz2	t6bz3	t6do2	t6do3	t6dp2	t6dp3	t6dq2	t6dr2	t6dr3	t6ds2	t6ds3	t6dt2	t6dt3	t6du2	t6du3	t6dv2	t6dv3	t6dw2	t6dw3	t6dx2	t6dx3	t6dy2	t6dy3	t6dz2	t6dz3	t6fy2	t6fy3	t6fz2	t6fz3	t6hs2	t6hs3	t6ht2	t6ht3	t6hu2	t6hu3	t6hw2	t6hw3	t6hx2	t6hx3	t6hy2	t6hy3	t6hz2	t6hz3	t6haa2	t6haa3	t6ja2	t6ja3	t6jb2	t6jb3	t6jc2	t6jd2	t6jd3	t6je2	t6je3	t6jf2	t6jf3	t6jg2	t6jg3	t6jh2	t6jh3	t6ji2	t6ji3	t6jj1	t6jj2	t6jj3	t6jk1	t6jk2	t6jk3	t6jl1	t6jl2	t6jl3	t6jm1	t6jm2	t6jm3	t6jn1	t6jn2	t6jn3	t6jo1	t6jo2	t6jo3	t6jp1	t6jp2	t6jp3	t6jq1	t6jq2	t6jq3	t6jr1	t6jr2	t6jr3	t6js1	t6js2	t6js3	t6jt1	t6jt2	t6jt3	t6ju1	t6ju2	t6ju3	t6jv1	t6jv2	t6jv3	t6jw1	t6jw2	t6jw3	t6jx1	t6jx2	t6jx3	t6jy1	t6jy2	t6jy3	t6jz1	t6jz2	t6jz3	t6la2	t6la3	t6lb2	t6lb3	t6lc2	t6ld2	t6le2	t6le3	t6lf2	t6lf3	t6lg2	t6lg3	t6lh2	t6lh3	t6li1	t6li2	t6li3	t6lj1	t6lj2	t6lj3	t6lk1	t6lk2	t6lk3	t6ll1	t6ll2	t6ll3	t6lm1	t6lm2	t6lm3	t6ln1	t6ln2	t6ln3	t6lo1	t6lo2	t6lo3	t6lp1	t6lp2	t6lp3	t6lq1	t6lq2	t6lq3	t6lr1	t6lr2	t6lr3	t6ls1	t6ls2	t6ls3	t6lt1	t6lt2	t6lt3	t6lu1	t6lu2	t6lu3	t6lv1	t6lv2	t6lv3	t6lw1	t6lw2	t6lw3	t6lx1	t6lx2	t6lx3	t6ly1	t6ly2	t6ly3	t6lz1	t6lz2	t6lz3	t7g2	t7g3	t7h2	t7h3	t7i2	t7j2	t8d3	t8d4	t8e3	t8e4	t3m1	i	t6bd2	t6bd3	t6be2	t6be3	t6bf2	t6bf3	t6bm1	t6bn1	t6bo3	t6bp1	t6bp3	t6br1	t6do1	t6dq3	t6fy1	t6fz1	t6hs1	t6ht1	t6hu1	t6hv1	t6hv2	t6hv3	t6hw1	t6hx1	t6hy1	t6hz1	t6haa1	t6jc3	t6je1	t6jg1	t6lc3	t6ld3	t6lh1	t7i3	t7j3	viii	t3m3	t3m5	t4m5	t4m6	t6jd1	t6jf1	t6ji1	iii	t6jh1	t6bo1, ignore ("N" "AIDS" "HIV/AIDS" "GUINEA WORM" "CANCER" "TB." "NONE" "STI & AIDS" " "AIDS/HIV" TONGUE TIE" "TRYPANOSOMIASIS" "29-Feb" "27.04.2000" "18/12/99" "-" "IMMUNIZATION" "CHOLERA" "FAMILY PLANNING" "STD" "LEPROSY")  replace


**************************************************
*** Recode missing values
***************************************************

*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);

qui mvdecode  dd	dm	dsno	dy	i	ii	iii	iv	sno	t1a1	t1a6	t1a7	t1b1	t1b5	t1b6	t1b7	t1c1	t1c5	t1c6	t1c7	t1d1	t1d5	t1d6	t1d7	t1e1	t1e5	t1e6	t1e7	t1f1	t1f5	t1f6	t1f7	t1g1	t1g5	t1g6	t1g7	t1h1	t1h5	t1h6	t1h7	t1i1	t1i5	t1i6	t1i7	t1j1	t1j5	t1j6	t1j7	t1k1	t1k5	t1k6	t1k7	t1l1	t1l5	t1l6	t1l7	t1m1	t1m5	t1m6	t1m7	t1n1	t1n5	t1n6	t1n7	t1o1	t1o5	t1o6	t1o7	t1p1	t1p5	t1p6	t1p7	t1q1	t1q5	t1q6	t1q7	t1r1	t1r5	t1r6	t1r7	t1s1	t1s5	t1s6	t1s7	t2a1	t2a2	t2a3	t2a4	t2a5	t2a6	t2b1	t2b2	t2b3	t2b4	t2b5	t2b6	t2c1	t2c2	t2c3	t2c4	t2c5	t2c6	t2d1	t2d2	t2d3	t2d4	t2d5	t2d6	t3a1	t3a2	t3a3	t3b1	t3b2	t3b3	t3c1	t3c2	t3c3	t3d1	t3d2	t3d3	t3e1	t3e2	t3e3	t3f1	t3f2	t3f3	t3g1	t3g2	t3g3	t3m1	t3m2	t3m3	t3m4	t3m5	t3m6	t4a1	t4a2	t4a3	t4b1	t4b2	t4b3	t4c1	t4c2	t4c3	t4d1	t4d2	t4d3	t4e1	t4e2	t4e3	t4f1	t4f2	t4f3	t4g1	t4g2	t4g3	t4h1	t4h2	t4h3	t4i1	t4i2	t4i3	t4j1	t4j2	t4j3	t4k1	t4k2	t4k3	t4l1	t4l2	t4l3	t4m1	t4m2	t4m3	t4m4	t4m5	t4m6	t5a1	t5a2	t5a3	t5a4	t5a5	t5a6	t5b1	t5b2	t5b3	t5b4	t5b5	t5b6	t5c1	t5c2	t5c3	t5c4	t5c5	t5c6	t5d1	t5d2	t5d3	t5d4	t5d5	t5d6	t5e1	t5e2	t5e3	t5e4	t5e5	t5e6	t6ho2	t6ho3	t6ho4	t6ho5	t6hp1	t6hp2	t6hp3	t6hp4	t6hp5	t6hr1	t6hr2	t6hr3	t6hr4	t6hr5	t6hs1	t6hs2	t6hs3	t6hs4	t6hs5	t6ht1	t6ht2	t6ht3	t6ht4	t6ht5	t6hu1	t6hu2	t6hu3	t6hu4	t6hu5	t6hv1	t6hv2	t6hv3	t6hv4	t6hv5	t6hw1	t6hw2	t6hw3	t6hw4	t6hw5	t6hx1	t6hx2	t6hx3	t6hx4	t6hx5	t6hy1	t6hy2	t6hy3	t6hy4	t6hy5	t6hz1	t6hz2	t6hz3	t6hz4	t6hz5	t6haa1	t6haa2	t6haa3	t6haa4	t6haa5	t6ja1	t6ja2	t6ja3	t6ja4	t6ja5	t6jb1	t6jb2	t6jb3	t6jb4	t6jb5	t6jc1	t6jc2	t6jc3	t6jc4	t6jc5	t6jd1	t6jd2	t6jd3	t6jd4	t6jd5	t6je1	t6je2	t6je3	t6je4	t6je5	t6jf1	t6jf2	t6jf3	t6jf4	t6jf5	t6jg1	t6jg2	t6jg3	t6jg4	t6jg5	t6jh1	t6jh2	t6jh3	t6jh4	t6jh5	t6ji1	t6ji2	t6ji3	t6ji4	t6ji5	t6jj1	t6jj2	t6jj3	t6jj4	t6jj5	t6jk1	t6jk2	t6jk3	t6jk4	t6jk5	t6jl1	t6jl2	t6jl3	t6jl4	t6jl5	t6jm1	t6jm2	t6jm3	t6jm4	t6jm5	t6jn1	t6jn2	t6jn3	t6jn4	t6jn5	t6jo1	t6jo2	t6jo3	t6jo4	t6jo5	t6jp1	t6jp2	t6jp3	t6jp4	t6jp5	t6jq1	t6jq2	t6jq3	t6jq4	t6jq5	t6jr1	t6jr2	t6jr3	t6jr4	t6jr5	t6js1	t6js2	t6js3	t6js4	t6js5	t6jt1	t6jt2	t6jt3	t6jt4	t6jt5	t6ju1	t6ju2	t6ju3	t6ju4	t6ju5	t6jv1	t6jv2	t6jv3	t6jv4	t6jv5	t6jw1	t6jw2	t6jw3	t6jw4	t6jw5	t6jx1	t6jx2	t6jx3	t6jx4	t6jx5	t6jy1	t6jy2	t6jy3	t6jy4	t6jy5	t6jz1	t6jz2	t6jz3	t6jz4	t6jz5	t6la1	t6la2	t6la3	t6la4	t6la5	t6lb1	t6lb2	t6lb3	t6lb4	t6lb5	t6lc1	t6lc2	t6lc3	t6lc4	t6lc5	t6ld1	t6ld2	t6ld3	t6ld4	t6ld5	t6le1	t6le2	t6le3	t6le4	t6le5	t6lf1	t6lf2	t6lf3	t6lf4	t6lf5	t6lg1	t6lg2	t6lg3	t6lg4	t6lg5	t6lh1	t6lh2	t6lh3	t6lh4	t6lh5	t6li1	t6li2	t6li3	t6li4	t6li5	t6lj1	t6lj2	t6lj3	t6lj4	t6lj5	t6lk1	t6lk2	t6lk3	t6lk4	t6lk5	t6ll1	t6ll2	t6ll3	t6ll4	t6ll5	t6lm1	t6lm2	t6lm3	t6lm4	t6lm5	t6ln1	t6ln2	t6ln3	t6ln4	t6ln5	t6lo1	t6lo2	t6lo3	t6lo4	t6lo5	t6lp1	t6lp2	t6lp3	t6lp4	t6lp5	t6lq1	t6lq2	t6lq3	t6lq4	t6lq5	t6lr1	t6lr2	t6lr3	t6lr4	t6lr5	t6ls1	t6ls2	t6ls3	t6ls4	t6ls5	t6lt1	t6lt2	t6lt3	t6lt4	t6lt5	t6lu1	t6lu2	t6lu3	t6lu4	t6lu5	t6lv1	t6lv2	t6lv3	t6lv4	t6lv5	t6lw1	t6lw2	t6lw3	t6lw4	t6lw5	t6lx1	t6lx2	t6lx3	t6lx4	t6lx5	t6ly1	t6ly2	t6ly3	t6ly4	t6ly5	t6lz1	t6lz2	t6lz3	t6lz4	t6lz5	t7a1	t7a2	t7a3	t7b1	t7b2	t7b3	t7c1	t7c2	t7c3	t7d1	t7d2	t7d3	t7e1	t7e2	t7e3	t7f1	t7f2	t7f3	t7g1	t7g2	t7g3	t7h1	t7h2	t7h3	t7i1	t7i2	t7i3	t7j1	t7j2	t7j3	t8a1	t8a2	t8a3	t8a4	t8b1	t8b2	t8b3	t8b4	t8c1	t8c2	t8c3	t8c4	t8d1	t8d2	t8d3	t8d4	t8e1	t8e2	t8e3	t8e4 	t6dh3	t6dh4	t6dh5	t6di1	t6di2	t6di3	t6di4	t6di5	t6dj1	t6dj2	t6dj3	t6dj4	t6dj5	t6dk1	t6dk2	t6dk3	t6dk4	t6dk5	t6dl1	t6dl2	t6dl3	t6dl4	t6dl5	t6dm1	t6dm2	t6dm3	t6dm4	t6dm5	t6dn1	t6dn2	t6dn3	t6dn4	t6dn5	t6do1	t6do2	t6do3	t6do4	t6do5	t6dp1	t6dp2	t6dp3	t6dp4	t6dp5	t6dq1	t6dq2	t6dq3	t6dq4	t6dq5	t6dr1	t6dr2	t6dr3	t6dr4	t6dr5	t6ds1	t6ds2	t6ds3	t6ds4	t6ds5	t6dt1	t6dt2	t6dt3	t6dt4	t6dt5	t6du1	t6du2	t6du3	t6du4	t6du5	t6dv1	t6dv2	t6dv3	t6dv4	t6dv5	t6dw1	t6dw2	t6dw3	t6dw4	t6dw5	t6dx1	t6dx2	t6dx3	t6dx4	t6dx5	t6dy1	t6dy2	t6dy3	t6dy4	t6dy5	t6dz1	t6dz2	t6dz3	t6dz4	t6dz5	t6fa1	t6fa2	t6fa3	t6fa4	t6fa5	t6fb1	t6fb2	t6fb3	t6fb4	t6fb5	t6fc1	t6fc2	t6fc3	t6fc4	t6fc5	t6fd1	t6fd2	t6fd3	t6fd4	t6fd5	t6fe1	t6fe2	t6fe3	t6fe4	t6fe5	t6ff1	t6ff2	t6ff3	t6ff4	t6ff5	t6fg1	t6fg2	t6fg3	t6fg4	t6fg5	t6fh1	t6fh2	t6fh3	t6fh4	t6fh5	t6fi1	t6fi2	t6fi3	t6fi4	t6fi5	t6fj1	t6fj2	t6fj3	t6fj4	t6fj5	t6fk1	t6fk2	t6fk3	t6fk4	t6fk5	t6fl1	t6fl2	t6fl3	t6fl4	t6fl5	t6fm1	t6fm2	t6fm3	t6fm4	t6fm5	t6fn1	t6fn2	t6fn3	t6fn4	t6fn5	t6fo1	t6fo2	t6fo3	t6fo4	t6fo5	t6fp1	t6fp2	t6fp3	t6fp4	t6fp5	t6fq1	t6fq2	t6fq3	t6fq4	t6fq5	t6fr1	t6fr2	t6fr3	t6fr4	t6fr5	t6fs1	t6fs2	t6fs3	t6fs4	t6fs5	t6ft1	t6ft2	t6ft3	t6ft4	t6ft5	t6fu1	t6fu2	t6fu3	t6fu4	t6fu5	t6fv1	t6fv2	t6fv3	t6fv4	t6fv5	t6fw1	t6fw2	t6fw3	t6fw4	t6fw5	t6fx1	t6fx2	t6fx3	t6fx4	t6fx5	t6fy1	t6fy2	t6fy3	t6fy4	t6fy5	t6fz1	t6fz2	t6fz3	t6fz4	t6fz5	t6ha1	t6ha2	t6ha3	t6ha4	t6ha5	t6hb1	t6hb2	t6hb3	t6hb4	t6hb5	t6hc1	t6hc2	t6hc3	t6hc4	t6hc5	t6hd1	t6hd2	t6hd3	t6hd4	t6hd5	t6he1	t6he2	t6he3	t6he4	t6he5	t6hf1	t6hf2	t6hf3	t6hf4	t6hf5	t6hg1	t6hg2	t6hg3	t6hg4	t6hg5	t6hh1	t6hh2	t6hh3	t6hh4	t6hh5	t6hi1	t6hi2	t6hi3	t6hi4	t6hi5	t6hj1	t6hj2	t6hj3	t6hj4	t6hj5	t6hk1	t6hk2	t6hk3	t6hk4	t6hk5	t6hl1	t6hl2	t6hl3	t6hl4	t6hl5	t6hm1	t6hm2	t6hm3	t6hm4	t6hm5	t6hn1	t6hn2	t6hn3	t6hn4	t6hn5	t6ho1 	t6ba1	t6ba2	t6ba3	t6ba4	t6ba5	t6bb1	t6bb2	t6bb3	t6bb4	t6bb5	t6bc1	t6bc2	t6bc3	t6bc4	t6bc5	t6bd1	t6bd2	t6bd3	t6bd4	t6bd5	t6be1	t6be2	t6be3	t6be4	t6be5	t6bf1	t6bf2	t6bf3	t6bf4	t6bf5	t6bg1	t6bg2	t6bg3	t6bg4	t6bg5	t6bh1	t6bh2	t6bh3	t6bh4	t6bh5	t6bi1	t6bi2	t6bi3	t6bi4	t6bi5	t6bj1	t6bj2	t6bj3	t6bj4	t6bj5	t6bk1	t6bk2	t6bk3	t6bk4	t6bk5	t6bl1	t6bl2	t6bl3	t6bl4	t6bl5	t6bm1	t6bm2	t6bm3	t6bm4	t6bm5	t6bn1	t6bn2	t6bn3	t6bn4	t6bn5	t6bo1	t6bo2	t6bo3	t6bo4	t6bo5	t6bp1	t6bp2	t6bp3	t6bp4	t6bp5	t6br1	t6br2	t6br3	t6br4	t6br5	t6bs1	t6bs2	t6bs3	t6bs4	t6bs5	t6bt1	t6bt2	t6bt3	t6bt4	t6bt5	t6bu1	t6bu2	t6bu3	t6bu4	t6bu5	t6bv1	t6bv2	t6bv3	t6bv4	t6bv5	t6bw1	t6bw2	t6bw3	t6bw4	t6bw5	t6bx1	t6bx2	t6bx3	t6bx4	t6bx5	t6by1	t6by2	t6by3	t6by4	t6by5	t6bz1	t6bz2	t6bz3	t6bz4	t6da1	t6da2	t6da3	t6da4	t6da5	t6db1	t6db2	t6db3	t6db4	t6db5	t6dc1	t6dc2	t6dc3	t6dc4	t6dc5	t6dd1	t6dd2	t6dd3	t6dd4	t6dd5	t6de1	t6de2	t6de3	t6de4	t6de5	t6df1	t6df2	t6df3	t6df4	t6df5	t6dg1	t6dg2	t6dg3	t6dg4	t6dg5	t6dh1	t6dh2 t7c2	t7c3	t7d1	t7d2	t7d3	t7e1	t7e2	t7e3	t7f1 t7f2	t7f3	t7g1	t7g2	t7g3	t7h1	t7h2	t7h3	t7i1	t7i2	t7i3	t7j1	t7j2	t7j3	t8a1	t8a2	t8a3	t8a4	t8b1	t8b2	t8b3	t8b4	t8c1	t8c2	t8c3	t8c4	t8d1	t8d2	t8d3	t8d4	t8e1	t8e2	t8e3	t8e4	v	vi	vii	viii, mv(
9=.r\
8=.l \
7=.n \
6=.d);

qui mvdecode t1a4	t1b4	t1c4	t1d4	t1e4	t1f4	t1g4	t1h4	t1i4	t1j4	t1k4	t1l4	t1m4	t1n4	t1o4	t1p4	t1q4	t1r4	t1s4, mv(
9=.r\
8=.l \
7=.n);

# d cr;


**************************************************
***  Identify outliers
**************************************************

mvdecode  dd	dm	dsno	dy	i	ii	iii	iv	sno	t1a1	t1a6	t1a7	t1b1	t1b5	t1b6	t1b7	t1c1	t1c5	t1c6	t1c7	t1d1	t1d5	t1d6	t1d7	t1e1	t1e5	t1e6	t1e7	t1f1	t1f5	t1f6	t1f7	t1g1	t1g5	t1g6	t1g7	t1h1	t1h5	t1h6	t1h7	t1i1	t1i5	t1i6	t1i7	t1j1	t1j5	t1j6	t1j7	t1k1	t1k5	t1k6	t1k7	t1l1	t1l5	t1l6	t1l7	t1m1	t1m5	t1m6	t1m7	t1n1	t1n5	t1n6	t1n7	t1o1	t1o5	t1o6	t1o7	t1p1	t1p5	t1p6	t1p7	t1q1	t1q5	t1q6	t1q7	t1r1	t1r5	t1r6	t1r7	t1s1	t1s5	t1s6	t1s7	t2a1	t2a2	t2a3	t2a4	t2a5	t2a6	t2b1	t2b2	t2b3	t2b4	t2b5	t2b6	t2c1	t2c2	t2c3	t2c4	t2c5	t2c6	t2d1	t2d2	t2d3	t2d4	t2d5	t2d6	t3a1	t3a2	t3a3	t3b1	t3b2	t3b3	t3c1	t3c2	t3c3	t3d1	t3d2	t3d3	t3e1	t3e2	t3e3	t3f1	t3f2	t3f3	t3g1	t3g2	t3g3	t3m1	t3m2	t3m3	t3m4	t3m5	t3m6	t4a1	t4a2	t4a3	t4b1	t4b2	t4b3	t4c1	t4c2	t4c3	t4d1	t4d2	t4d3	t4e1	t4e2	t4e3	t4f1	t4f2	t4f3	t4g1	t4g2	t4g3	t4h1	t4h2	t4h3	t4i1	t4i2	t4i3	t4j1	t4j2	t4j3	t4k1	t4k2	t4k3	t4l1	t4l2	t4l3	t4m1	t4m2	t4m3	t4m4	t4m5	t4m6	t5a1	t5a2	t5a3	t5a4	t5a5	t5a6	t5b1	t5b2	t5b3	t5b4	t5b5	t5b6	t5c1	t5c2	t5c3	t5c4	t5c5	t5c6	t5d1	t5d2	t5d3	t5d4	t5d5	t5d6	t5e1	t5e2	t5e3	t5e4	t5e5	t5e6	t6ho2	t6ho3	t6ho4	t6ho5	t6hp1	t6hp2	t6hp3	t6hp4	t6hp5	t6hr1	t6hr2	t6hr3	t6hr4	t6hr5	t6hs1	t6hs2	t6hs3	t6hs4	t6hs5	t6ht1	t6ht2	t6ht3	t6ht4	t6ht5	t6hu1	t6hu2	t6hu3	t6hu4	t6hu5	t6hv1	t6hv2	t6hv3	t6hv4	t6hv5	t6hw1	t6hw2	t6hw3	t6hw4	t6hw5	t6hx1	t6hx2	t6hx3	t6hx4	t6hx5	t6hy1	t6hy2	t6hy3	t6hy4	t6hy5	t6hz1	t6hz2	t6hz3	t6hz4	t6hz5	t6haa1	t6haa2	t6haa3	t6haa4	t6haa5	t6ja1	t6ja2	t6ja3	t6ja4	t6ja5	t6jb1	t6jb2	t6jb3	t6jb4	t6jb5	t6jc1	t6jc2	t6jc3	t6jc4	t6jc5	t6jd1	t6jd2	t6jd3	t6jd4	t6jd5	t6je1	t6je2	t6je3	t6je4	t6je5	t6jf1	t6jf2	t6jf3	t6jf4	t6jf5	t6jg1	t6jg2	t6jg3	t6jg4	t6jg5	t6jh1	t6jh2	t6jh3	t6jh4	t6jh5	t6ji1	t6ji2	t6ji3	t6ji4	t6ji5	t6jj1	t6jj2	t6jj3	t6jj4	t6jj5	t6jk1	t6jk2	t6jk3	t6jk4	t6jk5	t6jl1	t6jl2	t6jl3	t6jl4	t6jl5	t6jm1	t6jm2	t6jm3	t6jm4	t6jm5	t6jn1	t6jn2	t6jn3	t6jn4	t6jn5	t6jo1	t6jo2	t6jo3	t6jo4	t6jo5	t6jp1	t6jp2	t6jp3	t6jp4	t6jp5	t6jq1	t6jq2	t6jq3	t6jq4	t6jq5	t6jr1	t6jr2	t6jr3	t6jr4	t6jr5	t6js1	t6js2	t6js3	t6js4	t6js5	t6jt1	t6jt2	t6jt3	t6jt4	t6jt5	t6ju1	t6ju2	t6ju3	t6ju4	t6ju5	t6jv1	t6jv2	t6jv3	t6jv4	t6jv5	t6jw1	t6jw2	t6jw3	t6jw4	t6jw5	t6jx1	t6jx2	t6jx3	t6jx4	t6jx5	t6jy1	t6jy2	t6jy3	t6jy4	t6jy5	t6jz1	t6jz2	t6jz3	t6jz4	t6jz5	t6la1	t6la2	t6la3	t6la4	t6la5	t6lb1	t6lb2	t6lb3	t6lb4	t6lb5	t6lc1	t6lc2	t6lc3	t6lc4	t6lc5	t6ld1	t6ld2	t6ld3	t6ld4	t6ld5	t6le1	t6le2	t6le3	t6le4	t6le5	t6lf1	t6lf2	t6lf3	t6lf4	t6lf5	t6lg1	t6lg2	t6lg3	t6lg4	t6lg5	t6lh1	t6lh2	t6lh3	t6lh4	t6lh5	t6li1	t6li2	t6li3	t6li4	t6li5	t6lj1	t6lj2	t6lj3	t6lj4	t6lj5	t6lk1	t6lk2	t6lk3	t6lk4	t6lk5	t6ll1	t6ll2	t6ll3	t6ll4	t6ll5	t6lm1	t6lm2	t6lm3	t6lm4	t6lm5	t6ln1	t6ln2	t6ln3	t6ln4	t6ln5	t6lo1	t6lo2	t6lo3	t6lo4	t6lo5	t6lp1	t6lp2	t6lp3	t6lp4	t6lp5	t6lq1	t6lq2	t6lq3	t6lq4	t6lq5	t6lr1	t6lr2	t6lr3	t6lr4	t6lr5	t6ls1	t6ls2	t6ls3	t6ls4	t6ls5	t6lt1	t6lt2	t6lt3	t6lt4	t6lt5	t6lu1	t6lu2	t6lu3	t6lu4	t6lu5	t6lv1	t6lv2	t6lv3	t6lv4	t6lv5	t6lw1	t6lw2	t6lw3	t6lw4	t6lw5	t6lx1	t6lx2	t6lx3	t6lx4	t6lx5	t6ly1	t6ly2	t6ly3	t6ly4	t6ly5	t6lz1	t6lz2	t6lz3	t6lz4	t6lz5	t7a1	t7a2	t7a3	t7b1	t7b2	t7b3	t7c1	t7c2	t7c3	t7d1	t7d2	t7d3	t7e1	t7e2	t7e3	t7f1	t7f2	t7f3	t7g1	t7g2	t7g3	t7h1	t7h2	t7h3	t7i1	t7i2	t7i3	t7j1	t7j2	t7j3	t8a1	t8a2	t8a3	t8a4	t8b1	t8b2	t8b3	t8b4	t8c1	t8c2	t8c3	t8c4	t8d1	t8d2	t8d3	t8d4	t8e1	t8e2	t8e3	t8e4 	t6dh3	t6dh4	t6dh5	t6di1	t6di2	t6di3	t6di4	t6di5	t6dj1	t6dj2	t6dj3	t6dj4	t6dj5	t6dk1	t6dk2	t6dk3	t6dk4	t6dk5	t6dl1	t6dl2	t6dl3	t6dl4	t6dl5	t6dm1	t6dm2	t6dm3	t6dm4	t6dm5	t6dn1	t6dn2	t6dn3	t6dn4	t6dn5	t6do1	t6do2	t6do3	t6do4	t6do5	t6dp1	t6dp2	t6dp3	t6dp4	t6dp5	t6dq1	t6dq2	t6dq3	t6dq4	t6dq5	t6dr1	t6dr2	t6dr3	t6dr4	t6dr5	t6ds1	t6ds2	t6ds3	t6ds4	t6ds5	t6dt1	t6dt2	t6dt3	t6dt4	t6dt5	t6du1	t6du2	t6du3	t6du4	t6du5	t6dv1	t6dv2	t6dv3	t6dv4	t6dv5	t6dw1	t6dw2	t6dw3	t6dw4	t6dw5	t6dx1	t6dx2	t6dx3	t6dx4	t6dx5	t6dy1	t6dy2	t6dy3	t6dy4	t6dy5	t6dz1	t6dz2	t6dz3	t6dz4	t6dz5	t6fa1	t6fa2	t6fa3	t6fa4	t6fa5	t6fb1	t6fb2	t6fb3	t6fb4	t6fb5	t6fc1	t6fc2	t6fc3	t6fc4	t6fc5	t6fd1	t6fd2	t6fd3	t6fd4	t6fd5	t6fe1	t6fe2	t6fe3	t6fe4	t6fe5	t6ff1	t6ff2	t6ff3	t6ff4	t6ff5	t6fg1	t6fg2	t6fg3	t6fg4	t6fg5	t6fh1	t6fh2	t6fh3	t6fh4	t6fh5	t6fi1	t6fi2	t6fi3	t6fi4	t6fi5	t6fj1	t6fj2	t6fj3	t6fj4	t6fj5	t6fk1	t6fk2	t6fk3	t6fk4	t6fk5	t6fl1	t6fl2	t6fl3	t6fl4	t6fl5	t6fm1	t6fm2	t6fm3	t6fm4	t6fm5	t6fn1	t6fn2	t6fn3	t6fn4	t6fn5	t6fo1	t6fo2	t6fo3	t6fo4	t6fo5	t6fp1	t6fp2	t6fp3	t6fp4	t6fp5	t6fq1	t6fq2	t6fq3	t6fq4	t6fq5	t6fr1	t6fr2	t6fr3	t6fr4	t6fr5	t6fs1	t6fs2	t6fs3	t6fs4	t6fs5	t6ft1	t6ft2	t6ft3	t6ft4	t6ft5	t6fu1	t6fu2	t6fu3	t6fu4	t6fu5	t6fv1	t6fv2	t6fv3	t6fv4	t6fv5	t6fw1	t6fw2	t6fw3	t6fw4	t6fw5	t6fx1	t6fx2	t6fx3	t6fx4	t6fx5	t6fy1	t6fy2	t6fy3	t6fy4	t6fy5	t6fz1	t6fz2	t6fz3	t6fz4	t6fz5	t6ha1	t6ha2	t6ha3	t6ha4	t6ha5	t6hb1	t6hb2	t6hb3	t6hb4	t6hb5	t6hc1	t6hc2	t6hc3	t6hc4	t6hc5	t6hd1	t6hd2	t6hd3	t6hd4	t6hd5	t6he1	t6he2	t6he3	t6he4	t6he5	t6hf1	t6hf2	t6hf3	t6hf4	t6hf5	t6hg1	t6hg2	t6hg3	t6hg4	t6hg5	t6hh1	t6hh2	t6hh3	t6hh4	t6hh5	t6hi1	t6hi2	t6hi3	t6hi4	t6hi5	t6hj1	t6hj2	t6hj3	t6hj4	t6hj5	t6hk1	t6hk2	t6hk3	t6hk4	t6hk5	t6hl1	t6hl2	t6hl3	t6hl4	t6hl5	t6hm1	t6hm2	t6hm3	t6hm4	t6hm5	t6hn1	t6hn2	t6hn3	t6hn4	t6hn5	t6ho1 	t6ba1	t6ba2	t6ba3	t6ba4	t6ba5	t6bb1	t6bb2	t6bb3	t6bb4	t6bb5	t6bc1	t6bc2	t6bc3	t6bc4	t6bc5	t6bd1	t6bd2	t6bd3	t6bd4	t6bd5	t6be1	t6be2	t6be3	t6be4	t6be5	t6bf1	t6bf2	t6bf3	t6bf4	t6bf5	t6bg1	t6bg2	t6bg3	t6bg4	t6bg5	t6bh1	t6bh2	t6bh3	t6bh4	t6bh5	t6bi1	t6bi2	t6bi3	t6bi4	t6bi5	t6bj1	t6bj2	t6bj3	t6bj4	t6bj5	t6bk1	t6bk2	t6bk3	t6bk4	t6bk5	t6bl1	t6bl2	t6bl3	t6bl4	t6bl5	t6bm1	t6bm2	t6bm3	t6bm4	t6bm5	t6bn1	t6bn2	t6bn3	t6bn4	t6bn5	t6bo1	t6bo2	t6bo3	t6bo4	t6bo5	t6bp1	t6bp2	t6bp3	t6bp4	t6bp5	t6br1	t6br2	t6br3	t6br4	t6br5	t6bs1	t6bs2	t6bs3	t6bs4	t6bs5	t6bt1	t6bt2	t6bt3	t6bt4	t6bt5	t6bu1	t6bu2	t6bu3	t6bu4	t6bu5	t6bv1	t6bv2	t6bv3	t6bv4	t6bv5	t6bw1	t6bw2	t6bw3	t6bw4	t6bw5	t6bx1	t6bx2	t6bx3	t6bx4	t6bx5	t6by1	t6by2	t6by3	t6by4	t6by5	t6bz1	t6bz2	t6bz3	t6bz4	t6da1	t6da2	t6da3	t6da4	t6da5	t6db1	t6db2	t6db3	t6db4	t6db5	t6dc1	t6dc2	t6dc3	t6dc4	t6dc5	t6dd1	t6dd2	t6dd3	t6dd4	t6dd5	t6de1	t6de2	t6de3	t6de4	t6de5	t6df1	t6df2	t6df3	t6df4	t6df5	t6dg1	t6dg2	t6dg3	t6dg4	t6dg5	t6dh1	t6dh2 t7c2	t7c3	t7d1	t7d2	t7d3	t7e1	t7e2	t7e3	t7f1 t7f2	t7f3	t7g1	t7g2	t7g3	t7h1	t7h2	t7h3	t7i1	t7i2	t7i3	t7j1	t7j2	t7j3	t8a1	t8a2	t8a3	t8a4	t8b1	t8b2	t8b3	t8b4	t8c1	t8c2	t8c3	t8c4	t8d1	t8d2	t8d3	t8d4	t8e1	t8e2	t8e3	t8e4	v	vi	vii	viii, mv(0 = .z)
grubbs dd	sno	t1a7	t1b5	t1b7	t1c5	t1c7	t1d5	t1d7	t1e5	t1e7	t1f5	t1f7	t1g5	t1g7	t1h5	t1h7	t1i5	t1i7	t1j5	t1j7	t1k5	t1k7	t1l5	t1l7	t1m5	t1m7	t1n5	t1n7	t1o5	t1o7	t1p5	t1p7	t1q5	t1q7	t1r5	t1r7	t1s5	t1s7	t6hw5	t6hx5	t6hy5	t6hz5 t6haa5 t6ja5 t6jb5 t6jc4 t6jc5 t6jd4 t6jd5 t6je4 t6je5 t6jf4 t6jf5 t6jg4	t6jg5	t6jh4	t6jh5	t6ji4	t6ji5	t6jj4	t6jj5	t6jk4	t6jk5	t6jl4	t6jl5	t6jm4	t6jm5	t6jn4	t6jn5	t6jo4	t6jo5	t6jp4	t6jp5	t6jq4	t6jq5	t6jr4	t6jr5	t6js4	t6js5	t6jt4	t6jt5	t6ju4	t6ju5	t6jv4	t6jv5	t6jw4	t6jw5	t6jx4	t6jx5	t6jy4	t6jy5	t6jz4	t6jz5	t6la4	t6la5	t6lb4	t6lb5	t6lc4	t6lc5	t6ld4	t6ld5	t6le4	t6le5	t6lf4	t6lf5	t6lg4	t6lg5	t6lh4	t6lh5	t6li4	t6li5	t6lj4	t6lj5	t6lk4	t6lk5	t6ll4	t6ll5	t6lm4	t6lm5	t6ln4	t6ln5	t6lo4	t6lo5	t6lp4	t6lp5	t6lq4	t6lq5	t6lr4	t6lr5	t6ls4	t6ls5	t6lt4	t6lt5	t6lu4	t6lu5	t6lv4	t6lv5	t6lw4	t6lw5	t6lx4	t6lx5	t6ly4	t6ly5	t6lz4	t6lz5	t6dh4	t6dh5, level(99.99)
mvencode dd	dm	dsno	dy	i	ii	iii	iv	sno	t1a1	t1a6	t1a7	t1b1	t1b5	t1b6	t1b7	t1c1	t1c5	t1c6	t1c7	t1d1	t1d5	t1d6	t1d7	t1e1	t1e5	t1e6	t1e7	t1f1	t1f5	t1f6	t1f7	t1g1	t1g5	t1g6	t1g7	t1h1	t1h5	t1h6	t1h7	t1i1	t1i5	t1i6	t1i7	t1j1	t1j5	t1j6	t1j7	t1k1	t1k5	t1k6	t1k7	t1l1	t1l5	t1l6	t1l7	t1m1	t1m5	t1m6	t1m7	t1n1	t1n5	t1n6	t1n7	t1o1	t1o5	t1o6	t1o7	t1p1	t1p5	t1p6	t1p7	t1q1	t1q5	t1q6	t1q7	t1r1	t1r5	t1r6	t1r7	t1s1	t1s5	t1s6	t1s7	t2a1	t2a2	t2a3	t2a4	t2a5	t2a6	t2b1	t2b2	t2b3	t2b4	t2b5	t2b6	t2c1	t2c2	t2c3	t2c4	t2c5	t2c6	t2d1	t2d2	t2d3	t2d4	t2d5	t2d6	t3a1	t3a2	t3a3	t3b1	t3b2	t3b3	t3c1	t3c2	t3c3	t3d1	t3d2	t3d3	t3e1	t3e2	t3e3	t3f1	t3f2	t3f3	t3g1	t3g2	t3g3	t3m1	t3m2	t3m3	t3m4	t3m5	t3m6	t4a1	t4a2	t4a3	t4b1	t4b2	t4b3	t4c1	t4c2	t4c3	t4d1	t4d2	t4d3	t4e1	t4e2	t4e3	t4f1	t4f2	t4f3	t4g1	t4g2	t4g3	t4h1	t4h2	t4h3	t4i1	t4i2	t4i3	t4j1	t4j2	t4j3	t4k1	t4k2	t4k3	t4l1	t4l2	t4l3	t4m1	t4m2	t4m3	t4m4	t4m5	t4m6	t5a1	t5a2	t5a3	t5a4	t5a5	t5a6	t5b1	t5b2	t5b3	t5b4	t5b5	t5b6	t5c1	t5c2	t5c3	t5c4	t5c5	t5c6	t5d1	t5d2	t5d3	t5d4	t5d5	t5d6	t5e1	t5e2	t5e3	t5e4	t5e5	t5e6	t6ho2	t6ho3	t6ho4	t6ho5	t6hp1	t6hp2	t6hp3	t6hp4	t6hp5	t6hr1	t6hr2	t6hr3	t6hr4	t6hr5	t6hs1	t6hs2	t6hs3	t6hs4	t6hs5	t6ht1	t6ht2	t6ht3	t6ht4	t6ht5	t6hu1	t6hu2	t6hu3	t6hu4	t6hu5	t6hv1	t6hv2	t6hv3	t6hv4	t6hv5	t6hw1	t6hw2	t6hw3	t6hw4	t6hw5	t6hx1	t6hx2	t6hx3	t6hx4	t6hx5	t6hy1	t6hy2	t6hy3	t6hy4	t6hy5	t6hz1	t6hz2	t6hz3	t6hz4	t6hz5	t6haa1	t6haa2	t6haa3	t6haa4	t6haa5	t6ja1	t6ja2	t6ja3	t6ja4	t6ja5	t6jb1	t6jb2	t6jb3	t6jb4	t6jb5	t6jc1	t6jc2	t6jc3	t6jc4	t6jc5	t6jd1	t6jd2	t6jd3	t6jd4	t6jd5	t6je1	t6je2	t6je3	t6je4	t6je5	t6jf1	t6jf2	t6jf3	t6jf4	t6jf5	t6jg1	t6jg2	t6jg3	t6jg4	t6jg5	t6jh1	t6jh2	t6jh3	t6jh4	t6jh5	t6ji1	t6ji2	t6ji3	t6ji4	t6ji5	t6jj1	t6jj2	t6jj3	t6jj4	t6jj5	t6jk1	t6jk2	t6jk3	t6jk4	t6jk5	t6jl1	t6jl2	t6jl3	t6jl4	t6jl5	t6jm1	t6jm2	t6jm3	t6jm4	t6jm5	t6jn1	t6jn2	t6jn3	t6jn4	t6jn5	t6jo1	t6jo2	t6jo3	t6jo4	t6jo5	t6jp1	t6jp2	t6jp3	t6jp4	t6jp5	t6jq1	t6jq2	t6jq3	t6jq4	t6jq5	t6jr1	t6jr2	t6jr3	t6jr4	t6jr5	t6js1	t6js2	t6js3	t6js4	t6js5	t6jt1	t6jt2	t6jt3	t6jt4	t6jt5	t6ju1	t6ju2	t6ju3	t6ju4	t6ju5	t6jv1	t6jv2	t6jv3	t6jv4	t6jv5	t6jw1	t6jw2	t6jw3	t6jw4	t6jw5	t6jx1	t6jx2	t6jx3	t6jx4	t6jx5	t6jy1	t6jy2	t6jy3	t6jy4	t6jy5	t6jz1	t6jz2	t6jz3	t6jz4	t6jz5	t6la1	t6la2	t6la3	t6la4	t6la5	t6lb1	t6lb2	t6lb3	t6lb4	t6lb5	t6lc1	t6lc2	t6lc3	t6lc4	t6lc5	t6ld1	t6ld2	t6ld3	t6ld4	t6ld5	t6le1	t6le2	t6le3	t6le4	t6le5	t6lf1	t6lf2	t6lf3	t6lf4	t6lf5	t6lg1	t6lg2	t6lg3	t6lg4	t6lg5	t6lh1	t6lh2	t6lh3	t6lh4	t6lh5	t6li1	t6li2	t6li3	t6li4	t6li5	t6lj1	t6lj2	t6lj3	t6lj4	t6lj5	t6lk1	t6lk2	t6lk3	t6lk4	t6lk5	t6ll1	t6ll2	t6ll3	t6ll4	t6ll5	t6lm1	t6lm2	t6lm3	t6lm4	t6lm5	t6ln1	t6ln2	t6ln3	t6ln4	t6ln5	t6lo1	t6lo2	t6lo3	t6lo4	t6lo5	t6lp1	t6lp2	t6lp3	t6lp4	t6lp5	t6lq1	t6lq2	t6lq3	t6lq4	t6lq5	t6lr1	t6lr2	t6lr3	t6lr4	t6lr5	t6ls1	t6ls2	t6ls3	t6ls4	t6ls5	t6lt1	t6lt2	t6lt3	t6lt4	t6lt5	t6lu1	t6lu2	t6lu3	t6lu4	t6lu5	t6lv1	t6lv2	t6lv3	t6lv4	t6lv5	t6lw1	t6lw2	t6lw3	t6lw4	t6lw5	t6lx1	t6lx2	t6lx3	t6lx4	t6lx5	t6ly1	t6ly2	t6ly3	t6ly4	t6ly5	t6lz1	t6lz2	t6lz3	t6lz4	t6lz5	t7a1	t7a2	t7a3	t7b1	t7b2	t7b3	t7c1	t7c2	t7c3	t7d1	t7d2	t7d3	t7e1	t7e2	t7e3	t7f1	t7f2	t7f3	t7g1	t7g2	t7g3	t7h1	t7h2	t7h3	t7i1	t7i2	t7i3	t7j1	t7j2	t7j3	t8a1	t8a2	t8a3	t8a4	t8b1	t8b2	t8b3	t8b4	t8c1	t8c2	t8c3	t8c4	t8d1	t8d2	t8d3	t8d4	t8e1	t8e2	t8e3	t8e4 	t6dh3	t6dh4	t6dh5	t6di1	t6di2	t6di3	t6di4	t6di5	t6dj1	t6dj2	t6dj3	t6dj4	t6dj5	t6dk1	t6dk2	t6dk3	t6dk4	t6dk5	t6dl1	t6dl2	t6dl3	t6dl4	t6dl5	t6dm1	t6dm2	t6dm3	t6dm4	t6dm5	t6dn1	t6dn2	t6dn3	t6dn4	t6dn5	t6do1	t6do2	t6do3	t6do4	t6do5	t6dp1	t6dp2	t6dp3	t6dp4	t6dp5	t6dq1	t6dq2	t6dq3	t6dq4	t6dq5	t6dr1	t6dr2	t6dr3	t6dr4	t6dr5	t6ds1	t6ds2	t6ds3	t6ds4	t6ds5	t6dt1	t6dt2	t6dt3	t6dt4	t6dt5	t6du1	t6du2	t6du3	t6du4	t6du5	t6dv1	t6dv2	t6dv3	t6dv4	t6dv5	t6dw1	t6dw2	t6dw3	t6dw4	t6dw5	t6dx1	t6dx2	t6dx3	t6dx4	t6dx5	t6dy1	t6dy2	t6dy3	t6dy4	t6dy5	t6dz1	t6dz2	t6dz3	t6dz4	t6dz5	t6fa1	t6fa2	t6fa3	t6fa4	t6fa5	t6fb1	t6fb2	t6fb3	t6fb4	t6fb5	t6fc1	t6fc2	t6fc3	t6fc4	t6fc5	t6fd1	t6fd2	t6fd3	t6fd4	t6fd5	t6fe1	t6fe2	t6fe3	t6fe4	t6fe5	t6ff1	t6ff2	t6ff3	t6ff4	t6ff5	t6fg1	t6fg2	t6fg3	t6fg4	t6fg5	t6fh1	t6fh2	t6fh3	t6fh4	t6fh5	t6fi1	t6fi2	t6fi3	t6fi4	t6fi5	t6fj1	t6fj2	t6fj3	t6fj4	t6fj5	t6fk1	t6fk2	t6fk3	t6fk4	t6fk5	t6fl1	t6fl2	t6fl3	t6fl4	t6fl5	t6fm1	t6fm2	t6fm3	t6fm4	t6fm5	t6fn1	t6fn2	t6fn3	t6fn4	t6fn5	t6fo1	t6fo2	t6fo3	t6fo4	t6fo5	t6fp1	t6fp2	t6fp3	t6fp4	t6fp5	t6fq1	t6fq2	t6fq3	t6fq4	t6fq5	t6fr1	t6fr2	t6fr3	t6fr4	t6fr5	t6fs1	t6fs2	t6fs3	t6fs4	t6fs5	t6ft1	t6ft2	t6ft3	t6ft4	t6ft5	t6fu1	t6fu2	t6fu3	t6fu4	t6fu5	t6fv1	t6fv2	t6fv3	t6fv4	t6fv5	t6fw1	t6fw2	t6fw3	t6fw4	t6fw5	t6fx1	t6fx2	t6fx3	t6fx4	t6fx5	t6fy1	t6fy2	t6fy3	t6fy4	t6fy5	t6fz1	t6fz2	t6fz3	t6fz4	t6fz5	t6ha1	t6ha2	t6ha3	t6ha4	t6ha5	t6hb1	t6hb2	t6hb3	t6hb4	t6hb5	t6hc1	t6hc2	t6hc3	t6hc4	t6hc5	t6hd1	t6hd2	t6hd3	t6hd4	t6hd5	t6he1	t6he2	t6he3	t6he4	t6he5	t6hf1	t6hf2	t6hf3	t6hf4	t6hf5	t6hg1	t6hg2	t6hg3	t6hg4	t6hg5	t6hh1	t6hh2	t6hh3	t6hh4	t6hh5	t6hi1	t6hi2	t6hi3	t6hi4	t6hi5	t6hj1	t6hj2	t6hj3	t6hj4	t6hj5	t6hk1	t6hk2	t6hk3	t6hk4	t6hk5	t6hl1	t6hl2	t6hl3	t6hl4	t6hl5	t6hm1	t6hm2	t6hm3	t6hm4	t6hm5	t6hn1	t6hn2	t6hn3	t6hn4	t6hn5	t6ho1 	t6ba1	t6ba2	t6ba3	t6ba4	t6ba5	t6bb1	t6bb2	t6bb3	t6bb4	t6bb5	t6bc1	t6bc2	t6bc3	t6bc4	t6bc5	t6bd1	t6bd2	t6bd3	t6bd4	t6bd5	t6be1	t6be2	t6be3	t6be4	t6be5	t6bf1	t6bf2	t6bf3	t6bf4	t6bf5	t6bg1	t6bg2	t6bg3	t6bg4	t6bg5	t6bh1	t6bh2	t6bh3	t6bh4	t6bh5	t6bi1	t6bi2	t6bi3	t6bi4	t6bi5	t6bj1	t6bj2	t6bj3	t6bj4	t6bj5	t6bk1	t6bk2	t6bk3	t6bk4	t6bk5	t6bl1	t6bl2	t6bl3	t6bl4	t6bl5	t6bm1	t6bm2	t6bm3	t6bm4	t6bm5	t6bn1	t6bn2	t6bn3	t6bn4	t6bn5	t6bo1	t6bo2	t6bo3	t6bo4	t6bo5	t6bp1	t6bp2	t6bp3	t6bp4	t6bp5	t6br1	t6br2	t6br3	t6br4	t6br5	t6bs1	t6bs2	t6bs3	t6bs4	t6bs5	t6bt1	t6bt2	t6bt3	t6bt4	t6bt5	t6bu1	t6bu2	t6bu3	t6bu4	t6bu5	t6bv1	t6bv2	t6bv3	t6bv4	t6bv5	t6bw1	t6bw2	t6bw3	t6bw4	t6bw5	t6bx1	t6bx2	t6bx3	t6bx4	t6bx5	t6by1	t6by2	t6by3	t6by4	t6by5	t6bz1	t6bz2	t6bz3	t6bz4	t6da1	t6da2	t6da3	t6da4	t6da5	t6db1	t6db2	t6db3	t6db4	t6db5	t6dc1	t6dc2	t6dc3	t6dc4	t6dc5	t6dd1	t6dd2	t6dd3	t6dd4	t6dd5	t6de1	t6de2	t6de3	t6de4	t6de5	t6df1	t6df2	t6df3	t6df4	t6df5	t6dg1	t6dg2	t6dg3	t6dg4	t6dg5	t6dh1	t6dh2 t7c2	t7c3	t7d1	t7d2	t7d3	t7e1	t7e2	t7e3	t7f1 t7f2	t7f3	t7g1	t7g2	t7g3	t7h1	t7h2	t7h3	t7i1	t7i2	t7i3	t7j1	t7j2	t7j3	t8a1	t8a2	t8a3	t8a4	t8b1	t8b2	t8b3	t8b4	t8c1	t8c2	t8c3	t8c4	t8d1	t8d2	t8d3	t8d4	t8e1	t8e2	t8e3	t8e4	v	vi	vii	viii, mv(.z = 0)
**************************************************
***  Cleaning errors
**************************************************
drop if sno==144
drop if sno==1014
drop if sno==1002
drop if sno==51
drop if sno==106
replace 	t1d7	 =	.	if sno== 	48
replace 	t1g2	 =	.	if sno== 	83
replace 	t1g5	 =	.	if sno== 	5
replace 	t1g5	 =	.	if sno== 	.l
replace 	t6do4	 =	.	if sno== 	31
replace 	t6fc5	 =	.	if sno== 	1060
replace 	t6fd5	 =	.	if sno== 	1089
replace 	t6he4	 =	.	if sno== 	85
replace 	t6he5	 =	.	if sno== 	85
replace 	t6hg4	 =	.	if sno== 	117
replace 	t6hg5	 =	.	if sno== 	117

replace 	t1a4	 =	.	if sno== 	-888
replace 	t1b5	 =	.	if sno== 	15
replace 	t1b4	 =	.	if sno== 	10
replace 	t1b4	 =	.	if sno== 	102
replace 	t1b4	 =	.	if sno== 	1018
replace 	t1b4	 =	.	if sno== 	1023
replace 	t1c4	 =	.	if sno== 	117
replace 	t1c4	 =	.	if sno== 	117


**************************************************
*** Identify errors to be reviewed
**************************************************
cd "Source\Uganda 2000 Q H\Data\4.3. Clean Data\4.3.3. Data Code Book"
log using "facilitydatasheets codebook errors ", replace
codebook grubbs_*, compact
log close
drop grubbs*


* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)



