****************************
* File: facilityexitpoll.do 
* Questionnaire type: Facility Patient Exit Poll Questionnaire
* Country: Uganda 2000
*****************************

version 10.1

cd "Source\Uganda 2000 Q H\Data\4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "facilityexitpoll.dta"

**************************************************
***  Ensure all variables are present and labeled
**************************************************
label variable	 	sno	 	"	sno	"
label variable	 	qno	 	"	qno	"
label variable	 	dd	 	"	dd	"
label variable	 	dm	 	"	dm	"
label variable	 	dy	 	"	dy	"
label variable	 	tis	 	"	tis	"
label variable	 	tie	 	"	tie	"
label variable	 	name	 	"	name	"
label variable	 	region	 	"	region	"
label variable	 	dist	 	"	dist	"
label variable	 	muni	 	"	muni	"
label variable	 	subc	 	"	subc	"
label variable	 	parish	 	"	parish	"
label variable	 	village	 	"	village	"
label variable	 	pa1	 	"	pa1	"
label variable	 	pa2	 	"	pa2	"
label variable	 	q1a	 	"	q1a	"
label variable	 	q1b	 	"	q1b	"
label variable	 	q1c	 	"	q1c	"
label variable	 	q1d	 	"	q1d	"
label variable	 	q1e	 	"	q1e	"
label variable	 	q1f	 	"	q1f	"
label variable	 	q1g	 	"	q1g	"
label variable	 	q1h	 	"	q1h	"
label variable	 	q2	 	"	q2	"
label variable	 	q3	 	"	q3	"
label variable	 	q4	 	"	q4	"
label variable	 	q5	 	"	q5	"
label variable	 	q6a	 	"	q6a	"
label variable	 	q6b	 	"	q6b	"
label variable	 	q6c	 	"	q6c	"
label variable	 	q6d	 	"	q6d	"
label variable	 	q6e	 	"	q6e	"
label variable	 	q6f	 	"	q6f	"
label variable	 	q6g	 	"	q6g	"
label variable	 	q6h	 	"	q6h	"
label variable	 	q7	 	"	q7	"
label variable	 	q8	 	"	q8	"
label variable	 	q9a	 	"	q9a	"
label variable	 	q9b	 	"	q9b	"
label variable	 	q9c	 	"	q9c	"
label variable	 	q9d	 	"	q9d	"
label variable	 	q9e	 	"	q9e	"
label variable	 	q10	 	"	q10	"
label variable	 	q11	 	"	q11	"
label variable	 	q12	 	"	q12	"
label variable	 	q13a	 	"	q13a	"
label variable	 	q13b	 	"	q13b	"
label variable	 	q13c	 	"	q13c	"
label variable	 	q13d	 	"	q13d	"
label variable	 	q13e	 	"	q13e	"
label variable	 	q14	 	"	q14	"
label variable	 	q15a	 	"	q15a	"
label variable	 	q15b	 	"	q15b	"
label variable	 	uid	 	"	uid	"

label define yesno 1 "yes"
label define yesno 2 "no", add

foreach vvv of varlist q1a	q1b	q1c	q1d	q1e	q1f	q1g	q2	q5	q6a	q6b	q6c	q6d	q6e	q6f	q6g	q7	q9a	q9b	q9c	q9d	q10	q11	q13a	q13b	q13c	q13d	 {
replace `vvv' ="1" if `vvv'== "yes"
replace `vvv' ="2" if `vvv'== "no"
}

destring q1a	q1b	q1c	q1d	q1e	q1f	q1g	q2	q5	q6a	q6b	q6c	q6d	q6e	q6f	q6g	q7	q9a	q9b	q9c	q9d	q10	q11	q13a	q13b	q13c	q13d	pa2	village	name	pa1	q6h	region	dist, ignore ()  replace

label values q1a q1b q1c q1d q1e q1f q1g q2 q5 q6a q6b q6c q6d q6e q6f q6g q7 q9a q9b q9c q9d q9e q10 q11 q13a q13b q13c q13d q13e q14 q15a q15b yesno


**************************************************
*** Recode missing values
***************************************************

*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);

qui mvdecode sno  qno  	dd  	dm  	dy  	tis  	tie  	name  region  dist  muni  subc  parish  	village  pa1  pa2 q1a  	q1b  	q1c  	q1d  	q1e  	q1f  	q1g  	q1h  	q2  	q3  	q4  	q5  	q6a  	q6b  	q6c  	q6d  	q6e  	q6f  	q6g  	q6h  	q7  	q8  	q9a  	q9b  	q9c  	q9d  	q9e  	q10  	q11  	q12  	q13a  q13b  q13c  q13d  q13e  q14  	q15a  q15b, mv(
9=.r\
8=.l \
7=.n \
6=.d);

# d cr;

**************************************************
***  Identify skip patterns
**************************************************

* Recode missing values to Stata missing values, for tests and data inspection.
quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -999 = .r) 

* Implement Questionnaire Consistency Tests. Each of these tests resolves to 1 if there is an error.
*Correcting error01 and error02
replace  q3 = . if uid==65 | uid==963 | uid==130 | uid==5 | uid==344 | uid==405 | uid==911 | uid==778
replace q4 = . if uid==1315 |uid==1363 |uid==1267 | uid==65 | uid==963 | uid==130 | uid==5 | uid==344 | uid==405  | uid==911 | uid==1264 | uid==778 
replace q2 = 1 if uid==1460 
replace q2 = 1 if uid==1348
replace q6c = . if uid==1002
replace q3 =. if q3== 99
replace q4 =. if q4== 99
*Correcting error03 and error04

replace q7 = . if uid==1272
replace q12 = . if uid==1066 |uid==1050 |uid==1312 |uid==1363 |uid==1315 |uid==889 |uid==.b |uid==397|uid==274 |uid==226 |uid==208 |uid==199 |uid==191 | uid==188| uid==183 |uid==179 |uid==145 |uid==143 |uid==137 |uid==57 |uid==54 |uid==53 |uid==.l
gen error01 = (q2 == 2 &  ( q3 < . | q4 < . ))
gen error02 = (q5 == 2 &  ( q6a < . | q6b < . | q6c < . | q6d < . | q6e < . | q6f < . | q6g < . | q7 < . | q8 < .))
gen error03 = (q7 == 2 &  q8 < .  )
gen error04 = (q11 == 2 & q12 < . )



**************************************************
***  Identify outliers
**************************************************

mvdecode  sno  qno  	dd  	dm  	dy  	tis  	tie  	name  region  dist  muni  subc  parish  	village  pa1  pa2 q1a  	q1b  	q1c  	q1d  	q1e  	q1f  	q1g  	q1h  	q2  	q3  	q4  	q5  	q6a  	q6b  	q6c  	q6d  	q6e  	q6f  	q6g  	q6h  	q7  	q8  	q9a  	q9b  	q9c  	q9d  	q9e  	q10  	q11  	q12  	q13a  q13b  q13c  q13d  q13e  q14  	q15a  q15b, mv(0 = .z)
grubbs sno qno dd  dm dy q1a  q1b q1c q1d  q1e 	q1f  	q1g q2 q3 q4 q5  q6a  q6b  q6c q6d q6e  q6f q6g q7 q8 q9a  	q9b  	q9c  	q9d  	q9e  	q10  	q11  	q12  	q13a  q13b  q13c  q13d  q13e  q14  	q15a  q15b, level(99.99)
mvencode sno  qno dd dm dy tis tie 	name  region  dist  muni  subc  parish  	village  pa1  pa2 q1a  	q1b  	q1c  	q1d  	q1e  	q1f  	q1g  	q1h  	q2  	q3  	q4  	q5  	q6a  	q6b  	q6c  	q6d  	q6e  	q6f  	q6g  	q6h  	q7  	q8  	q9a  	q9b  	q9c  	q9d  	q9e  	q10  	q11  	q12  	q13a  q13b  q13c  q13d  q13e  q14  	q15a  q15b, mv(.z = 0)

**************************************************
*** Identify errors to be reviewed
**************************************************
cd "Source\Uganda 2000 Q H\Data\4.3. Clean Data\4.3.3. Data Code Book"
log using "facilityexitpoll codebook errors ", replace
codebook error* grubbs*, compact
log close
drop  error* 
drop grubbs*

* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)
