****************************
* File: healthfacilitysurvey.do 
* Questionnaire type: Health Facilty Survey Questionnaire
* Country: Uganda 2000
*****************************

version 10.1
cd "Source\Uganda 2000 Q H\Data\4.1. Data"
capture clear
capture log close
clear
set mem 700m
set more off
use "healthfacilitysurvey.dta"

**************************************************
***  Ensure all variables are present and labeled
**************************************************

label 	variable 	 	sno	"sample number"	
label 	variable 	 	dd	"day of interview"	
label 	variable 	 	dm	"months of interview"	
label 	variable 	 	dy	"year of interview"	
label 	variable 	 	ti	"time at interview start"	
label 	variable 	 	te	"time at end of interview "	
label 	variable 	 	q1	"incharge"	
label 	variable 	 	q2	"job title"	
label 	variable 	 	q2a1	"other job title"	
label 	variable 	 	q3	"years in charge"	
label 	variable 	 	q5	"gender"	
label 	variable 	 	q6	"name of facility"	
label 	variable 	 	q7a	"region"	
label 	variable 	 	q7b	"district"	
label 	variable 	 	q7c	"municipality/county"	
label 	variable 	 	q7d	"subcounty"	
label 	variable 	 	q7e	"parish"	
label 	variable 	 	q7f	"village"	
label 	variable 	 	q8a	"address"	
label 	variable 	 	q8b	"address"	
label 	variable 	 	q8c	"address"	
label 	variable 	 	q9	"dispensary/dmu"	
label 	variable 	 	q10	"level"	
label 	variable 	 	q10a1	"other levels"	
label 	variable 	 	q11	"owner"	
label 	variable 	 	q11a1	"other ngo owner"	
label 	variable 	 	q11a2	"other ngo owner"	
label 	variable 	 	q12	"year established"	
label 	variable 	 	q13	"renovated"	
label 	variable 	 	q14	"year renovated"	
label 	variable 	 	q15	"financier"	
label 	variable 	 	q15a1	"other financier"	
label 	variable 	 	q16a1	"weekdays open"	
label 	variable 	 	q16a2	"weekdays break lunch"	
label 	variable 	 	q16a3	"weekdays open lunch"	
label 	variable 	 	q16a4	"weekdays close"	
label 	variable 	 	q16b1	"saturdays open"	
label 	variable 	 	q16b2	"saturdays break lunch"	
label 	variable 	 	q16b3	"saturdays open lunch"	
label 	variable 	 	q16b4	"saturdays close"	
label 	variable 	 	q16c1	"sundays open"	
label 	variable 	 	q16c2	"sundays break lunch"	
label 	variable 	 	q16c3	"sundays open lunch"	
label 	variable 	 	q16c4	"sundays close"	
label 	variable 	 	q17	"emergency open"	
label 	variable 	 	q18a	"problem 1"	
label 	variable 	 	q18b	"problem 2"	
label 	variable 	 	q18c	"problem 3"	
label 	variable 	 	q19	"population"	
label 	variable 	 	q20	"other facilities"	
label 	variable 	 	q21a1	"aide posts-total"	
label 	variable 	 	q21a2	"aide posts-gou"	
label 	variable 	 	q21a3	"aide posts-private"	
label 	variable 	 	q21a4	"aide posts-ngo"	
label 	variable 	 	q21a5	"aide posts-distance"	
label 	variable 	 	q21a6	"aide posts-owner"	
label 	variable 	 	q21b1	"dispensary -total"	
label 	variable 	 	q21b2	"dispensary -gou"	
label 	variable 	 	q21b3	"dispensary -private"	
label 	variable 	 	q21b4	"dispensary -ngo"	
label 	variable 	 	q21b5	"dispensary -distance"	
label 	variable 	 	q21b6	"dispensary -owner"	
label 	variable 	 	q21c1	"health centre -total"	
label 	variable 	 	q21c2	"health centre -gou"	
label 	variable 	 	q21c3	"health centre -private"	
label 	variable 	 	q21c4	"health centre -ngo"	
label 	variable 	 	q21c5	"health centre -distance"	
label 	variable 	 	q21c6	"health centre -owner"	
label 	variable 	 	q21d1	"clinics -total"	
label 	variable 	 	q21d2	"clinics -gou"	
label 	variable 	 	q21d3	"clinics -private"	
label 	variable 	 	q21d4	"clinics -ngo"	
label 	variable 	 	q21d5	"clinics -distance"	
label 	variable 	 	q21d6	"clinics -owner"	
label 	variable 	 	q21e1	"drug shop-total"	
label 	variable 	 	q21e2	"drug shop-gou"	
label 	variable 	 	q21e3	"drug shop-private"	
label 	variable 	 	q21e4	"drug shop-ngo"	
label 	variable 	 	q21e5	"drug shop-distance"	
label 	variable 	 	q21e6	"drug shop-owner"	
label 	variable 	 	q21f1	"tba-total"	
label 	variable 	 	q21f2	"tba-gou"	
label 	variable 	 	q21f3	"tba-private"	
label 	variable 	 	q21f4	"tba-ngo"	
label 	variable 	 	q21f5	"tba-distance"	
label 	variable 	 	q21f6	"tba-owner"	
label 	variable 	 	q22a	"facility"	
label 	variable 	 	q22b	"municipality"	
label 	variable 	 	q22c	"sub-county"	
label 	variable 	 	q22d	"parish"	
label 	variable 	 	q22e	"village"	
label 	variable 	 	q23	"water"	
label 	variable 	 	q23a1	"other water source"	
label 	variable 	 	q24	"telephone"	
label 	variable 	 	q25	"telephone number"	
label 	variable 	 	q26	"read papers"	
label 	variable 	 	q27	"news"	
label 	variable 	 	q28	"dispose"	
label 	variable 	 	q28a1	"other dispose"	
label 	variable 	 	q29a	"distance"	
label 	variable 	 	q29b	"distance"	
label 	variable 	 	q29c	"distance"	
label 	variable 	 	q29d	"distance"	
label 	variable 	 	q29e	"distance"	
label 	variable 	 	q29f	"distance"	
label 	variable 	 	q29g	"distance"	
label 	variable 	 	q29h	"distance"	
label 	variable 	 	q30	"humc"	
label 	variable 	 	q31men	"gender humc"	
label 	variable 	 	q31wom	"gender humc"	
label 	variable 	 	q32	"times humc meet"	
label 	variable 	 	q33a	"issues dealt humc"	
label 	variable 	 	q33b	"issues dealt humc"	
label 	variable 	 	q33c	"issues dealt humc"	
label 	variable 	 	q33d	"issues dealt humc"	
label 	variable 	 	q33e	"issues dealt humc"	
label 	variable 	 	q33f	"issues dealt humc"	
label 	variable 	 	q33g	"issues dealt humc"	
label 	variable 	 	q33h	"issues dealt humc"	
label 	variable 	 	q33i	"issues dealt humc"	
label 	variable 	 	q33j	"issues dealt humc"	
label 	variable 	 	q34a	"membership of humc"	
label 	variable 	 	q34b	"membership of humc"	
label 	variable 	 	q34c	"membership of humc"	
label 	variable 	 	q34d	"membership of humc"	
label 	variable 	 	q34e	"membership of humc"	
label 	variable 	 	q34f	"membership of humc"	
label 	variable 	 	q34g	"membership of humc"	
label 	variable 	 	q34h	"membership of humc"	
label 	variable 	 	q35	"humc use facility"	
label 	variable 	 	q36a	"representation on humc"	
label 	variable 	 	q36b	"representation on humc"	
label 	variable 	 	q36c	"representation on humc"	
label 	variable 	 	q36d	"representation on humc"	
label 	variable 	 	q36e	"representation on humc"	
label 	variable 	 	q36f	"representation on humc"	
label 	variable 	 	q36g	"representation on humc"	
label 	variable 	 	q36h	"representation on humc"	
label 	variable 	 	q36i	"representation on humc"	
label 	variable 	 	q36j	"representation on humc"	
label 	variable 	 	q36k	"representation on humc"	
label 	variable 	 	q36l	"representation on humc"	
label 	variable 	 	q36m	"representation on humc"	
label 	variable 	 	q36n	"representation on humc"	
label 	variable 	 	q37	"do outreach"	
label 	variable 	 	q38	"locations outreach"	
label 	variable 	 	q38aln	"location name"	
label 	variable 	 	q38a1	"times"	
label 	variable 	 	q38a2	"staff outreach"	
label 	variable 	 	q38bln	"location name"	
label 	variable 	 	q38b1	"times"	
label 	variable 	 	q38b2	"staff outreach"	
label 	variable 	 	q38cln	"location name"	
label 	variable 	 	q38c1	"times"	
label 	variable 	 	q38c2	"staff outreach"	
label 	variable 	 	q38dln	"location name"	
label 	variable 	 	q38d1	"times"	
label 	variable 	 	q38d2	"staff outreach"	
label 	variable 	 	q38eln	"location name"	
label 	variable 	 	q38e1	"times"	
label 	variable 	 	q38e2	"staff outreach"	
label 	variable 	 	q38fln	"location name"	
label 	variable 	 	q38f1	"times"	
label 	variable 	 	q38f2	"staff outreach"	
label 	variable 	 	q38gln	"location name"	
label 	variable 	 	q38g1	"times"	
label 	variable 	 	q38g2	"staff outreach"	
label 	variable 	 	q39a	"staff in outreach"	
label 	variable 	 	q39b	"staff in outreach"	
label 	variable 	 	q39c	"staff in outreach"	
label 	variable 	 	q39d	"staff in outreach"	
label 	variable 	 	q39e	"staff in outreach"	
label 	variable 	 	q39f	"staff in outreach"	
label 	variable 	 	q39g	"staff in outreach"	
label 	variable 	 	q39h	"staff in outreach"	
label 	variable 	 	q39i	"staff in outreach"	
label 	variable 	 	q39j	"staff in outreach"	
label 	variable 	 	q39k	"staff in outreach"	
label 	variable 	 	q40a1	"outpatient care"	
label 	variable 	 	q40a2	"outpatient care"	
label 	variable 	 	q40a3	"outpatient care"	
label 	variable 	 	q40a4	"outpatient care"	
label 	variable 	 	q40a5	"outpatient care"	
label 	variable 	 	q40a6	"outpatient care"	
label 	variable 	 	q40a7	"outpatient care"	
label 	variable 	 	q40a8	"outpatient care"	
label 	variable 	 	q40a9	"outpatient care"	
label 	variable 	 	q40b1	"inpatient care"	
label 	variable 	 	q40b2	"inpatient care"	
label 	variable 	 	q40b3	"inpatient care"	
label 	variable 	 	q40b4	"inpatient care"	
label 	variable 	 	q40b5	"inpatient care"	
label 	variable 	 	q40b6	"inpatient care"	
label 	variable 	 	q40b7	"inpatient care"	
label 	variable 	 	q40b8	"inpatient care"	
label 	variable 	 	q40b9	"inpatient care"	
label 	variable 	 	q40c11	"health educ"	
label 	variable 	 	q40c12	"health educ"	
label 	variable 	 	q40c13	"health educ"	
label 	variable 	 	q40c14	"health educ"	
label 	variable 	 	q40c15	"health educ"	
label 	variable 	 	q40c16	"health educ"	
label 	variable 	 	q40c17	"health educ"	
label 	variable 	 	q40c18	"health educ"	
label 	variable 	 	q40c19	"health educ"	
label 	variable 	 	q40c21	"immunisation"	
label 	variable 	 	q40c22	"immunisation"	
label 	variable 	 	q40c23	"immunisation"	
label 	variable 	 	q40c24	"immunisation"	
label 	variable 	 	q40c25	"immunisation"	
label 	variable 	 	q40c26	"immunisation"	
label 	variable 	 	q40c27	"immunisation"	
label 	variable 	 	q40c28	"immunisation"	
label 	variable 	 	q40c29	"immunisation"	
label 	variable 	 	q40c31	"antenatal care"	
label 	variable 	 	q40c32	"antenatal care"	
label 	variable 	 	q40c33	"antenatal care"	
label 	variable 	 	q40c34	"antenatal care"	
label 	variable 	 	q40c35	"antenatal care"	
label 	variable 	 	q40c36	"antenatal care"	
label 	variable 	 	q40c37	"antenatal care"	
label 	variable 	 	q40c38	"antenatal care"	
label 	variable 	 	q40c39	"antenatal care"	
label 	variable 	 	q40c41	"family planning"	
label 	variable 	 	q40c42	"family planning"	
label 	variable 	 	q40c43	"family planning"	
label 	variable 	 	q40c44	"family planning"	
label 	variable 	 	q40c45	"family planning"	
label 	variable 	 	q40c46	"family planning"	
label 	variable 	 	q40c47	"family planning"	
label 	variable 	 	q40c48	"family planning"	
label 	variable 	 	q40c49	"family planning"	
label 	variable 	 	q40d1	"medical care"	
label 	variable 	 	q40d2	"medical care"	
label 	variable 	 	q40d3	"medical care"	
label 	variable 	 	q40d4	"medical care"	
label 	variable 	 	q40d5	"medical care"	
label 	variable 	 	q40d6	"medical care"	
label 	variable 	 	q40d7	"medical care"	
label 	variable 	 	q40d8	"medical care"	
label 	variable 	 	q40d9	"medical care"	
label 	variable 	 	q40e1	"eye care"	
label 	variable 	 	q40e2	"eye care"	
label 	variable 	 	q40e3	"eye care"	
label 	variable 	 	q40e4	"eye care"	
label 	variable 	 	q40e5	"eye care"	
label 	variable 	 	q40e6	"eye care"	
label 	variable 	 	q40e7	"eye care"	
label 	variable 	 	q40e8	"eye care"	
label 	variable 	 	q40e9	"eye care"	
label 	variable 	 	q40f1	"mental care"	
label 	variable 	 	q40f2	"mental care"	
label 	variable 	 	q40f3	"mental care"	
label 	variable 	 	q40f4	"mental care"	
label 	variable 	 	q40f5	"mental care"	
label 	variable 	 	q40f6	"mental care"	
label 	variable 	 	q40f7	"mental care"	
label 	variable 	 	q40f8	"mental care"	
label 	variable 	 	q40f9	"mental care"	
label 	variable 	 	q40g1	"dental health"	
label 	variable 	 	q40g2	"dental health"	
label 	variable 	 	q40g3	"dental health"	
label 	variable 	 	q40g4	"dental health"	
label 	variable 	 	q40g5	"dental health"	
label 	variable 	 	q40g6	"dental health"	
label 	variable 	 	q40g7	"dental health"	
label 	variable 	 	q40g8	"dental health"	
label 	variable 	 	q40g9	"dental health"	
label 	variable 	 	q40h1	"minor surgery"	
label 	variable 	 	q40h2	"minor surgery"	
label 	variable 	 	q40h3	"minor surgery"	
label 	variable 	 	q40h4	"minor surgery"	
label 	variable 	 	q40h5	"minor surgery"	
label 	variable 	 	q40h6	"minor surgery"	
label 	variable 	 	q40h7	"minor surgery"	
label 	variable 	 	q40h8	"minor surgery"	
label 	variable 	 	q40h9	"minor surgery"	
label 	variable 	 	q40i1	"deliveries"	
label 	variable 	 	q40i2	"deliveries"	
label 	variable 	 	q40i3	"deliveries"	
label 	variable 	 	q40i4	"deliveries"	
label 	variable 	 	q40i5	"deliveries"	
label 	variable 	 	q40i6	"deliveries"	
label 	variable 	 	q40i7	"deliveries"	
label 	variable 	 	q40i8	"deliveries"	
label 	variable 	 	q40i9	"deliveries"	
label 	variable 	 	q40j1	"labaratories"	
label 	variable 	 	q40j2	"labaratories"	
label 	variable 	 	q40j3	"labaratories"	
label 	variable 	 	q40j4	"labaratories"	
label 	variable 	 	q40j5	"labaratories"	
label 	variable 	 	q40j6	"labaratories"	
label 	variable 	 	q40j7	"labaratories"	
label 	variable 	 	q40j8	"labaratories"	
label 	variable 	 	q40j9	"labaratories"	
label 	variable 	 	q40k11	"train nurse"	
label 	variable 	 	q40k12	"train nurse"	
label 	variable 	 	q40k13	"train nurse"	
label 	variable 	 	q40k14	"train nurse"	
label 	variable 	 	q40k15	"train nurse"	
label 	variable 	 	q40k16	"train nurse"	
label 	variable 	 	q40k17	"train nurse"	
label 	variable 	 	q40k18	"train nurse"	
label 	variable 	 	q40k19	"train nurse"	
label 	variable 	 	q40k21	"train crhws"	
label 	variable 	 	q40k22	"train crhws"	
label 	variable 	 	q40k23	"train crhws"	
label 	variable 	 	q40k24	"train crhws"	
label 	variable 	 	q40k25	"train crhws"	
label 	variable 	 	q40k26	"train crhws"	
label 	variable 	 	q40k27	"train crhws"	
label 	variable 	 	q40k28	"train crhws"	
label 	variable 	 	q40k29	"train crhws"	
label 	variable 	 	q41	"work free"	
label 	variable 	 	q42a	"fulltime free"	
label 	variable 	 	q42b	"part time free"	
label 	variable 	 	q43a	"work free"	
label 	variable 	 	q43b	"work free"	
label 	variable 	 	q43c	"work free"	
label 	variable 	 	q43d	"work free"	
label 	variable 	 	q43e	"work free"	
label 	variable 	 	q44	"formal meeting"	
label 	variable 	 	q45	"frequency"	
label 	variable 	 	q46	"training course"	
label 	variable 	 	q47a	"training course category"	
label 	variable 	 	q47b	"training course category"	
label 	variable 	 	q47c	"training course category"	
label 	variable 	 	q47d	"training course category"	
label 	variable 	 	q47e	"training course category"	
label 	variable 	 	q48	"staff recruited"	
label 	variable 	 	q49	"staff dismissed"	
label 	variable 	 	q50	"quit"	
label 	variable 	 	q51	"staff retired"	
label 	variable 	 	q52	"delay staff salaries"	
label 	variable 	 	q53	"receive free drugs"	
label 	variable 	 	q54	"drug kits received"	
label 	variable 	 	q55a	"source of kits"	
label 	variable 	 	q55b	"source of kits"	
label 	variable 	 	q55c	"source of kits"	
label 	variable 	 	q55d	"source of kits"	
label 	variable 	 	q55e	"source of kits"	
label 	variable 	 	q55f	"source of kits"	
label 	variable 	 	q55g	"source of kits"	
label 	variable 	 	q55h	"source of kits"	
label 	variable 	 	q55i	"source of kits"	
label 	variable 	 	q55j	"source of kits"	
label 	variable 	 	q55k	"source of kits"	
label 	variable 	 	q56	"run out free drugs"	
label 	variable 	 	q57a1	"run out free drugs-stockout"	
label 	variable 	 	q57a2	"run out free drugs-duration"	
label 	variable 	 	q57b1	"run out free drugs-stockout"	
label 	variable 	 	q57b2	"run out free drugs-duration"	
label 	variable 	 	q57c1	"run out free drugs-stockout"	
label 	variable 	 	q57c2	"run out free drugs-duration"	
label 	variable 	 	q57d1	"run out free drugs-stockout"	
label 	variable 	 	q57d2	"run out free drugs-duration"	
label 	variable 	 	q57e1	"run out free drugs-stockout"	
label 	variable 	 	q57e2	"run out free drugs-duration"	
label 	variable 	 	q57f1	"run out free drugs-stockout"	
label 	variable 	 	q57f2	"run out free drugs-duration"	
label 	variable 	 	q57g1	"run out free drugs-stockout"	
label 	variable 	 	q57g2	"run out free drugs-duration"	
label 	variable 	 	q58	"buy own drug"	
label 	variable 	 	q59	"vaccines not pay"	
label 	variable 	 	q60a1	"free vaccines(yes/no)"	
label 	variable 	 	q60a2	"free vaccines(source)"	
label 	variable 	 	q60b1	"free vaccines(yes/no)"	
label 	variable 	 	q60b2	"free vaccines(source)"	
label 	variable 	 	q60c1	"free vaccines(yes/no)"	
label 	variable 	 	q60c2	"free vaccines(source)"	
label 	variable 	 	q60d1	"free vaccines(yes/no)"	
label 	variable 	 	q60d2	"free vaccines(source)"	
label 	variable 	 	q60e1	"free vaccines(yes/no)"	
label 	variable 	 	q60e2	"free vaccines(source)"	
label 	variable 	 	q60f1	"free vaccines(yes/no)"	
label 	variable 	 	q60f2	"free vaccines(source)"	
label 	variable 	 	q61	"run out vaccines"	
label 	variable 	 	q62a1	"time run out vaccines(until)"	
label 	variable 	 	q62a2	"time run out vaccines(duration)"	
label 	variable 	 	q62b1	"time run out vaccines(until)"	
label 	variable 	 	q62b2	"time run out vaccines(duration)"	
label 	variable 	 	q62c1	"time run out vaccines(until)"	
label 	variable 	 	q62c2	"time run out vaccines(duration)"	
label 	variable 	 	q62d1	"time run out vaccines(until)"	
label 	variable 	 	q62d2	"time run out vaccines(duration)"	
label 	variable 	 	q62e1	"time run out vaccines(until)"	
label 	variable 	 	q62e2	"time run out vaccines(duration)"	
label 	variable 	 	q63	"buy own vaccine"	
label 	variable 	 	q64	"received consumables"	
label 	variable 	 	q65a1	"consumables received(yes/no)"	
label 	variable 	 	q65a2	"consumables received(source)"	
label 	variable 	 	q65a3	"consumables received(number)"	
label 	variable 	 	q65a4	"consumables received(units)"	
label 	variable 	 	q65b1	"consumables received(yes/no)"	
label 	variable 	 	q65b2	"consumables received(source)"	
label 	variable 	 	q65b3	"consumables received(number)"	
label 	variable 	 	q65b4	"consumables received(units)"	
label 	variable 	 	q65c1	"consumables received(yes/no)"	
label 	variable 	 	q65c2	"consumables received(source)"	
label 	variable 	 	q65c3	"consumables received(number)"	
label 	variable 	 	q65c4	"consumables received(units)"	
label 	variable 	 	q65d1	"consumables received(yes/no)"	
label 	variable 	 	q65d2	"consumables received(source)"	
label 	variable 	 	q65d3	"consumables received(number)"	
label 	variable 	 	q65d4	"consumables received(units)"	
label 	variable 	 	q65e1	"consumables received(yes/no)"	
label 	variable 	 	q65e2	"consumables received(source)"	
label 	variable 	 	q65e3	"consumables received(number)"	
label 	variable 	 	q65e4	"consumables received(units)"	
label 	variable 	 	q66	"run out consumables"	
label 	variable 	 	q67a1	"run out consumables(until)"	
label 	variable 	 	q67a2	"run out consumables(duration)"	
label 	variable 	 	q67b1	"run out consumables(until)"	
label 	variable 	 	q67b2	"run out consumables(duration)"	
label 	variable 	 	q67c1	"run out consumables(until)"	
label 	variable 	 	q67c2	"run out consumables(duration)"	
label 	variable 	 	q67d1	"run out consumables(until)"	
label 	variable 	 	q67d2	"run out consumables(duration)"	
label 	variable 	 	q68	"bought own consumables"	
label 	variable 	 	q69	"free contraceptives"	
label 	variable 	 	q70a2	"free contraceptives(source)"	
label 	variable 	 	q70a3	"free contraceptives(number)"	
label 	variable 	 	q70a4	"free contraceptives(units)"	
label 	variable 	 	q70b2	"free contraceptives(source)"	
label 	variable 	 	q70b3	"free contraceptives(number)"	
label 	variable 	 	q70b4	"free contraceptives(units)"	
label 	variable 	 	q70c2	"free contraceptives(source)"	
label 	variable 	 	q70c3	"free contraceptives(number)"	
label 	variable 	 	q70c4	"free contraceptives(units)"	
label 	variable 	 	q70d2	"free contraceptives(source)"	
label 	variable 	 	q70d3	"free contraceptives(number)"	
label 	variable 	 	q70d4	"free contraceptives(units)"	
label 	variable 	 	q70e2	"free contraceptives(source)"	
label 	variable 	 	q70e3	"free contraceptives(number)"	
label 	variable 	 	q70e4	"free contraceptives(units)"	
label 	variable 	 	q70f2	"free contraceptives(source)"	
label 	variable 	 	q70f3	"free contraceptives(number)"	
label 	variable 	 	q70f4	"free contraceptives(units)"	
label 	variable 	 	q71	"run out of free contraceptives"	
label 	variable 	 	q72a1	"time out contraceptive(until)"	
label 	variable 	 	q72a2	"time out contraceptive(duration)"	
label 	variable 	 	q72b1	"time out contraceptive(until)"	
label 	variable 	 	q72b2	"time out contraceptive(duration)"	
label 	variable 	 	q72c1	"time out contraceptive(until)"	
label 	variable 	 	q72c2	"time out contraceptive(duration)"	
label 	variable 	 	q72d1	"time out contraceptive(until)"	
label 	variable 	 	q72d2	"time out contraceptive(duration)"	
label 	variable 	 	q72e1	"time out contraceptive(until)"	
label 	variable 	 	q72e2	"time out contraceptive(duration)"	
label 	variable 	 	q72f1	"time out contraceptive(until)"	
label 	variable 	 	q72f2	"time out contraceptive(duration)"	
label 	variable 	 	q73	"bought contraceptives"	
label 	variable 	 	q74	"free consumables"	
label 	variable 	 	q75a1	"free consumables(yes/no)"	
label 	variable 	 	q75a2	"free consumables(source)"	
label 	variable 	 	q75a3	"free consumables(number)"	
label 	variable 	 	q75a4	"free consumables(units)"	
label 	variable 	 	q75b1	"free consumables(yes/no)"	
label 	variable 	 	q75b2	"free consumables(source)"	
label 	variable 	 	q75b3	"free consumables(number)"	
label 	variable 	 	q75b4	"free consumables(units)"	
label 	variable 	 	q75c1	"free consumables(yes/no)"	
label 	variable 	 	q75c2	"free consumables(source)"	
label 	variable 	 	q75c3	"free consumables(number)"	
label 	variable 	 	q75c4	"free consumables(units)"	
label 	variable 	 	q75d1	"free consumables(yes/no)"	
label 	variable 	 	q75d2	"free consumables(source)"	
label 	variable 	 	q75d3	"free consumables(number)"	
label 	variable 	 	q75d4	"free consumables(units)"	
label 	variable 	 	q75e1	"free consumables(yes/no)"	
label 	variable 	 	q75e2	"free consumables(source)"	
label 	variable 	 	q75e3	"free consumables(number)"	
label 	variable 	 	q75e4	"free consumables(units)"	
label 	variable 	 	q75f1	"free consumables(yes/no)"	
label 	variable 	 	q75f2	"free consumables(source)"	
label 	variable 	 	q75f3	"free consumables(number)"	
label 	variable 	 	q75f4	"free consumables(units)"	
label 	variable 	 	q76	"run out of free consumables"	
label 	variable 	 	q77a1	"time run out consumables(until)"	
label 	variable 	 	q77a2	"time run out consumables(duration)"	
label 	variable 	 	q77b1	"time run out consumables(until)"	
label 	variable 	 	q77b2	"time run out consumables(duration)"	
label 	variable 	 	q77c1	"time run out consumables(until)"	
label 	variable 	 	q77c2	"time run out consumables(duration)"	
label 	variable 	 	q77d1	"time run out consumables(until)"	
label 	variable 	 	q77d2	"time run out consumables(duration)"	
label 	variable 	 	q77e1	"time run out consumables(until)"	
label 	variable 	 	q77e2	"time run out consumables(duration)"	
label 	variable 	 	q78	"bought consumables"	
label 	variable 	 	q79	"have transport"	
label 	variable 	 	q80a1	"transport(yes/no)"	
label 	variable 	 	q80a2	"transport(number)"	
label 	variable 	 	q80b1	"transport(yes/no)"	
label 	variable 	 	q80b2	"transport(number)"	
label 	variable 	 	q80c1	"transport(yes/no)"	
label 	variable 	 	q80c2	"transport(number)"	
label 	variable 	 	q80d1	"transport(yes/no)"	
label 	variable 	 	q80d2	"transport(number)"	
label 	variable 	 	q80e1	"transport(yes/no)"	
label 	variable 	 	q80e2	"transport(number)"	
label 	variable 	 	q80f	"transport(number)"	
label 	variable 	 	q80g	"transport(number)"

rename	q81a	 	qq81a
rename	q81b	 	qq81b
rename	q81c	 	qq81c
rename	q81d	 	qq81d
rename	q81e	 	qq81e
rename	q81f	 	qq81f
rename	q81g	 	qq81g
rename	q81h	 	qq81h
rename	q81i	 	qq81i
rename	q82a	 	qq82a
rename	q82b	 	qq82b
rename	q82c	 	qq82c
rename	q82d	 	qq82d
rename	q82e	 	qq82e
rename	q82f	 	qq82f
rename	q82g	 	qq82g
rename	q83a	 	qq83a
rename	q83b	 	qq83b
rename	q83c	 	qq83c
rename	q83d	 	qq83d
rename	q83e	 	qq83e
rename	q84a	 	qq84a
rename	q84b	 	qq84b

rename	qq81a	 	q82a
rename	qq81b	 	q82b
rename	qq81c	 	q82c
rename	qq81d	 	q82d
rename	qq81e	 	q82e
rename	qq81f	 	q82f
rename	qq81g	 	q82g
rename	qq81h	 	q82h
rename	qq81i	 	q82i
rename	qq82a	 	q83a
rename	qq82b	 	q83b
rename	qq82c	 	q83c
rename	qq82d	 	q83d
rename	qq82e	 	q83e
rename	qq82f	 	q83f
rename	qq82g	 	q83g
rename	qq83a	 	q84a
rename	qq83b	 	q84b
rename	qq83c	 	q84c
rename	qq83d	 	q84d
rename	qq83e	 	q84e
rename	qq84a	 	q81a
rename	qq84b	 	q81b
	
label 	variable 	 	q82a	"functioning furniture"
label 	variable 	 	q82b	"functioning furniture"
label 	variable 	 	q82c	"functioning furniture"
label 	variable 	 	q82d	"functioning furniture"
label 	variable 	 	q82e	"functioning furniture"
label 	variable 	 	q82f	"functioning furniture"
label 	variable 	 	q82g	"functioning furniture"
label 	variable 	 	q82h	"functioning furniture"
label 	variable 	 	q82i	"functioning furniture"
label 	variable 	 	q83a	"number of equipment"
label 	variable 	 	q83b	"number of equipment"
label 	variable 	 	q83c	"number of equipment"
label 	variable 	 	q83d	"number of equipment"
label 	variable 	 	q83e	"number of equipment"
label 	variable 	 	q83f	"number of equipment"
label 	variable 	 	q83g	"number of equipment"
label 	variable 	 	q84a	"beddings"
label 	variable 	 	q84b	"beddings"
label 	variable 	 	q84c	"beddings"
label 	variable 	 	q84d	"beddings"
label 	variable 	 	q84e	"beddings"
label 	variable 	 	q81a	"area rooms"
label 	variable 	 	q81b	"area buildings"

label 	variable 	 	q85	"keep patient records"	
label 	variable 	 	q86a1	"epidemics(yes/no)"	
label 	variable 	 	q86a2	"epidemics(number)"	
label 	variable 	 	q86b1	"epidemics(yes/no)"	
label 	variable 	 	q86b2	"epidemics(number)"	
label 	variable 	 	q86c1	"epidemics(yes/no)"	
label 	variable 	 	q86c2	"epidemics(number)"	
label 	variable 	 	q86d1	"epidemics(yes/no)"	
label 	variable 	 	q86d2	"epidemics(number)"	
label 	variable 	 	q86e1	"epidemics(yes/no)"	
label 	variable 	 	q86e2	"epidemics(number)"	
label 	variable 	 	q86f1	"epidemics(yes/no)"	
label 	variable 	 	q86f2	"epidemics(number)"	
label 	variable 	 	q86g1	"epidemics(yes/no)"	
label 	variable 	 	q86g2	"epidemics(number)"	
label 	variable 	 	q86h1	"epidemics(yes/no)"	
label 	variable 	 	q86h2	"epidemics(number)"	
label 	variable 	 	q86i1	"epidemics(yes/no)"	
label 	variable 	 	q86i2	"epidemics(number)"	
label 	variable 	 	q86j1	"epidemics(yes/no)"	
label 	variable 	 	q86j2	"epidemics(number)"	
label 	variable 	 	q86k1	"epidemics(yes/no)"	
label 	variable 	 	q86k2	"epidemics(number)"	
label 	variable 	 	q86l1	"epidemics(yes/no)"	
label 	variable 	 	q86l2	"epidemics(number)"	
label 	variable 	 	q87	"patients referred"	
label 	variable 	 	q88a	"reasons referring"	
label 	variable 	 	q88b	"reasons referring"	
label 	variable 	 	q88c	"reasons referring"	
label 	variable 	 	q88d	"reasons referring"	
label 	variable 	 	q88e	"reasons referring"	
label 	variable 	 	q89a	"name of refer "	
label 	variable 	 	q89a1	"refer(ownership)"	
label 	variable 	 	q89a2	"refer(type)"	
label 	variable 	 	q89b	"name of refer "	
label 	variable 	 	q89b1	"refer(ownership)"	
label 	variable 	 	q89b2	"refer(type)"	
label 	variable 	 	q89c	"name of refer "	
label 	variable 	 	q89c1	"refer(ownership)"	
label 	variable 	 	q89c2	"refer(type)"	
label 	variable 	 	q89d	"name of refer "	
label 	variable 	 	q89d1	"refer(ownership)"	
label 	variable 	 	q89d2	"refer(type)"	
label 	variable 	 	q90	"privacy examination"	
label 	variable 	 	q91a1	"pay tax(yes/no)"	
label 	variable 	 	q91a2	"pay tax(amount)"	
label 	variable 	 	q91b1	"pay tax(yes/no)"	
label 	variable 	 	q91b2	"pay tax(amount)"	
label 	variable 	 	q91c1	"pay tax(yes/no)"	
label 	variable 	 	q91c2	"pay tax(amount)"	
label 	variable 	 	q91d1	"pay tax(yes/no)"	
label 	variable 	 	q91d2	"pay tax(amount)"	
label 	variable 	 	q91e1	"pay tax(yes/no)"	
label 	variable 	 	q91e2	"pay tax(amount)"	
label 	variable 	 	q91f1	"pay tax(yes/no)"	
label 	variable 	 	q91f2	"pay tax(amount)"	
label 	variable 	 	q91g	"pay tax(amount)"	
label 	variable 	 	q91g2	"pay tax(amount)"	
label 	variable 	 	q92	"received money"	
label 	variable 	 	q93a1	"money received(ug shs)"	
label 	variable 	 	q93a2	"money received(%age)"	
label 	variable 	 	q93b1	"money received(ug shs)"	
label 	variable 	 	q93b2	"money received(%age)"	
label 	variable 	 	q93c1	"money received(ug shs)"	
label 	variable 	 	q93c2	"money received(%age)"	
label 	variable 	 	q93d1	"money received(ug shs)"	
label 	variable 	 	q93d2	"money received(%age)"	
label 	variable 	 	q93e1	"money received(ug shs)"	
label 	variable 	 	q93e2	"money received(%age)"	
label 	variable 	 	q93f1	"money received(ug shs)"	
label 	variable 	 	q93f2	"money received(%age)"	
label 	variable 	 	q93g1	"money received(ug shs)"	
label 	variable 	 	q93g2	"money received(%age)"	
label 	variable 	 	q93h1	"money received(ug shs)"	
label 	variable 	 	q93h2	"money received(%age)"	
label 	variable 	 	q93i1	"money received"	
label 	variable 	 	q93i2	"money received(ug shs)"	
label 	variable 	 	q94	"free how spend"	
label 	variable 	 	q95a1	"expenditure(%)"	
label 	variable 	 	q95a2	"expenditure(ug shs)"	
label 	variable 	 	q95b1	"expenditure(%)"	
label 	variable 	 	q95b2	"expenditure(ug shs)"	
label 	variable 	 	q95c1	"expenditure(%)"	
label 	variable 	 	q95c2	"expenditure(ug shs)"	
label 	variable 	 	q95d1	"expenditure(%)"	
label 	variable 	 	q95d2	"expenditure(ug shs)"	
label 	variable 	 	q95e1	"expenditure(%)"	
label 	variable 	 	q95e2	"expenditure(ug shs)"	
label 	variable 	 	q95f1	"expenditure(%)"	
label 	variable 	 	q95f2	"expenditure(ug shs)"	
label 	variable 	 	q95g1	"expenditure(ug shs)"	
label 	variable 	 	q95g2	"expenditure(%)"	
label 	variable 	 	q96	"received for outreach"	
label 	variable 	 	q97	"allowances per person"	
label 	variable 	 	q98a	"paid allowances"	
label 	variable 	 	q98b	"paid allowances"	
label 	variable 	 	q98c	"paid allowances"	
label 	variable 	 	q98d	"paid allowances"	
label 	variable 	 	q98e	"paid allowances"	
label 	variable 	 	q98f	"paid allowances"	
label 	variable 	 	q98g	"paid allowances"	
label 	variable 	 	q99	"charge user fees"	
label 	variable 	 	q100	"records of revenue"	
label 	variable 	 	q101	"retained at facilities"	
label 	variable 	 	q102a	"sets user charges"	
label 	variable 	 	q102b	"sets user charges"	
label 	variable 	 	q102c	"sets user charges"	
label 	variable 	 	q102d	"sets user charges"	
label 	variable 	 	q102e	"sets user charges"	
label 	variable 	 	q102f	"sets user charges"	
label 	variable 	 	q102g	"sets user charges"	
label 	variable 	 	q103	"charge by broad category"	
label 	variable 	 	q104a1	"category charge(by category)"	
label 	variable 	 	q104a2	"category charge(per service)"	
label 	variable 	 	q104b1	"category charge(by category)"	
label 	variable 	 	q104b2	"category charge(per service)"	
label 	variable 	 	q104c1	"category charge(by category)"	
label 	variable 	 	q104c2	"category charge(per service)"	
label 	variable 	 	q104d1	"category charge(by category)"	
label 	variable 	 	q104d2	"category charge(per service)"	
label 	variable 	 	q104e1	"category charge(by category)"	
label 	variable 	 	q104e2	"category charge(per service)"	
label 	variable 	 	q104f1	"category charge(by category)"	
label 	variable 	 	q104f2	"category charge(per service)"	
label 	variable 	 	q104g1	"category charge(by category)"	
label 	variable 	 	q104g2	"category charge(per service)"	
label 	variable 	 	q104h1	"category charge(by category)"	
label 	variable 	 	q104h2	"category charge(per service)"	
label 	variable 	 	q104i1	"category charge(by category)"	
label 	variable 	 	q104i2	"category charge(per service)"	
label 	variable 	 	q104j1	"category charge(by category)"	
label 	variable 	 	q104j2	"category charge(per service)"	
label 	variable 	 	q104k1	"category charge(by category)"	
label 	variable 	 	q104k2	"category charge(per service)"	
label 	variable 	 	q104l1	"category charge(by category)"	
label 	variable 	 	q104l2	"category charge(per service)"	
label 	variable 	 	q104m1	"category charge(by category)"	
label 	variable 	 	q104m2	"category charge(per service)"	
label 	variable 	 	q105	"charge include medication"	
label 	variable 	 	q106a	"charge lab test"	
label 	variable 	 	q106b	"charge lab test"	
label 	variable 	 	q106c	"charge lab test"	
label 	variable 	 	q107	"bloodslides made"	
label 	variable 	 	q108	"stool tests made"	
label 	variable 	 	q109	"fixed fee ailment"	
label 	variable 	 	q110a	"charge ailment"	
label 	variable 	 	q110b	"charge ailment"	
label 	variable 	 	q110c	"charge ailment"	
label 	variable 	 	q110d	"charge ailment"	
label 	variable 	 	q110e	"charge ailment"	
label 	variable 	 	q111a	"ailment"	
label 	variable 	 	q111b	"ailment"	
label 	variable 	 	q111c	"ailment"	
label 	variable 	 	q111d	"ailment"	
label 	variable 	 	q111e	"ailment"	
label 	variable 	 	q111f	"ailment"	
label 	variable 	 	q112	"charge for drugs"	
label 	variable 	 	q113a	"charge on"	
label 	variable 	 	q113b	"charge on"	
label 	variable 	 	q113c	"charge on"	
label 	variable 	 	q113d	"charge on"	
label 	variable 	 	q113e	"charge on"	
label 	variable 	 	q113f	"charge on"	
label 	variable 	 	q113g	"charge on"	
label 	variable 	 	q114a1	"dosage sell(adult)"	
label 	variable 	 	q114a2	"dosage sell(<5)"	
label 	variable 	 	q114a3	"dosage sell(units)"	
label 	variable 	 	q114b1	"dosage sell(adult)"	
label 	variable 	 	q114b2	"dosage sell(<5)"	
label 	variable 	 	q114b3	"dosage sell(units)"	
label 	variable 	 	q114c1	"dosage sell(adult)"	
label 	variable 	 	q114c2	"dosage sell(<5)"	
label 	variable 	 	q114c3	"dosage sell(units)"	
label 	variable 	 	q114d1	"dosage sell(adult)"	
label 	variable 	 	q114d2	"dosage sell(<5)"	
label 	variable 	 	q114d3	"dosage sell(units)"	
label 	variable 	 	q114e1	"dosage sell(adult)"	
label 	variable 	 	q114e2	"dosage sell(<5)"	
label 	variable 	 	q114e3	"dosage sell(units)"	
label 	variable 	 	q115a	"exemption"	
label 	variable 	 	q115b	"exemption"	
label 	variable 	 	q115c	"exemption"	
label 	variable 	 	q115d	"exemption"	
label 	variable 	 	q115e	"exemption"	
label 	variable 	 	q115f	"exemption"	
label 	variable 	 	q115g	"exemption"	
label 	variable 	 	q115h	"exemption"	
label 	variable 	 	q115i	"exemption"	
label 	variable 	 	q115j	"exemption"	
label 	variable 	 	q115k	"exemption"	
label 	variable 	 	q115l	"exemption"	
label 	variable 	 	q116	"number exempted"	
label 	variable 	 	q117a	"do budget"	
label 	variable 	 	q117b	"do budget"	
label 	variable 	 	q117c	"do budget"	
label 	variable 	 	q117d	"do budget"	
label 	variable 	 	q118a	"budget verified"	
label 	variable 	 	q118b	"budget verified"	
label 	variable 	 	q118c	"budget verified"	
label 	variable 	 	q118d	"budget verified"	
label 	variable 	 	q118e	"budget verified"	
label 	variable 	 	q118f	"budget verified"	
label 	variable 	 	q118g	"budget verified"	
label 	variable 	 	q118h	"budget verified"	
label 	variable 	 	q118i	"budget verified"	
label 	variable 	 	q118j	"budget verified"	
label 	variable 	 	q118k	"budget verified"	
label 	variable 	 	q118l	"budget verified"	
label 	variable 	 	q119a1	"spend(%)"	
label 	variable 	 	q119a2	"spend(ug shs)"	
label 	variable 	 	q119b1	"spend(%)"	
label 	variable 	 	q119b2	"spend(ug shs)"	
label 	variable 	 	q119c1	"spend(%)"	
label 	variable 	 	q119c2	"spend(ug shs)"	
label 	variable 	 	q119d1	"spend(%)"	
label 	variable 	 	q119d2	"spend(ug shs)"	
label 	variable 	 	q119e1	"spend(%)"	
label 	variable 	 	q119e2	"spend(ug shs)"	
label 	variable 	 	q119f1	"spend(%)"	
label 	variable 	 	q119f2	"spend(ug shs)"	
label 	variable 	 	q119g1	"spend(%)"	
label 	variable 	 	q119g2	"spend(ug shs)"	
label 	variable 	 	q119h1	"spend(%)"	
label 	variable 	 	q119h2	"spend(ug shs)"	
label 	variable 	 	q119i1	"spend(%)"	
label 	variable 	 	q119i2	"spend(ug shs)"	
label 	variable 	 	q120	"received free money"	
label 	variable 	 	q121	"free money received"	
label 	variable 	 	q122ap	"expenditure(%)"	
label 	variable 	 	q122ash	"expenditure(ug shs)"	
label 	variable 	 	q122bp	"expenditure(%)"	
label 	variable 	 	q122bsh	"expenditure(ug shs)"	
label 	variable 	 	q122cp	"expenditure(%)"	
label 	variable 	 	q122csh	"expenditure(ug shs)"	
label 	variable 	 	q122dp	"expenditure(%)"	
label 	variable 	 	q122dsh	"expenditure(ug shs)"	
label 	variable 	 	q122ep	"expenditure(%)"	
label 	variable 	 	q122esh	"expenditure(ug shs)"	
label 	variable 	 	q122fp	"expenditure(%)"	
label 	variable 	 	q122fsh	"expenditure(ug shs)"	
label 	variable 	 	q122g1	"expenditure"	
label 	variable 	 	q122g2	"expenditure(%)"	
label 	variable 	 	q122h1	"expenditure(ug shs)"	
label 	variable 	 	q122h2	"expenditure"	
label 	variable 	 	q123a1	"kind support(number)"	
label 	variable 	 	q123a2	"kind support(ug shs)"	
label 	variable 	 	q123b1	"kind support(number)"	
label 	variable 	 	q123b2	"kind support(ug shs)"	
label 	variable 	 	q123c1	"kind support(number)"	
label 	variable 	 	q123c2	"kind support(ug shs)"	
label 	variable 	 	q123d1	"kind support(number)"	
label 	variable 	 	q123d2	"kind support(ug shs)"	
label 	variable 	 	q123e1	"kind support(number)"	
label 	variable 	 	q123e2	"kind support(ug shs)"	
label 	variable 	 	q124a	"personnel support"	
label 	variable 	 	q124b	"personnel support"	
label 	variable 	 	q124c	"personnel support"	
label 	variable 	 	q125	"sell on counter"	
label 	variable 	 	q126	"value sell counter"	
label 	variable 	 	q127a2	"support suppervision(month)"	
label 	variable 	 	q127a3	"support suppervision(year)"	
label 	variable 	 	q127a4	"support suppervision(frequency)"	
label 	variable 	 	q127b2	"support suppervision(month)"	
label 	variable 	 	q127b3	"support suppervision(year)"	
label 	variable 	 	q127b4	"support suppervision(frequency)"	
label 	variable 	 	q127c2	"support suppervision(month)"	
label 	variable 	 	q127c3	"support suppervision(year)"	
label 	variable 	 	q127c4	"support suppervision(frequency)"	
label 	variable 	 	q127d2	"support suppervision(month)"	
label 	variable 	 	q127d3	"support suppervision(year)"	
label 	variable 	 	q127d4	"support suppervision(frequency)"	
label 	variable 	 	q127e2	"support suppervision(month)"	
label 	variable 	 	q127e3	"support suppervision(year)"	
label 	variable 	 	q127e4	"support suppervision(frequency)"	
label 	variable 	 	q127f2	"support suppervision(month)"	
label 	variable 	 	q127f3	"support suppervision(year)"	
label 	variable 	 	q127f4	"support suppervision(frequency)"	
label 	variable 	 	q128	"formal assess"	
label 	variable 	 	q129	"frequency of assess"	
label 	variable 	 	q129a	"frequency of assess(other)"	
label 	variable 	 	q130	"have account"	
label 	variable 	 	q131	"safekeep of drugs"	
label 	variable 	 	q131a	"safekeep of drugs(other)"	
label 	variable 	 	q132	"responsible for procurement"	
label 	variable 	 	q132a	"responsible for procurement(other)"	
label 	variable 	 	q133	"report problems"	
label 	variable 	 	q134a	"report problems to"	
label 	variable 	 	q134b	"report problems to"	
label 	variable 	 	q134c	"report problems to"	
label 	variable 	 	q134d	"report problems to"	
label 	variable 	 	q134e	"report problems to"	
label 	variable 	 	q135	"frequency report problems"	
label 	variable 	 	q135a	"frequency report problems(others)"	
label 	variable 	 	q136	"feedback from report"	
label 	variable 	 	q137	"feedback useful"	
label 	variable 	 	q138	"annual audit"	
label 	variable 	 	q139a	"month last audit"	
label 	variable 	 	q139b	"year last audit"	
label 	variable 	 	q140	"name enumerator"	
label 	variable 	 	q141a	"day of interview"	
label 	variable 	 	q141b	"months of interview"	
label 	variable 	 	q141c	"year of interview"	
label 	variable 	 	q142	"incharge present"	
label 	variable 	 	q143	"time waited"	
label 	variable 	 	q144	"patients register accurate"	
label 	variable 	 	q145	"patients record"	
label 	variable 	 	q145a1	"patients record(others)"	
label 	variable 	 	q146	"report on input/receipts"	
label 	variable 	 	q147	"condition of floor"	
label 	variable 	 	q148	"condition of wall"	
label 	variable 	 	q149	"condition of furniture"	
label 	variable 	 	q150	"smell of facility"	
label 	variable 	 	q151	"rooms facility have"	
label 	variable 	 	q152	"area of facility"	



**************************************************
***  Ensure response value labels are correct.
**************************************************


label define yesno 1 "yes"
label define yesno 2 "no", add
label define gender 1 "male"
label define gender 2 "female", add
label define dispordmu 1 "dispensary"
label define dispordmu 2 "disspensary w maternity unit", add
label define hcclass 1 "hc1"
label define hcclass 2 "hc2", add
label define hcclass 3 "hc3", add
label define hcclass 4 "hc4", add
label define hcclass 5 "other", add
label define whoowns 1 "gov owned"
label define whoowns 2 "Priv for-profit", add
label define whoowns 3 "priv no-for-profit (catholic medical services)", add
label define whoowns 4 "priv no-for-profit (Protestant medical bureau)", add
label define whoowns 5 "priv no-for-profit (Muslim Medical Bureau)", add
label define whoowns 6 "Seventh day adventist", add
label define whoowns 7 "other ngo", add
label define whoowns 8 "other", add
label define financier 1 "this facility"
label define financier 2 "district", add
label define financier 3 "health sub-district", add
label define financier 4 "sub-country", add
label define financier 5 "central gov", add
label define financier 6 "donors, ngo, other", add
label define owns 1 "GOU"
label define owns 2 "private for-profit", add
label define owns 3 "private non-profit", add
label define water 1 "piped water"
label define water 2 "borehole", add
label define water 3 "protected spring", add
label define water 4 "unprotected spring", add
label define water 5 "harvested rainwater", add
label define water 6 "buy water", add
label define water 7 "other", add
label define dispose 1 "public waste collection"
label define dispose 2 "pit where waste is dumped", add
label define dispose 3 "pit where waste is burnt", add
label define dispose 4 "incinerator", add
label define dispose 5 "other", add
label define usual 1 "regular"
label define usual 2 "irregular", add
label define source 1 "district"
label define source 2 "health sub-district", add
label define source 3 "donors", add
label define source 4 "ngo's", add
label define source 5 "medical bureau", add
label define source 6 "other", add
label define source65 1 "district"
label define source65 2 "health sub-district", add
label define source65 3 "sub-county", add
label define source65 4 "village", add
label define source65 5 "donors", add
label define source65 6 "ngo", add
label define source65 7 "other", add
label define type 1 "aide post/sub-dispensary"
label define type 2 "dispensary/dmu", add
label define type 3 "health center/hospital", add
label define type 4 "clinic", add
label define frequency 1 "monthly"
label define frequency 2 "quarterly", add
label define frequency 3 "semi-annually", add
label define frequency 4 "annual", add
label define frequency 5 "other", add
label define charge 1 "in-charge"
label define charge 2 "clinical officer/medical assistant", add
label define charge 3 "other medical staff", add
label define charge 4 "Admin/management staff", add
label define charge 5 "other", add
label define mainlyresponsible 1 "in-charge"
label define mainlyresponsible 2 "district", add
label define mainlyresponsible 3 "health sub-district", add
label define mainlyresponsible 4 "sub-county", add
label define mainlyresponsible 5 "village", add
label define mainlyresponsible 6 "medical bureau", add
label define mainlyresponsible 7 "other", add
label define feedback 1 "yes, often and regularly"
label define feedback 2 "yes, seldom but regularly", add
label define feedback 3 "yes, seldom and irregularly", add
label define feedback 4 "never", add
label define patient 1 "overstate"
label define patient 2 "understate", add
label define patient 3 "records not avail", add
label define condition 1 "clean"
label define condition 2 "average", add
label define condition 3 "dirty", add

foreach vvv of varlist  q15	q38eln	q75f2	q104a2	q104i2	q114c3	q114e3	q127e4	q43e	q65a2	q65a3	q65a4	q65b4	q65c4	q65d4	q65e1	q65e2	q65e3	q65e4	q77a1	q77b1	q77e1	q114d2	q38fln	q75c4	q114a3	q114b2	q8c	q114b3	q43d	q91g2	q111f	q89c	q89d	q38cln	q38dln	q7e	q38gln	q40f3	q40f4	q40f5	q40f6	q40f7	q40f8	q40f9	q88d	q21c2	q21c3	q21c4	q21c6	q40b2	q40b3	q40b4	q40b5	q40b6	q40b7	q40b8	q40b9	q40f2	q40j2	q40j3	q40j4	q40j5	q40j6	q40j7	q40j8	q40j9	q40k12	q40k22	q40k23	q40k24	q40k25	q40k26	q40k27	q40k28	q40k29	q42a	q42b	q43a	q43b	q43c	q67a1	q67a2	q67b1	q67b2	q67c1	q67c2	q67d1	q67d2	q70c2	q70c3	q70f2	q72a1	q72a2	q72b1	q72b2	q72c1	q72c2	q72d1	q72d2	q72e1	q72e2	q72f1	q72f2	q75c2	q75d2	q77a2	q77c2	q77d1	q80a1	q80a2	q80b1	q80b2	q80c1	q80c2	q80d1	q80d2	q80e1	q80e2	q80f	q80g	q86a2	q86b2	q86c2	q86d2	q86e2	q86f2	q86g2	q86h2	q86i2	q86j2	q86k2	q86l2	q104a1	q104b1	q104c1	q104d1	q104e1	q104e2	q104f1	q104f2	q104g1	q104h1	q104i1	q104j1	q104k1	q104l1	q104m1	q111b	q111c	q114e2	q118a	q118b	q118c	q118d	q118e	q118f	q118g	q118h	q118i	q118j	q118k	q122ash	q122esh	q122fsh	q122h2	q124b	q127f2	q145	q22b	q38aln	q40k13	q40k14	q40k15	q40k16	q40k17	q40k18	q40k19	q123c1	q38bln	q7d	q22c	q22d	q11a1	q25	q111e	q131a	q7f	q8b	q22e	q39k	q89b	q132a	q33j	q89a	q140	q21a2	q21a3	q21a4	q21a5	q21a6	q21c5	q57g1	q57g2	q70d2	q70d3	q70d4	q70f3	q77b2	q77c1	q77e2	q113a	q113d	q113f	q114a1	q114d1	q122g2	q123a1	q124a	q124c	q143	q15a1	q135a	q7c	q36n	q47e	q2a1	q8a	q6	q22a	q88e	q14	q75d3	q75f3	q95a1	q104b2	q104c2	q104j2	q104k2	q104l2	q106a	q106b	q106c	q110a	q110c	q110d	q110e	q113b	q113c	q113e	q113g	q114b1	q114c1	q114e1	q123d1	q127e3	q102g	q21b5	q75c3	q104m2	q110b	q114a2	q114c2	q115l	q70c4	q75a4	q75f4	q122csh	q122dsh	q123d2	q139a	q16a2	q16a3	q16b2	q16b3	q16c2	q16c3	q70a4	q70b4	q70e4	q70f4	q75d4	q75e3	q75e4	q77d2	q114d3	q122bsh	q123c2	q127e2	q7a	q7b	q75b4	q104h2	q123b2	q126	q119i1	q118l	q38d1	q38e1	q38f1	q38g1	q104d2	q104g2	q123a2	q123b1{
replace `vvv' ="-999" if `vvv'== "NA"
replace `vvv' ="-999" if `vvv'== "DNA" 
replace `vvv' ="-999" if `vvv'== "DK" 
replace `vvv' ="-999" if `vvv'== "NS"
replace `vvv' ="-999" if `vvv'== "DNS"
replace `vvv' ="-999" if `vvv'== "0"
replace `vvv' ="-999" if `vvv'== "NDS"
replace `vvv' ="-999" if `vvv'== "NSD"
replace `vvv' ="-999" if `vvv'== "NDA"
replace `vvv' ="-999" if `vvv'== "na"
replace `vvv' ="-999" if `vvv'== "dna"
}

destring  q15	q38eln	q75f2	q104a2	q104i2	q114c3	q114e3	q127e4	q43e	q65a2	q65a3	q65a4	q65b4	q65c4	q65d4	q65e1	q65e2	q65e3	q65e4	q77a1	q77b1	q77e1	q114d2	q38fln	q75c4	q114a3	q114b2	q8c	q114b3	q43d	q91g2	q111f	q89c	q89d	q38cln	q38dln	q7e	q38gln	q40f3	q40f4	q40f5	q40f6	q40f7	q40f8	q40f9	q88d	q22b	q38aln	q40k13	q40k14	q40k15	q40k16	q40k17	q40k18	q40k19	q123c1	q38bln	q7d	q22c	q22d	q11a1	q25	q111e	q131a	q7f	q8b	q22e	q39k	q89b	q132a	q33j	q89a	q140	q15a1	q135a	q7c	q36n	q47e	q2a1	q8a	q6	q22a	q88e	q14	q21a2	q21a3	q21a4	q21a5	q21a6	q21c2	q21c3	q21c4	q21c5	q21c6	q40b2	q40b3	q40b4	q40b5	q40b6	q40b7	q40b8	q40b9	q40f2	q40j2	q40j3	q40j4	q40j5	q40j6	q40j7	q40j8	q40j9	q40k12	q40k22	q40k23	q40k24	q40k25	q40k26	q40k27	q40k28	q40k29	q42a	q42b	q43a	q43b	q43c	q57g1	q57g2	q67a1	q67a2	q67b1	q67b2	q67c1	q67c2	q67d1	q67d2	q70c2	q70c3	q70d2	q70d3	q70d4	q70f2	q70f3	q72a1	q72a2	q72b1	q72b2	q72c1	q72c2	q72d1	q72d2	q72e1	q72e2	q72f1	q72f2	q75c2	q75d2	q75d3	q75f3	q77a2	q77b2	q77c1	q77c2	q77d1	q77e2	q80a1	q80a2	q80b1	q80b2	q80c1	q80c2	q80d1	q80d2	q80e1	q80e2	q80f	q80g	q86a2	q86b2	q86c2	q86d2	q86e2	q86f2	q86g2	q86h2	q86i2	q86j2	q86k2	q86l2	q95a1	q104a1	q104b1	q104b2	q104c1	q104c2	q104d1	q104e1	q104e2	q104f1	q104f2	q104g1	q104h1	q104i1	q104j1	q104j2	q104k1	q104k2	q104l1	q104l2	q104m1	q106a	q106b	q106c	q110a	q110c	q110d	q110e	q111b	q111c	q113a	q113b	q113c	q113d	q113e	q113f	q113g	q114a1	q114b1	q114c1	q114d1	q114e1	q114e2	q118a	q118b	q118c	q118d	q118e	q118f	q118g	q118h	q118i	q118j	q118k	q122ash	q122esh	q122fsh	q122g2	q122h2	q123a1	q123d1	q124a	q124b	q124c	q127e3	q127f2	q143	q145	q102g	q21b5	q75c3	q104m2	q110b	q114a2	q114c2	q115l	q70c4	q75a4	q75f4	q122csh	q122dsh	q123d2	q139a	q16a2	q16a3	q16b2	q16b3	q16c2	q16c3	q70a4	q70b4	q70e4	q70f4	q75d4	q75e3	q75e4	q77d2	q114d3	q122bsh	q123c2	q127e2	q7a	q7b	q75b4	q104h2	q123b2	q126	q119i1	q118l	q38d1	q38e1	q38f1	q38g1	q104d2	q104g2	q123a2	q123b1, ignore ("AMREF" "TWICE A MONTH." "RADIO CALL/WALKIETALKIE" MATERNITY CASES SUSPECTED TB/AIDS POOR PATIENTS PROLONGED LABOUR IN PATIENT SERVICES INADQUATE DRUGS CHRONIC DISEASES "-" "&" "," "PROLONGED LABOUR" ANEMIA AUGUST JULY "EVER AFTER MONTHS" "IUD" "PIECES" "STATIONARY" "ONCE A MONTH" "PM" "AM" "WORLD BANK") replace
label values q1	q13	q20	q24	q26	q27	q30	q33a	q33b	q33c	q33d	q33e	q33f	q33g	q33h q34a	q34b	q34c	q34d	q34e	q34f	q34g q35	q36a	q36b	q36c	q36d	q36e	q36f	q36g	q36h	q36i	q36j	q36k	q36l q37	q39a	q39b	q39c	q39d	q39e	q39f	q39g	q39h q40a1	q40a2	q40b1	q40b2	q40c11	q40c12	q40c21	q40c22	q40c31	q40c32	q40c41	q40c42	q40d1	q40d2	q40e1	q40e2	q40f1	q40f2	q40g1	q40g2	q40h1	q40h2	q40i1	q40i2	q40j1	q40j2	q40k11	q40k12	q40k21	q40k22	q41	q43a	q43b	q43c	q43d	q43e	q46	q53	q55a	q55b	q55c	q55d	q55e	q55f	q55g	q55h	q55i	q55j	q55k	q56	q58	q59	q60a1	q60b1	q60c1	q60d1	q60e1	q60f1  yesno

label values q2 jobtitle
label values  q45	usual
label values  q5 gender
label values  q9 disordmu
label values q10 hcclass
label values  q11	q11a2	whoowns
label values  q15 financier
label values  q21a6 q21b6	q21c6	q21d6	q21e6	q21f6 owns
label values   q23 water

label values  q28 dispose
label values   q60a2	q60b2	q60c2	q60d2	q60e2	q60f2	source
label values  q65a2 q65b2 q65c2 q65d2 q65e2 q70a2	q70b2	q70c2	q70d2	q70e2	q70f2	q75a2	q75b2	q75c2	q75d2	q75e2	q75f2	source65
label values  q89a2 q89b2 q89c2 q89d2 type
label values q127a4 q127b4 q127c4 q127d4 q127e4 q127f4 q129	q135 frequency
label values   q131 charge
label values  q136	q138 feedback
label values   q132 mainlyresponsible
label values   q145 patient

label values   q147	q148	q149	q150 condition

**************************************************
*** Recode missing values
***************************************************

*    DECODE MISSING VALUES
# d ;
qui mvdecode _all, mv(
999999999=.r\99999999=.r\9999999=.r\999999=.r\99999=.r\9999=.r\999=.r\99=.r\
888888888=.l\88888888=.l\8888888=.l\888888=.l\88888=.l\8888=.l\888=.l\88=.l \
777777777=.n\77777777=.n\7777777=.n\777777=.n\77777=.n\7777=.n\777=.n\77=.n \
666666666=.d\66666666=.d\6666666=.d\666666=.d\66666=.d\6666=.d\666=.d\66=.d);

qui mvdecode _all, mv(
99999.9=.r\9999.9=.r\999.9=.r\99.9=.r\
88888.8=.l\8888.8=.l\888.8=.l\88.8=.l \
77777.7=.n\7777.7=.n\777.7=.n\77.7=.n \
66666.6=.d\6666.6=.d\666.6=.d\66.6=.d);

qui mvdecode q10	q100	q102a	q102b	q102c	q102d	q102e	q102f	q102g	q103	q104a1	q104b1	q104c1	q104d1	q104e1	q104f1	q104g1	q104h1	q104i1	q104j1	q104k1	q104l1	q104m1	q105	q10a1	q111a	q111b	q111c	q111d	q111e	q111f	q112	q115a	q115b	q115c	q115d	q115e	q115f	q115g	q115h	q115i	q115j	q115k	q115l	q117a	q117b	q117c	q117d	q118a	q118b	q118c	q118d	q118e	q118f	q118g	q118h	q118i	q118j	q118k	q118l	q11a1	q11a2	q12	q120	q125	q126	q127a2	q127a3	q127a4	q127b2	q127b3	q127b4	q127c2	q127c3	q127c4	q127d2	q127d3	q127d4	q127e2	q127e3	q127e4	q127f2	q127f3	q127f4	q128	q129	q129a	q13	q130	q131	q131a	q133	q134a	q134b	q134c	q134d	q134e	q135	q135a	q136	q137	q138	q14	q140	q142	q144	q145	q145a1	q146	q147	q148	q149	q150	q151	q19	q20	q22a	q22b	q22c	q22d	q22e	q24	q25	q26	q27	q28	q28a1	q29f	q29g	q29h	q2a1	q3	q30	q33a	q33b	q33c	q33d	q33e	q33f	q33g	q33h	q33i	q33j	q34a	q34b	q34c	q34d	q34e	q34f	q34g	q34h	q35	q36a	q36b	q36c	q36d	q36e	q36f	q36g	q36h	q36i	q36j	q36k	q36l	q36m	q36n	q37	q39a	q39b	q39c	q39d	q39e	q39f	q39g	q39h	q39i	q39j	q39k	q40a1	q40a2	q40a3	q40a4	q40a5	q40a6	q40a7	q40a8	q40a9	q40b1	q40b2	q40b3	q40b4	q40b5	q40b6	q40b7	q40b8	q40b9	q40c11	q40c12	q40c13	q40c14	q40c15	q40c16	q40c17	q40c18	q40c19	q40c21	q40c22	q40c23	q40c24	q40c25	q40c26	q40c27	q40c28	q40c29	q40c31	q40c32	q40c33	q40c34	q40c35	q40c36	q40c37	q40c38	q40c39	q40c41	q40c42	q40c43	q40c44	q40c45	q40c46	q40c47	q40c48	q40c49	q40d1	q40d2	q40d3	q40d4	q40d5	q40d6	q40d7	q40d8	q40d9	q40e1	q40e2	q40e3	q40e4	q40e5	q40e6	q40e7	q40e8	q40e9	q40f1	q40f2	q40f3	q40f4	q40f5	q40f6	q40f7	q40f8	q40f9	q40g1	q40g2	q40g3	q40g4	q40g5	q40g6	q40g7	q40g8	q40g9	q40h1	q40h2	q40h3	q40h4	q40h5	q40h6	q40h7	q40h8	q40h9	q40i1	q40i2	q40i3	q40i4	q40i5	q40i6	q40i7	q40i8	q40i9	q40j1	q40j2	q40j3	q40j4	q40j5	q40j6	q40j7	q40j8	q40j9	q40k11	q40k12	q40k13	q40k14	q40k15	q40k16	q40k17	q40k18	q40k19	q40k21	q40k22	q40k23	q40k24	q40k25	q40k26	q40k27	q40k28	q40k29	q41	q43a	q43b	q43c	q43d	q43e	q45	q46	q53	q55a	q55b	q55c	q55d	q55e	q55f	q55g	q55h	q55i	q55j	q55k	q56	q58	q59	q6	q61	q63	q64	q66	q67a1	q67a2	q67b1	q67b2	q67c1	q67c2	q67d1	q67d2	q68	q69	q71	q72a1	q72a2	q72b1	q72b2	q72c1	q72c2	q72d1	q72d2	q72e1	q72e2	q72f1	q72f2	q73	q74	q75a1	q75b1	q75c1	q75d1	q75e1	q75f1	q76	q77a1	q77a2	q77b1	q77b2	q77c1	q77c2	q77d1	q77d2	q77e1	q77e2	q78	q79	q7a	q7b	q7c	q7d	q7e	q7f	q80a1	q80a2	q80b1	q80c1	q80d1	q80e1	q80f	q81a	q85	q86a1	q86b1	q86c1	q86d1	q86e1	q86f1	q86g1	q86h1	q86i1	q86j1	q86k1	q86l1	q87	q88a	q88b	q88c	q88d	q88e	q89a	q89a2	q89b q89b1	q89b2	q89c	q89c1	q89c2	q89d	q89d1	q89d2	q8a	q8b	q8c	q9	q90	q91a1	q91b1	q91c1	q91d1	q91e1	q91f1	q91g	q92	q94	q96	q98a	q98b	q98c	q98d	q98e	q98f	q98g	q99, mv(
9=.r\
8=.l \
7=.n \
6=.d);

qui mvdecode q11	q112	q115a	q115b	q115c	q115d	q115e	q115f	q115g	q115h	q115i	q115j	q115k	q115l	q117a	q117b	q117c	q117d	q118a	q118b	q118c	q118d	q118e	q118f	q118g	q118h	q118i	q118j	q118k	q118l	q120, mv(
9=.r);


qui mvdecode q15	q15a1	q60a1	q60a2	q60b1	q60b2	q60c1	q60c2	q60d1	q60d2	q60e1	q60e2	q60f1	q60f2	q75a2	q75b2	q75c2	q75d2	q75e2	q75f2, mv(
9=.r\
8=.l \
7=.n );

qui mvdecode q132	q132a	q23	q23a1	q65a1	q65a2	q65b1	q65b2	q65c1	q65c2	q65d1	q65d2	q65e1	q65e2, mv(
9=.r\
8=.l);

qui mvdecode q70a2 q70b2 q70c2 q70d2 q70e2 q70f2, mv(
8=.l);
# d cr;

**************************************************
***  Identify skip patterns
**************************************************

* Recode missing values to Stata missing values, for tests and data inspection.
quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -999 = .r) 

* Implement Questionnaire Consistency Tests. Each of these tests resolves to 1 if there is an error.
destring q14, ignore ("NA" "DK") replace 

gen error01 = (q13 == 2 &  ( q14 < . | q15  < . )) 
gen error02 = (q20 == 2 &  ( q21a2 < . | q21a3 < . | q21a4 < . | q21a5 < . | q21a6 < . | q21b1 < . | q21b2 < . | q21b3 < . | q21b4 < . | q21b5 < . | q21b6 < . | q21c1 < . | q21c2 < . | q21c3 < . | q21c4 < . | q21c5 < . | q21c6 < . | q21d1 < . | q21d2 < . | q21d3 < . | q21d4 < . | q21d5 < . | q21d6 < . | q21e1 < . | q21e2 < . | q21e3 < . | q21e4 < . | q21e5 < . ))    
gen error03 = (q24 == 2 &  q25 < . )  
gen error04 = (q30 == 2 &  (q31men < . | q31wom < . | q32 < . | q33a < . | q33b < . | q33c < . | q33d < . | q33e < . | q33f < . | q33g < . | q34a < . | q34b < . | q34c < . | q34d < . | q34e < . | q34f < . | q34g < . | q35 < . | q36a < . | q36b < . | q36c < . | q36d < . | q36e < . | q36f < . | q36g < . | q36h < . | q36i < . | q36j < . | q36k < . | q36l < . )) 
gen error05 = (q41 == 2 &  (q42a < . | q42b < . | q43a < . | q43b < . | q43c < . | q43d < . | q43e < . )) 
gen error06 = (q44 == 0 & q45 < . ) 
gen error07 = (q46 == 2 &  (q47a < . | q47b < . | q47c < . | q47d < . )) 
gen error08 = (q61 == 2 &  (q62a1 < . | q62a2 < . | q62b1 < . | q62b2 < . | q62c1 < . | q62c2 < . | q62d1 < . | q62d2 < . | q62e1 < . | q62e2 < . )) 
gen error09 = (q66 == 2 &  (q67a1 < . | q67a2 < . | q67b1 < . | q67b2 < . | q67c1 < . | q67c2 < . | q67d1 < . | q67d2 < . )) 
gen error10 = (q71 == 2 &  (q72a1 < . | q72a2 < . | q72b1 < . | q72b2 < . | q72c1 < . | q72c2 < . | q72d1 < . | q72d2 < . | q72e1 < . | q72e2 < . | q72f1 < . | q72f2 < . )) 
gen error11 = (q79 == 2 &  (q80a1 < . | q80a2 < . | q80b1 < . | q80b2 < . | q80c1 < . | q80c2 < . | q80d1 < . | q80d2 < . | q80e1 < . | q80e2 < . | q80f < . | q80g < . )) 
gen error12 = (q87 == 2 &  (q88a < . | q88b < . | q88c < . | q89a1 < . | q89a2 < . | q89b2 < . | q89c1 < . | q89c2 < . | q89d1 < . | q89d2 < . )) 
gen error13 = (q120 == 2 &  (q121 < . | q122ap < . | q122ash < . | q122bp < . | q122bsh < . | q122cp < . | q122csh < . | q122dp < . | q122dsh < . | q122ep < . | q122esh < . | q122fp < . | q122fsh < . | q122g1 < . |  q122g2 < . | q122h1 < . | q122h2  < . )) 
gen error14 = (q125  == 2 &  q126 < . ) 
gen error15 = (q128 == 2 &  (q129 < . | q129a < . )) 
gen error16 = (q136 == 4 &    q137 < . )
gen error17 = (q138 == 2 &  (q139a < . | q139b < . )) 


**************************************************
***  Correcting errors
**************************************************
replace 	q127c4 	 =	.	if sno== 	123
replace 	q127c4 	 =	.	if sno== 	35
replace 	q127c4	 =	.	if sno== 	33
replace 	q127c4	 =	.	if sno== 	40
replace 	q127c4	 =	.	if sno== 	41
replace 	q127c4	 =	.	if sno== 	1044
replace 	q127c4	 =	.	if sno== 	76
replace 	q127c4	 =	.	if sno== 	39
replace 	q127c4 	 =	.	if sno== 	1041
replace 	q127c4 	 =	.	if sno== 	62
replace 	q127c4 	 =	.	if sno== 	128
replace 	q127d4	 =	.	if sno== 	123
replace 	q127d4	 =	.	if sno== 	35
replace 	q127d4	 =	.	if sno== 	33
replace 	q127d4	 =	.	if sno== 	40
replace 	q127d4	 =	.	if sno== 	41
replace 	q127d4	 =	.	if sno== 	1044
replace 	q127d4	 =	.	if sno== 	76
replace 	q127d4	 =	.	if sno== 	39
replace 	q127d4	 =	.	if sno== 	1041
replace 	q127d4	 =	.	if sno== 	128
replace 	q127d4	 =	.	if sno== 	122
replace 	q127d4	 =	.	if sno== 	121
replace 	q127d4	 =	.	if sno== 	1028
replace 	q127d4	 =	.	if sno== 	124
replace 	q127d4	 =	.	if sno== 	34
replace 	q127d4	 =	.	if sno== 	37
replace 	q127d4	 =	.	if sno== 	29
replace 	q127d4	 =	.	if sno== 	48
replace 	q127e4	 =	.	if sno== 	123
replace 	q127e4	 =	.	if sno== 	35
replace 	q127e4	 =	.	if sno== 	33
replace 	q127e4	 =	.	if sno== 	1044
replace 	q127e4	 =	.	if sno== 	76
replace 	q127e4	 =	.	if sno== 	128
replace 	q127e4	 =	.	if sno== 	122
replace 	q127e4	 =	.	if sno== 	121
replace 	q127e4	 =	.	if sno== 	1028
replace 	q127e4	 =	.	if sno== 	124
replace 	q127e4	 =	.	if sno== 	34
replace 	q127e4	 =	.	if sno== 	37
replace 	q127e4	 =	.	if sno== 	29
replace 	q127e4	 =	.	if sno== 	48
replace 	q127e4	 =	.	if sno== 	30
replace 	q127e4	 =	.	if sno== 	31
replace 	q127e4	 =	.	if sno== 	32
replace 	q127e4	 =	.	if sno== 	67
replace 	q127e4	 =	.	if sno== 	68
replace 	q127e4	 =	.	if sno== 	139
replace 	q127e4	 =	.	if sno== 	44
replace 	q127e4	 =	.	if sno== 	49
replace 	q127e4	 =	.	if sno== 	59
replace 	q127e4	 =	.	if sno== 	1071
replace 	q127e4	 =	.	if sno== 	45
replace 	q127e4	 =	.	if sno== 	61
replace 	q127e4	 =	.	if sno== 	137
replace 	q127f4	 =	.	if sno== 	123
replace 	q127f4	 =	.	if sno== 	33
replace 	q127f4	 =	.	if sno== 	76
replace 	q127f4	 =	.	if sno== 	34
replace 	q127f4	 =	.	if sno== 	39
replace 	q127f4	 =	.	if sno== 	2017
replace 	q127c4	 =	.	if sno== 	123
replace 	q127c4	 =	.	if sno== 	33
replace 	q127c4	 =	.	if sno== 	76
replace 	q127c4	 =	.	if sno== 	39
replace 	q127c4	 =	.	if sno== 	35
replace 	q127c4	 =	.	if sno== 	1044
replace 	q127c4	 =	.	if sno== 	128
replace 	q127c4	 =	.	if sno== 	40
replace 	q127c4	 =	.	if sno== 	41
replace 	q127c4	 =	.	if sno== 	1041
replace 	q127c4	 =	.	if sno== 	62
replace 	q127b4	 =	.	if sno== 	123
replace 	q127b4	 =	.	if sno== 	76
replace 	q127b4	 =	.	if sno== 	122
replace 	q127b4	 =	.	if sno== 	121
replace 	q127b4	 =	.	if sno== 	1028
replace 	q127b4	 =	.	if sno== 	124
replace 	q127b4	 =	.	if sno== 	30
replace 	q127b4	 =	.	if sno== 	68
replace 	q127b4	 =	.	if sno== 	139
replace 	q127a4	 =	.	if sno== 	35
replace 	q127a4	 =	.	if sno== 	122
replace 	q55f	 =	.	if sno== 	113
replace 	q45	 =	.	if sno== 	2009
replace 	q46	 =	.	if sno== 	112
replace 	q30	 =	.	if sno== 	1009
replace 	q136	 =	.	if sno== 	80
replace 	q138	 =	.	if sno== 	107
replace 	q138	 =	.	if sno== 	73
replace 	q147	 =	.	if sno== 	112
replace 	q150	 =	.	if sno== 	9

replace 	q5	 =	.	if sno== 	94
replace 	q5	 =	.	if sno== 	153
replace 	q5	 =	.	if sno== 	154
replace 	q13	 =	.	if sno== 	83
replace 	q15	 =	.	if sno== 	83
replace 	q20	 =	.	if sno== 	1091
replace 	q20	 =	.	if sno== 	1088
replace 	q5	 =	.	if sno== 	109
replace 	q5	 =	.	if sno== 	2005
replace 	q20	 =	.	if sno== 	1019
replace 	q21a1	 =	.	if sno== 	31
replace 	q21b1	 =	.	if sno== 	31
replace 	q21c1	 =	.	if sno== 	31
replace 	q21d1	 =	.	if sno== 	31
replace 	q21e1	 =	.	if sno== 	31
replace 	q21f1	 =	.	if sno== 	31

replace 	q21a1	 =	.	if sno== 	82
replace 	q21b1	 =	.	if sno== 	82
replace 	q21c1	 =	.	if sno== 	82
replace 	q21d1	 =	.	if sno== 	82
replace 	q21e1	 =	.	if sno== 	82

replace 	q21a1	 =	.	if sno== 	112
replace 	q21b1	 =	.	if sno== 	112
replace 	q21b2	 =	.	if sno== 	112
replace 	q21b3	 =	.	if sno== 	112
replace 	q21b4	 =	.	if sno== 	112
replace 	q21b5	 =	.	if sno== 	112
replace 	q21b6	 =	.	if sno== 	112
replace 	q21c1	 =	.	if sno== 	112
replace 	q21d2	 =	.	if sno== 	112
replace 	q21d3	 =	.	if sno== 	112
replace 	q21d4	 =	.	if sno== 	112
replace 	q21d5	 =	.	if sno== 	112
replace 	q21d6	 =	.	if sno== 	112

replace 	q21e2	 =	.	if sno== 	112
replace 	q21e3	 =	.	if sno== 	112
replace 	q21e4	 =	.	if sno== 	112
replace 	q21e5	 =	.	if sno== 	112
replace 	q21e6	 =	.	if sno== 	112
replace 	q21d1	 =	.	if sno== 	112
replace 	q21e1	 =	.	if sno== 	112

replace 	q21a1	 =	.	if sno== 	151
replace 	q21b1	 =	.	if sno== 	151
replace 	q21c1	 =	.	if sno== 	151
replace 	q21d1	 =	.	if sno== 	151
replace 	q21e1	 =	.	if sno== 	151
replace 	q21b6	 =	.	if sno== 	33


replace 	q21b6	 =	.	if sno== 	47
replace 	q21c6	 =	.	if sno== 	61
replace 	q21d6	 =	.	if sno== 	30
replace 	q21d6	 =	.	if sno== 	35
replace 	q21e6	 =	.	if sno== 	76
replace 	q21e6	 =	.	if sno== 	34
replace 	q21e6	 =	.	if sno== 	122
replace 	q21e6	 =	.	if sno== 	1041
replace 	q21f6	 =	.	if sno== 	91
replace 	q21f6	 =	.	if sno== 	157
replace 	q39h	 =	.	if sno== 	15
replace 	q53	 =	.	if sno== 	95
replace 	q55b	 =	.	if sno== 	2020
replace 	q55k	 =	.	if sno== 	2020
replace 	q65b2	 =	.	if sno== 	1044
replace 	q65c2	 =	.	if sno== 	1044
replace 	q65c2	 =	.	if sno== 	68
replace 	q65c2	 =	.	if sno== 	80
replace 	q65d2	 =	.	if sno== 	1044
replace 	q65e2	 =	.	if sno== 	1044
replace 	q70b2	 =	.	if sno== 	28
replace 	q75a2	 =	.	if sno== 	34
replace 	q75e2	 =	.	if sno== 	34
replace 	q127c4	 =	.	if sno== 	57
replace 	q127d4	 =	.	if sno== 	57
replace 	q129	 =	.	if sno== 	110

foreach vvv of varlist q31men    q31wom   q32   q33a   q33b   q33c   q33d   q33e   q33f   q33g   q34a   q34b   q34c   q34d   q34e   q34f   q34g   q35   q36a   q36b   q36c   q36d   q36e q36f q36g  q36h q36i q36j q36k q36l {
replace `vvv' =. if sno==114
}

foreach vvv of varlist q42a   q42b   q43a   q43b   q43c   q43d   q43e {
replace `vvv' =. if sno==112
}

foreach vvv of varlist q45 {
replace `vvv' =. if sno==1003
replace `vvv' =. if sno==62
replace `vvv' =. if sno==1055
replace `vvv' =. if sno==1012
}

foreach vvv of varlist q47a   q47b   q47c   q47d {
replace `vvv' =. if sno==45
}

foreach vvv of varlist q62a1   q62a2   q62b1   q62b2   q62c1   q62c2   q62d1   q62d2   q62e1   q62e2 {
replace `vvv' =. if sno==1060
}


**error11
foreach vvv of varlist q80a1   q80a2   q80b1   q80b2   q80c1   q80c2   q80d1   q80d2   q80e1   q80e2   q80f   q80g {
replace `vvv' =. if sno==105
replace `vvv' =. if sno==48
replace `vvv' =. if sno==1011
replace `vvv' =. if sno==147
replace `vvv' =. if sno==120
replace `vvv' =. if sno==1089
}

foreach vvv of varlist q88a   q88b   q88c   q89a1   q89a2   q89b2   q89c1   q89c2   q89d1   q89d2 {
replace `vvv' =. if sno==150
replace `vvv' =. if sno==1006
replace `vvv' =. if sno==2016
}

foreach vvv of varlist q137 {
replace `vvv' =. if sno==2016
replace `vvv' =. if sno==122
replace `vvv' =. if sno==82

}

foreach vvv of varlist q139a q139b {
replace `vvv' =. if sno==116
replace `vvv' =. if sno==127
replace `vvv' =. if sno==155
replace `vvv' =. if sno==22
replace `vvv' =. if sno==32
replace `vvv' =. if sno==67
}


**************************************************
***  Identify outliers
**************************************************

mvdecode q1	q10	q100	q101	q102a	q70a2	q70b2	q70c2	q70d2	q70e2	q70f2	q132	q132a	q23	q23a1	q65a1	q65a2	q65b1	q65b2	q65c1	q65c2	q65d1	q65d2	q65e1	q65e2	q102b	q102c	q15	q15a1	q60a1	q60a2	q60b1	q60b2	q60c1	q60c2	q60d1	q60d2	q60e1	q60e2	q60f1	q60f2	q75a2	q75b2	q75c2	q75d2	q75e2	q75f2	q102d	q102e	q102f	q102g	q11	q112	q115a	q115b	q115c	q115d	q115e	q115f	q115g	q115h	q115i	q115j	q115k	q115l	q117a	q117b	q117c	q117d	q118a	q118b	q118c	q118d	q118e	q118f	q118g	q118h	q118i	q118j	q118k	q118l	q120	q103	q104a1	q104a2	q104b1	q104b2	q104c1	q104c2	q104d1	q104d2	q104e1	q104e2	q104f1	q104f2	q104g1	q104g2	q104h1	q104h2	q104i1	q104i2	q104j1	q104j2	q104k1	q104k2	q104l1	q104l2	q104m1	q104m2	q105	q106a	q106b	q106c	q107	q108	q109	q10a1	q110a	q110b	q110c	q110d	q110e	q111a	q111b	q111c	q111d	q111e	q111f	q112	q113a	q113b	q113c	q113d	q113e	q113f	q113g	q114a1	q114a2	q114a3	q114b1	q114b2	q114b3	q114c1	q114c2	q114c3	q114d1	q114d2	q114d3	q114e1	q114e2	q114e3	q115a	q115b	q115c	q115d	q115e	q115f	q115g	q115h	q115i	q115j	q115k	q115l	q116	q117a	q117b	q117c	q117d	q118a	q118b	q118c	q118d	q118e	q118f	q118g	q118h	q118i	q118j	q118k	q118l	q119a1	q119a2	q119b1	q119b2	q119c1	q119c2	q119d1	q119d2	q119e1	q119e2	q119f1	q119f2	q119g1	q119g2	q119h1	q119h2	q119i1	q119i2	q11a1	q11a2	q12	q120	q121	q122ap	q122ash	q122bp	q122bsh	q122cp	q122csh	q122dp	q122dsh	q122ep	q122esh	q122fp	q122fsh	q122g1	q122g2	q122h1	q122h2	q123a1	q123a2	q123b1	q123b2	q123c1	q123c2	q123d1	q123d2	q123e1	q123e2	q124a	q124b	q124c	q125	q126	q127a2	q127a3	q127a4	q127b2	q127b3	q127b4	q127c2	q127c3	q127c4	q127d2	q127d3	q127d4	q127e2	q127e3	q127e4	q127f2	q127f3	q127f4	q128	q129	q129a	q13	q130	q131	q131a	q133	q134a	q134b	q134c	q134d	q134e	q135	q135a	q136	q137	q138	q139a	q139b	q14	q140	q141a	q141b	q141c	q142	q143	q144	q145	q145a1	q146	q147	q148	q149	q150	q151	q152  	q19	q20	q22a	q22b	q22c	q22d	q22e	q24	q25	q26	q27	q28	q28a1	q29f	q29g	q29h	q2a1	q3	q30	q33a	q33b	q33c	q33d	q33e	q33f	q33g	q33h	q33i	q33j	q34a	q34b	q34c	q34d	q34e	q34f	q34g	q34h	q35	q36a	q36b	q36c	q36d	q36e	q36f	q36g	q36h	q36i	q36j	q36k	q36l	q36m	q36n	q37	q39a	q39b	q39c	q39d	q39e	q39f	q39g	q39h	q39i	q39j	q39k	q40a1	q40a2	q40a3	q40a4	q40a5	q40a6	q40a7	q40a8	q40a9	q40b1	q40b2	q40b3	q40b4	q40b5	q40b6	q40b7	q40b8	q40b9	q40c11	q40c12	q40c13	q40c14	q40c15	q40c16	q40c17	q40c18	q40c19	q40c21	q40c22	q40c23	q40c24	q40c25	q40c26	q40c27	q40c28	q40c29	q40c31	q40c32	q40c33	q40c34	q40c35	q40c36	q40c37	q40c38	q40c39	q40c41	q40c42	q40c43	q40c44	q40c45	q40c46	q40c47	q40c48	q40c49	q40d1	q40d2	q40d3	q40d4	q40d5	q40d6	q40d7	q40d8	q40d9	q40e1	q40e2	q40e3	q40e4	q40e5	q40e6	q40e7	q40e8	q40e9	q40f1	q40f2	q40f3	q40f4	q40f5	q40f6	q40f7	q40f8	q40f9	q40g1	q40g2	q40g3	q40g4	q40g5	q40g6	q40g7	q40g8	q40g9	q40h1	q40h2	q40h3	q40h4	q40h5	q40h6	q40h7	q40h8	q40h9	q40i1	q40i2	q40i3	q40i4	q40i5	q40i6	q40i7	q40i8	q40i9	q40j1	q40j2	q40j3	q40j4	q40j5	q40j6	q40j7	q40j8	q40j9	q40k11	q40k12	q40k13	q40k14	q40k15	q40k16	q40k17	q40k18	q40k19	q40k21	q40k22	q40k23	q40k24	q40k25	q40k26	q40k27	q40k28	q40k29	q41	q43a	q43b	q43c	q43d	q43e	q45	q46	q53	q55a	q55b	q55c	q55d	q55e	q55f	q55g	q55h	q55i	q55j	q55k	q56	q58	q59	q6	q61	q63	q64	q66	q67a1	q67a2	q67b1	q67b2	q67c1	q67c2	q67d1	q67d2	q68	q69	q71	q72a1	q72a2	q72b1	q72b2	q72c1	q72c2	q72d1	q72d2	q72e1	q72e2	q72f1	q72f2	q73	q74	q75a1	q75b1	q75c1	q75d1	q75e1	q75f1	q76	q77a1	q77a2	q77b1	q77b2	q77c1	q77c2	q77d1	q77d2	q77e1	q77e2	q78	q79	q7a	q7b	q7c	q7d	q7e	q7f	q80a1	q80a2	q80b1	q80c1	q80d1	q80e1	q80f	q81a	q82a	q82c	q82e	q82f	q82g	q82h	q82i	q83a	q83b	q83c	q83d	q83e	q83f	q83g	q84a	q84b	q84c	q84d	q84e	q85 q86a2	q86b1	q86b2	q86c1	q86c2	q86d1	q86d2	q86e1	q86e2	q86f1	q86f2	q86g1	q86g2	q86h1	q86h2	q86i1	q86i2	q86j1	q86j2	q86k1	q86k2	q86l1	q86l2	q87	q88a	q88b	q88c	q88d	q88e	q89a	q89a2	q89b	q89b1	q89b2	q89c	q89c1	q89c2	q89d	q89d1	q89d2	q8a	q8b	q8c	q9	q90	q91a1	q91a2	q91b1	q91b2	q91c1	q91c2	q91d1	q91d2	q91e1	q91e2	q91f1	q91f2	q91g	q91g2	q92	q93a1	q93a2	q93b1	q93b2	q93c1	q93c2	q93d1	q93d2	q93e1	q93e2	q93f1	q93f2	q93g1	q93g2	q93h1	q93h2	q93i1	q93i2	q94	q95a1	q95a2	q95b1	q95b2	q95c1	q95c2	q95d1	q95d2	q95e1	q95e2	q95f1	q95f2	q95g1	q95g2	q96	q97	q98a	q98b	q98c	q98d	q98e	q98f	q98g	q99 , mv(0 = .z)
grubbs q1	q10	q100	q70a2	q70b2	q70c2	q70d2	q70e2	q70f2	q23	q65a2	q65b2	q65c2	q65d2	q65e2	q15 q60a1 q60a2	q60b1	q60b2	q60c1	q60c2	q60d1	q60d2	q60e1	q60e2	q60f1	q60f2	q75a2	q75b2	q75c2	q75d2	q75e2	q75f2	q11 q120 q103 q104a1 q104a2	q104b1 q104b2	q104c1	q104c2	q104d1	q104d2 q104e1	q104e2 q104f1	q104f2	q104g1	q104g2	q104h1	q104h2	q104i1	q104i2	q104j1	q104j2	q104k1	q104k2	q104l1	q104l2	q104m1	q104m2	q105	q106a	q106b	q106c	q107	q108	q109 q110a	q110b	q110c	q110d	q110e	q111a	q111b	q111c	q111d	q115b	q115c	q115d	q115e	q115f	q115g	q115h	q115i	q11a2	q120	q121	q122ap	q122ash	q122bp	q122bsh	q122cp	q122csh	q122dp	q122dsh	q122ep	q122esh	q122fp	q122fsh	q122g1	q122g2	q122h1	q122h2 q125	q126 q128	q129	q129a	q13	q130	q131	q133	q135	q136	q137	q138	q139a	q139b	q14 q141a	q141c	q142	q143	q145	q147	q148	q149	q150	q151 q20 q24	q25	q26	q27	q28 q30	q33a	q33b	q33c	q33d	q33e	q33f	q33g	q33h	q34a	q34b	q34c	q34d	q34e	q34f	q34g	q35	q36a	q36b	q36c	q36d	q36e	q36f	q36g	q36h	q36i	q36j	q36k	q36l q37	q39a	q39b	q39c	q39d	q39e	q39f	q39g	q39h	q39i q40a1	q40a2	q40a3	q40a4	q40a5	q40a6	q40a7	q40a8	q40a9	q40b1	q40b2	q40b3	q40b4	q40b5	q40b6	q40b7	q40b8	q40b9	q40c11	q40c12	q40c13	q40c14	q40c15	q40c16	q40c17	q40c18	q40c19	q40c21	q40c22	q40c23	q40c24	q40c25	q40c26	q40c27	q40c28	q40c29	q40c31	q40c32	q40c33	q40c34	q40c35	q40c36	q40c37	q40c38	q40c39	q40c41	q40c42	q40c43	q40c44	q40c45	q40c46	q40c47	q40c48	q40c49	q40d1	q40d2	q40d3	q40d4	q40d5	q40d6	q40d7	q40d8	q40d9	q40e1	q40e2	q40e3	q40e4	q40e5	q40e6	q40e7	q40e8	q40e9	q40f1	q40f2	q40f3	q40f4	q40f5	q40f6	q40f7	q40f8	q40f9	q40g1	q40g2	q40g3	q40g4	q40g5	q40g6	q40g7	q40g8	q40g9	q40h1	q40h2	q40h3	q40h4	q40h5	q40h6	q40h7	q40h8	q40h9	q40i1	q40i2	q40i3	q40i4	q40i5	q40i6	q40i7	q40i8	q40i9	q40j1	q40j2	q40j3	q40j4	q40j5	q40j6	q40j7	q40j8	q40j9	q40k11	q40k12	q40k13	q40k14	q40k15	q40k16	q40k17	q40k18	q40k19	q40k21	q40k22	q40k23	q40k24	q40k25	q40k26	q40k27	q40k28	q40k29	q41	q43a	q43b	q43c	q43d	q43e	q45	q46	q53	q55a	q55b	q55c	q55d	q55e	q55f	q55g	q55h	q55i	q55j	q55k	q56	q58	q59 q61 q66	q67a1	q67a2	q67b1	q67b2	q67c1	q67c2	q67d1	q67d2	q71	q72a1	q72a2	q72b1	q72b2	q72c1	q72c2	q72d1	q72d2	q72e1	q72e2	q72f1	q72f2	q74 q76	q77a1	q77a2	q77b1	q77b2	q77c1	q77c2	q77d1	q77d2	q77e1	q77e2	q78	q79 q80a1	q80a2	q80b1	q80c1	q80d1	q80e1	q80f	q81a	q82a	q82c	q82e	q82f	q82g	q82h	q82i	q83a	q83b	q83c	q83d	q83e q83g q84b	q84c	q84d	q84e	q85 q87 q88a	q88b	q88c q89b1	q89b2	q9 q92 , level(99.99)
mvencode q1	q10	q100	q102a	q70a2	q70b2	q70c2	q70d2	q70e2	q70f2	q132	q132a	q23	q23a1	q65a1	q65a2	q65b1	q65b2	q65c1	q65c2	q65d1	q65d2	q65e1	q65e2	q102b	q102c	q15	q15a1	q60a1	q60a2	q60b1	q60b2	q60c1	q60c2	q60d1	q60d2	q60e1	q60e2	q60f1	q60f2	q75a2	q75b2	q75c2	q75d2	q75e2	q75f2	q102d	q102e	q102f	q102g	q11	q112	q115a	q115b	q115c	q115d	q115e	q115f	q115g	q115h	q115i	q115j	q115k	q115l	q117a	q117b	q117c	q117d	q118a	q118b	q118c	q118d	q118e	q118f	q118g	q118h	q118i	q118j	q118k	q118l	q120	q103	q104a1	q104a2	q104b1	q104b2	q104c1	q104c2	q104d1	q104d2	q104e1	q104e2	q104f1	q104f2	q104g1	q104g2	q104h1	q104h2	q104i1	q104i2	q104j1	q104j2	q104k1	q104k2	q104l1	q104l2	q104m1	q104m2	q105	q106a	q106b	q106c	q107	q108	q109	q10a1	q110a	q110b	q110c	q110d	q110e	q111a	q111b	q111c	q111d	q111e	q111f	q112	q113a	q113b	q113c	q113d	q113e	q113f	q113g	q114a1	q114a2	q114a3	q114b1	q114b2	q114b3	q114c1	q114c2	q114c3	q114d1	q114d2	q114d3	q114e1	q114e2	q114e3	q115a	q115b	q115c	q115d	q115e	q115f	q115g	q115h	q115i	q115j	q115k	q115l	q116	q117a	q117b	q117c	q117d	q118a	q118b	q118c	q118d	q118e	q118f	q118g	q118h	q118i	q118j	q118k	q118l	q119a1	q119a2	q119b1	q119b2	q119c1	q119c2	q119d1	q119d2	q119e1	q119e2	q119f1	q119f2	q119g1	q119g2	q119h1	q119h2	q119i1	q119i2	q11a1	q11a2	q12	q120	q121	q122ap	q122ash	q122bp	q122bsh	q122cp	q122csh	q122dp	q122dsh	q122ep	q122esh	q122fp	q122fsh	q122g1	q122g2	q122h1	q122h2 q124a	q124b	q124c	q125	q126	q127a2	q127a3	q127a4	q127b2	q127b3	q127b4	q127c2	q127c3	q127c4	q127d2	q127d3	q127d4	q127e2	q127e3	q127e4	q127f2	q127f3	q127f4	q128	q129	q129a	q13	q130	q131	q131a	q133	q134a	q134b	q134c	q134d	q134e	q135	q135a	q136	q137	q138	q139a	q139b	q14	q140	q141a	q141b	q141c	q142	q143	q144	q145	q145a1 q147	q148	q149	q150	q151	q152  	q19	q20	q22a	q22b	q22c	q22d	q22e	q24	q25	q26	q27	q28	q28a1	q29f	q29g	q29h	q2a1	q3	q30	q33a	q33b	q33c	q33d	q33e	q33f	q33g	q33h	q33i	q33j	q34a	q34b	q34c	q34d	q34e	q34f	q34g	q34h	q35	q36a	q36b	q36c	q36d	q36e	q36f	q36g	q36h	q36i	q36j	q36k	q36l	q36m	q36n	q37	q39a	q39b	q39c	q39d	q39e	q39f	q39g	q39h	q39i	q39j	q39k	q40a1	q40a2	q40a3	q40a4	q40a5	q40a6	q40a7	q40a8	q40a9	q40b1	q40b2	q40b3	q40b4	q40b5	q40b6	q40b7	q40b8	q40b9	q40c11	q40c12	q40c13	q40c14	q40c15	q40c16	q40c17	q40c18	q40c19	q40c21	q40c22	q40c23	q40c24	q40c25	q40c26	q40c27	q40c28	q40c29	q40c31	q40c32	q40c33	q40c34	q40c35	q40c36	q40c37	q40c38	q40c39	q40c41	q40c42	q40c43	q40c44	q40c45	q40c46	q40c47	q40c48	q40c49	q40d1	q40d2	q40d3	q40d4	q40d5	q40d6	q40d7	q40d8	q40d9	q40e1	q40e2	q40e3	q40e4	q40e5	q40e6	q40e7	q40e8	q40e9	q40f1	q40f2	q40f3	q40f4	q40f5	q40f6	q40f7	q40f8	q40f9	q40g1	q40g2	q40g3	q40g4	q40g5	q40g6	q40g7	q40g8	q40g9	q40h1	q40h2	q40h3	q40h4	q40h5	q40h6	q40h7	q40h8	q40h9	q40i1	q40i2	q40i3	q40i4	q40i5	q40i6	q40i7	q40i8	q40i9	q40j1	q40j2	q40j3	q40j4	q40j5	q40j6	q40j7	q40j8	q40j9	q40k11	q40k12	q40k13	q40k14	q40k15	q40k16	q40k17	q40k18	q40k19	q40k21	q40k22	q40k23	q40k24	q40k25	q40k26	q40k27	q40k28	q40k29	q41	q43a	q43b	q43c	q43d	q43e	q45	q46	q53	q55a	q55b	q55c	q55d	q55e	q55f	q55g	q55h	q55i	q55j	q55k	q56	q58	q59	q6	q61	q63	q64	q66	q67a1	q67a2	q67b1	q67b2	q67c1	q67c2	q67d1	q67d2	q68	q69	q71	q72a1	q72a2	q72b1	q72b2	q72c1	q72c2	q72d1	q72d2	q72e1	q72e2	q72f1	q72f2	q73	q74	q75a1	q75b1	q75c1	q75d1	q75e1	q75f1	q76	q77a1	q77a2	q77b1	q77b2	q77c1	q77c2	q77d1	q77d2	q77e1	q77e2	q78	q79	q7a	q7b	q7c	q7d	q7e	q7f	q80a1	q80a2	q80b1	q80c1	q80d1	q80e1	q80f	q81a	q82a	q82c	q82e	q82f	q82g	q82h	q82i	q83a	q83b	q83c	q83d	q83e	q83f	q83g	q84a	q84b	q84c	q84d	q84e	q85	q86a1	q86a2	q86b1	q86b2	q86c1	q86c2	q86d1	q86d2	q86e1	q86e2	q86f1	q86f2	q86g1	q86g2	q86h1	q86h2	q86i1	q86i2	q86j1	q86j2	q86k1	q86k2	q86l1	q86l2	q87	q88a	q88b	q88c	q88d	q88e	q89a	q89a2	q89b	q89b1	q89b2	q89c	q89c1	q89c2	q89d	q89d1	q89d2	q8a	q8b	q8c	q9	q90	q91a1	q91a2	q91b1	q91b2	q91c1	q91c2	q91d1	q91d2	q91e1	q91e2	q91f1	q91f2	q91g	q91g2	q92	q93a1	q93a2	q93b1	q93b2	q93c1	q93c2	q93d1	q93d2	q93e1	q93e2	q93f1	q93f2	q93g1	q93g2	q93h1	q93h2	q93i1	q93i2	q94	q95a1	q95a2	q95b1	q95b2	q95c1	q95c2	q95d1	q95d2	q95e1	q95e2	q95f1	q95f2	q95g1	q95g2	q96	q97	q98a	q98b	q98c	q98d	q98e	q98f	q98g	q99, mv(.z = 0)

**************************************************
*** Identify errors to be reviewed
**************************************************
cd "Source\Uganda 2000 Q H\Data\4.3. Clean Data\4.3.3. Data Code Book"
log using "healthfacilitysurvey codebook errors ", replace
codebook error* grubbs_*, compact
log close
drop grubbs* error*


* Encode missing STATA values back to missing value codes, in case data users want to convert file to other statistical software.
quietly mvencode _all,mv (.d = -666 \ .n = -777 \ .l = -888 \ .r = -999)


